2011-02-13  Kouhei Sutou  <kou@cozmixng.org>

	* ./: update the latest release date.

	* NEWS*: add 1.1.7 entry.

	* README*: add Hiroaki Nakamura to thanks list. Thanks!!!

	* TUTORIAL.ja: fix a typo.
	Reported by Hiroaki Nakamura. Thanks!!!

	* module/ui/cut-console-ui.c: don't use
	g_ptr_array_new_with_fre_func() because GLib 2.12 on CentOS 5.5
	doesn't have the function.
	Reported by Hiroaki Nakamura. Thanks!!!

2011-02-10  Kouhei Sutou  <kou@clear-code.com>

	* test/run-test.sh: use absolute path for icons dir.

	* module/ui/cut-console-ui.c, test/run-test.sh: use uninstalled
	icons in self test.

	* test/gdkcutter-pixbuf/test-gdkcut-pixbuf.c,
	test/gdkcutter-pixbuf/test-gdkcut-pixbuf-assertions.c: add missing
	include <string.h>.

	* test/cutter/test-cut-test-utils.c: add missing include
	<string.h>.

	* test/cutter/test-cut-file-stream-reader.c: add missing include
	<string.h>.

	* module/ui/cut-console-ui.c, module/ui/cut-console-ui-factory.c:
	support growlnotify for Mac OS X.

	* module/ui/cut-console-ui-factory.c (guess_term_width): support
	COLUMNS environment variable.

2011-02-10  Kenji Okimoto  <okimoto@clear-code.com>

	* html/index.html.ja: fix typo.

2011-02-09  Kouhei Sutou  <kou@clear-code.com>

	* module/ui/cut-console-ui.c (notify): escape summary.

2011-02-08  Kouhei Sutou  <kou@clear-code.com>

	* yum/sign-rpm.sh: sign RPM at a time.

	* yum/build-in-chroot.sh: support build in parallel.

	* apt/build-in-chroot.sh: support build in parallel.

	* html/index.html*: Ubuntu Linux -> Ubuntu.

	* doc/install-to-ubuntu.rd*: Hardy -> Maverick.

2011-02-08  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: 1.1.6 -> 1.1.7.

	* debian/control, debian/rules: support --notify.

	* NEWS*: add Ubuntu Maveric and Fedora 14 support.

	* rpm/centos/cutter.spec.in, rpm/fedora/cutter.spec.in: require
	libnotify.

	* apt/Makefile.am: drop Hardy suppot and add Maverick.

2011-02-07  Kouhei Sutou  <kou@cozmixng.org>

	* yum/build-in-chroot.sh: Fedora 13 -> 14.

	* ./: update the latest release date.

	* html/index.html*, html/notify-on-gnome.png: add screenshot of
	--notify.

	* NEWS*: add 1.1.6 entry.

	* module/ui/cut-console-ui.c, module/ui/cut-console-ui-factory.c:
	add --notify option to notify test result by notify-send.
	* data/icons/kinotan/: add kinotan icons.
	* README*, Makefile.am, configure.ac, test/cutter/test-cutter.c,
	cutter/cut-pipeline.c: follow the above changes.

	* doc/reference/ja.po: update.

	* doc/reference/cutter-overrides.txt: add new symbols.

	* doc/reference/cutter-docs.sgml: remove duplicated entry.

	* gcutter/gcut-glib-event-loop.h: fix a typo.

	* doc/reference/ja.po: update.

	* gcutter/gcut-event-loop.h: fix a typo.

	* doc/reference/ja.po: resolve fuzzy items.

2011-02-07  Kouhei Sutou  <kou@clear-code.com>

	* doc/reference/ja.po: update partially.

	* gcutter/gcut-event-loop.h: fix typos.

	* doc/reference/ja.po: update partially.

	* gcutter/gcut-test-utils.h: fix markup.

	* gcutter/gcut-event-loop.h: unify documents.

	* doc/reference/cutter-docs.sgml: add GCutGLibEventLoop.

	* gcutter/gcut-event-loop.h: fix variable names in document.

	* cutter/cut-test-utils.h (cut_build_fixture_data_path): add
	missing deprecated guard.

	* doc/reference/cutter-docs.sgml, doc/reference/cutter.types: add
	GCutProcess and GCutEventLoop.

	* gcutter/gcut-event-loop.h: fix function names.

	* m4macros/cutter.m4: support --config-cache.

	* gcutter/gcut-event-loop.h: add missing "Since: 1.1.6".

	* m4macros/cutter.m4: remove needless AC_CACHEK_CHECK.

2011-02-06  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-process.c (gcut_process_wait): use GCutEventLoop.

2011-02-01  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-process.[ch]: support GCutEventLoop.

	* gcutter/gcut-glib-event-loop.[ch],
	gcutter/gcutter.h, gcutter/Makefile.am: add GLib implementation
	of GCutEventLoop.

	* gcutter/gcut-event-loop.[ch],
	gcutter/gcutter.h, gcutter/Makefile.am: add abstracted event loop
	GCutEventLoop.

2011-01-24  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-diff.c, doc/cut-diff.rd*: add --label option.

2011-01-19  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: add '[' and ',' to separator list.

2011-01-16  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-assertions-helper.c (gcut_assert_error_helper): use
	g_error_free() instead of g_clear_error().

2011-01-15  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-string-io-channel.[ch]
	(gcut_string_io_channel_get_main_context)
	(gcut_string_io_channel_set_main_context): make main context used
	in string IO channel customizable.
	* test/gcutter/test-gcut-string-io-channel.c: add tests for the above.

2011-01-12  Kouhei Sutou  <kou@cozmixng.org>

	* doc/install-to-fedora.rd*, doc/install-to-centos.rd*: update
	cutter-repository RPM path.

	* yum/gpg-uid.sh: always use 1c837f31 GPG key.

	* yum/cutter-repository.spec: don't install GPG key for RPM by hand.

2011-01-10  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cut-utils.c (test_compare_string): don't assume
	that strcmp() returns 1 and -1. It may return 1 or greater and -1
	or less. #3153801
	Reported by Ilya Barygin. Thanks!!!

2010-11-25  Kouhei Sutou  <kou@clear-code.com>

	* misc/update-latest-release.rb: add missing the last ".".

2010-11-24  Kouhei Sutou  <kou@cozmixng.org>

	* misc/update-latest-release.rb: append version number at the sign
	line in RPM %changelog.

2010-11-23  Kouhei Sutou  <kou@cozmixng.org>

	* m4macros/cutter.m4: use -q instead of /dev/null.

	* m4macros/cutter.m4: remove needless cat.

	* Makefile.am, misc/update-latest-release.rb: parameterize package name.

2010-11-22  Kouhei Sutou  <kou@cozmixng.org>

	* yum/build-repository-rpm.sh, yum/Makefile.am: parameterize.

2010-11-07  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-context.c, cutter/cut-test-context.h,
	cutter/cut-utils.c, gcutter/gcut-public.h, gcutter/gcut-test-utils.h,
	gcutter/gcut-utils.c, test/gcutter/test-gcut-test-utils.c:
	add gcut_get_fixture_data() that returns GString.

2010-11-06  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-utils.h: fix version number.

	* cutter/cut-test-utils.h,
	cutter/cut-assertions-helper.c,
	cutter/cut-public.h,
	cutter/cut-test-context.c,
	cutter/cut-test-context.h,
	cutter/cut-utils.c,
	test/cutter/test-cut-test-utils.c:
	- make cut_build_fixture_data_path() deprecated.
	- add cut_build_fixture_path() that returns Cutter owened path.
	- add cut_get_fixture_data() that also returns data size.

2010-10-31  Kouhei Sutou  <kou@cozmixng.org>

	* doc/cutter.rd, doc/cut-diff.rd: capitalize section title.

2010-10-26  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* test/gcutter/test-gcut-test-utils.c (test_take_new_string): add test of gcut_take_new_string.

	* gcutter/gcut-test-utils.h: add new take function.

	* test/gcutter/test-gcut-test-utils.c: add test of gcut_take_string.

	* gcutter/gcut-test-utils.h (gcut_take_string): add.

	* gcutter/gcut-public.h (cut_test_context_take_g_string): add.

	* cutter/cut-test-context.c (cut_test_context_take_g_string)
	(cut_test_context_g_string_free): add new take function.

2010-09-26  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-contractor.c: remove unused codes.

2010-09-15  Kouhei Sutou  <kou@clear-code.com>

	* m4macros/cutter.m4 (AC_CHECK_COVERAGE): support Makefile
	filename customize.

2010-09-10  Kouhei Sutou  <kou@clear-code.com>

	* doc/install-to-debian.rd*: add an apt-line for squeeze.
	Suggested by Romuald Conty. Thanks!!!

	* apt/: support squeeze.

2010-09-09  Kouhei Sutou  <kou@cozmixng.org>

	* apt/Makefile.am (CODE_NAMES): add squeeze.

2010-09-06  Kouhei Sutou  <kou@clear-code.com>

	* doc/reference/header.html*: add install link.

	* configure.ac: 1.1.5 -> 1.1.6.

	* test/fixtures/loader/: link missing GIO libraries.

	* gcutter/gcut-process.c: ensure undefing ERROR macro.

	* gcutter/gcut-process.c: add missing GIO check.

	* doc/reference/Makefile.am, doc/reference/cutter.types: include
	GCutProcess.

	* doc/cut-diff.rd*: fix typos.

	* ./: 1.1.4 -> 1.1.5.

	* debian/changelog: 1.1.4-1 -> 1.1.5-1.

	* NEWS*: add 1.1.5 entry.

	* doc/cut-diff.rd*: add documents for --context-lines.

	* cutter/cut-test-utils.h, doc/reference/ja.po,
	doc/reference/cutter-overrides.txt, doc/reference/overrides.txt:
	update cut_build_path_array().

	* doc/reference/ja.po: update translations.

	* gcutter/gcut-data.h, gcutter/gcut-egg.h, gcutter/gcut-process.h:
	fix documents.

	* doc/reference/overrides.txt: add newly added symbols.

2010-08-31  Kouhei Sutou  <kou@cozmixng.org>

	* m4macros/cutter.m4: support lcov 1.9. #3056684
	Patch by Romain Tartière. Thanks!!!

2010-08-18  Kouhei Sutou  <kou@clear-code.com>

	* module/ui/cut-console-ui.c: support multi width spaces.

2010-07-28  Kouhei Sutou  <kou@cozmixng.org>

	* module/report/cut-xml-report-factory.c: add missing parent
	dispose call.

	* module/report/cut-xml-report-factory.c: add missing static.

	* doc/reference/cutter-docs.sgml: add gcut-process and gcut-string
	entries.

	* gcutter/gcut-egg.h: mark deprecated.

	* gcutter/gcut-process.h: add missing document.

	* doc/reference/ja.po: update.

	* gcutter/gcut-string.h: fix document.

	* gcutter/gcut-data.h: fix a typo.

	* doc/reference/cutter-docs.sgml: add 1.1.5 entry.

	* soupcutter/soupcutter.h: fix link destination.

	* doc/install-to-freebsd.rd*: fix format.

2010-07-26  Kouhei Sutou  <kou@clear-code.com>

	* doc/install-to-freebsd.rd*: use pkg_add and 'make install'
	instead of portupgrade for installing Cutter on FreeBSD.
	Suggested by Romain Tartière. Thanks!!!

2010-07-25  Kouhei Sutou  <kou@cozmixng.org>

	* doc/install-to-freebsd.rd*: use ports to install Cutter.
	Suggested by Romain Tartière. Thanks!!!

2010-07-20  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, module/report/cut-pdf-report.c,
	module/report/cut-pdf-report-factory.c: use libgoffice-0.8 instead
	of libgoffice-0.6.
	Suggested by Romain Tartière. Thanks!!!

	* configure.ac: show lcov related paths only when coverage is
	enabled.
	Suggested by Romain Tartière. Thanks!!!

2010-07-17  Kouhei Sutou  <kou@cozmixng.org>

	* sample/cairo/: remove because we can't maintain it.

	* sample/gtk+/builder.c (test_domain): follow GTK+'s behavior changes.

	* sample/gtk+/builder.c (test_widget): remove behavior changed test.

	* sample/glib/regex.c (test_partial_match): follow GLib's behavior
	changes.

	* cutter/cut-pipeline.c: work sub-cutter without full-path.
	Patch by Romain Tartière. Thanks!!!

	* README*: update Romain Tartière to thanks entry. Thanks!!!

	* configure.ac: show configure result at the end of configure.
	Suggested by Romain Tartière. Thanks!!!

	* README*: add Romain Tartière to thanks list. Thanks!!!

	* test/run-test.sh: clear LC_ALL for avoiding locale independent
	test failures.
	Suggested by Romain Tartière. Thanks!!!

2010-07-14  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, test/fixtures/, test/lib/,
	test/gcutter/test-gcut-process.c: cut-test-echo -> cuttest-echo.

	* test/gcutter/test-gcut-process.c: remove unsupported operation
	operation test.

	* gcutter/gcut-process.[ch]: add gcut_process_flush().

	* cutter/cut-test-utils.h, cutter/cut-public.h,
	cutter/cut-utils.c: cut_build_pathv -> cut_build_path_array.

2010-07-07  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-list.c, gcutter/gcut-test-utils.h,
	test/gcutter/test-gcut-list.c: add gcut_list_int_new(),
	gcut_list_uint_new(), gcut_take_new_list_int() and
	gcut_take_new_list_uint().

	* test/run-test.sh, sample/cairo/run-test.sh,
	sample/glib/run-test.sh, sample/gtk+/run-test.sh: use 'make check'
	for implicit test programs building.

2010-07-06  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-assertions.h: fix typos.

2010-07-02  Kouhei Sutou  <kou@clear-code.com>

	* test/gcutter/Makefile.am: fix a typo.

2010-06-25  Kouhei Sutou  <kou@clear-code.com>

	* TODO:
	- add gcut_egg_incubate() that returns GCutProcess.
	- rename cut_process_* to cut_child_cutter_*.

2010-06-24  Kouhei Sutou  <kou@clear-code.com>

	* TODO: support filter tests by attribute value.
	e.g. cutter --filter-by-attribute 'target_version <= 1.0.0'.

	* gcutter/gcut-data.h (gcut_data_has_field): add.

	* gcutter/gcut-dynamic-data.[ch],
	test/gcutter/test-gcut-dynamic-data.c: add
	gcut_dynamic_data_has_field().

2010-06-21  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-assertions.h: make cut_assert_path_exist() and
	cut_assert_path_not_exist() deprecated. Use
	cut_assert_exist_path() and cut_assert_not_exist_path() instead.

	* doc/install-to-ubuntu.rd*: karmic -> lucid.

	* cutter/cut-differ.[ch], cutter/cut-readable-differ.c,
	cutter/cut-unified-differ.c: start supporting context size in
	readable differ.

	* cutter/cut-sequence-matcher.c,
	test/cutter/test-cut-sequence-matcher.c: avoid overflow.

	* cutter/cut-diff.c: make context lines customizable.

	* cutter/cut-differ.[ch], cutter/cut-unified-differ.[ch],
	cutter/cut-readable-differ.c: share context size accessor.

	* cutter/cut-unified-differ.c: move no difference check utility to ...
	* cutter/cut-differ.[ch]: ... here.

	* cutter/cut-sequence-matcher.[ch],
	test/cutter/test-cut-sequence-matcher.c: make context size
	customizable.

2010-06-11  Kouhei Sutou  <kou@clear-code.com>

	* TODO: report errors in data setup function.

2010-06-10  Kouhei Sutou  <kou@cozmixng.org>

	* Makefile.am, po/POTFILES.in: update po.

2010-06-10  Kouhei Sutou  <kou@clear-code.com>

	* NEWS: translate Japanese.

	* html/index.html*: add missing installation on CentOS links.

	* configure.ac: 1.1.4 -> 1.1.5.

	* license/Makefile.am (dist_license_DATA): add missing fdl-1.3.txt.

	* apt/Makefile.am, apt/sign-repository.sh: remove needless release
	status support.

	* apt/update-repository.sh: work.

	* ./: update the latest release date.

	* doc/reference/: add missing variable arguments.

	* cutter/cut-assertions.h, gcutter/gcut-assertions.h, doc/: fix
	typos.

	* configure.ac, doc/reference/cutter-docs.sgml: document cut-features.

	* NEWS*: add cut_get_test_directory().

	* apt/build-in-chroot.sh: remove .svn directory.

	* doc/reference/ja.po: update translations.

	* NEWS*: add 1.1.4 entry.

	* debian/changelog: add a new entry.

	* apt/: remove auto-generatable files.

	* doc/install-to-centos.rd*, doc/reference/, html/index.html*: add
	an install document for CentOS.

	* yum/Makefile.am, yum/build-repository-rpm.sh, yum/cutter.repo:
	create repository RPM for each distribution.

	* yum/: support multi distribution packaging.

	* yum/build-rpm.sh: support multi distributions.

	* cutter/Makefile.am: cutter and cut-diff links to GLib related
	libraries.

	* yum/centos/: add a directory for CentOS.

	* configure.ac: add missing CentOS spec file generation.

	* rpm/centos/, yum/: start supporting RPM package and Yum
	repository for CentOS.

2010-06-10  Kouhei Sutou  <kou@cozmixng.org>

	* README*: add bundled GLib and PCRE licenses.

2010-06-09  Kouhei Sutou  <kou@cozmixng.org>

	* glib-compatible/pcre/Makefile.am: use bcopy().

	* glib-compatible/: remove needless files.

	* sample/glib/Makefile.am: don't test GRegex on GLib 2.12 because
	GLib 2.12 doesn't have GRegex.

	* cutter/cut-assertions-helper.[ch], cutter/cut-assertions.h,
	test/cutter/test-cut-assertions.c: add
	cut_assert_not_equal_file_raw().

	* cutter/cut-assertions-helper.[ch], cutter/cut-assertions.h:
	cut_assert_equal_file_raw() reports correct expression.

	* test/cutter/test-cut-assertions.c: use cut_build_path().

2010-06-09  Kouhei Sutou  <kou@clear-code.com>

	* glib-compatible/COPYING: add.

	* glib-compatible/: make PCRE buildable.

	* glib-compatible/pcre/: import PCRE for GLib 2.12 support.

	* cutter/cut-main.c: use g_option_context_get_help() if available.

	* test/cutter/test-cut-xml-stream.c: fix argument order.

2010-06-09  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cut-xml-stream.c: use cut_take_replace().

	* cutter/cut-run-context.c: use GLib compatibility layer.

	* cutter/cut-main.c, cutter/cut-diff.c: don't use
	g_option_context_get_help().

2010-06-08  Kouhei Sutou  <kou@cozmixng.org>

	* glib-compatible/gstring.c: backport g_string_append_vasprintf().

	* gcutter/gcut-value-equal.c: don't use g_strcmp0().

	* cutter/Makefile.am: link to Glib compatibility layer.

	* cutter/cut-loader.c: use GLib compatibility layer.

	* cutter/cut-*.c: use GLib compatibility layer.

	* cutter/cut-stream-parser.c: don't use
	g_markup_parse_context_get_element_stack().

	* cutter/cut-sequence-matcher.[ch]: don't use GHashTableIter.

	* gcutter/gcut-string-io-channel.c: use GLib compatibility layer.

	* glib-compatible/gstring.[ch]: add GString compatibility layer.

	* glib-compatible/: make compatibility GSequence buildable.

	* configure.ac, glib-compatible/: make compatibility GRegex buildable.

	* configure.ac, Makefile.am, glib-compatible/,
	gcutter/guct-hash-table.c: add GLib 2.12 compatibility layer.

	* gcutter/gcut-hash-table.c: add g_hash_table_get_keys() for GLib 2.12.

	* configure.ac: accept GLib >= 2.12.3 and intltool >= 0.35.0 for
	CentOS 5.

2010-06-07  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-colorize-differ.c: use tab instead of 8 spaces.

	* cutter/cut-diff-writer.[ch], cutter/cut-colorize-differ.c: use
	tab instead of 8 spaces.

	* cutter/cut-readable-differ.c,
	test/cutter/test-cut-readable-differ.c: use tab instead of 8
	spaces.

	* cutter/cut-differ.c (cut_differ_util_compute_width): use 8 width
	for tab.

2010-06-03  Kouhei Sutou  <kou@clear-code.com>

	* Makefile.am: release archive as
	cutter-testing-framework-X.X.X.tar.gz into
	http://cutter.sourceforge.net/archives/debian/.

2010-05-29  Kouhei Sutou  <kou@clear-code.com>

	* configure.ac, doc/reference/Makefile.am: add cut-features.

2010-05-29  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, Makefile.am, apt/Makefile.am, yum/Makefile.am:
	use configure.

2010-05-28  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-assertions-helper.[ch], gcutter/gcut-assertions.h,
	test/gcutter/test-gcut-assertions.c: add gcut_assert_not_equal_int64().

	* gcutter/gcut-assertions-helper.[ch], gcutter/gcut-assertions.h,
	test/gcutter/test-gcut-assertions.c: add gcut_assert_not_equal_uint64().

2010-05-28  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2refentry-lib.rb: support '# note'.

	* README*: fix markup.

2010-05-27  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-assertions-helper.h, cutter/cut-public.h,
	cutter/cut-test-context.c, test/cutter/test-cut-assertions.c: fix
	nested user message is ignored.

2010-05-25  Kouhei Sutou  <kou@clear-code.com>

	* test/cutter/test-cut-assertions.c: add a test for
	cut_assert_equal_string("XXX", NULL) case.

	* cutter/cut-assertions-helper.c,
	soupcutter/soupcut-assertions-helper.c,
	test/cutter/test-cut-assertions.c,
	test/soupcutter/test-soupcut-assertions.c: use cut_take_inspect_string().

	* cutter/cut-test-utils.h (cut_take_inspect_string): add.

	* cutter/cut-utils.c, cutter/cut-public.h,
	test/cutter/test-cut-utils.c: cut_utils_inspect_string() really
	inspects string and const is removed from return value type.

2010-05-18  Nobuyoshi Nakada  <nobu@ruby-lang.org>

	* autogen.sh: fix of setting default values.

2010-05-15  Kouhei Sutou  <kou@cozmixng.org>

	* README*, TUTORIAL*: use CC-BY-SA 3.0 not 2.1.

2010-05-11  Kouhei Sutou  <kou@clear-code.com>

	* README*, TUTORIAL*, license/:
	- mention licenses.
	- make document LGPL/GFDL/CC-BY-SA triple license.

2010-04-24  Kouhei Sutou  <kou@cozmixng.org>

	* gtk-doc.make: work 'make install' on no gtkdoc-rebase environment.

2010-04-21  Kouhei Sutou  <kou@clear-code.com>

	* NEWS*, README: add Romuald Conty to thanks list. Thanks!!!

	* doc/install-to-ubuntu.rd, doc/install-to-debian.rd: fix typos.
	Reported by Romuald Conty. Thanks!!!

2010-04-20  Kouhei Sutou  <kou@clear-code.com>

	* misc/release.rb: follow the recent SF.net HTML changes. :<

2010-04-19  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: add a syntax to disable term index by
	': [] term'.

2010-04-16  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-crash-backtrace.[ch],
	test/cutter/test-cut-test-case.c,
	test/cutter/test-cut-test.c: reduce memory allocation and lock
	conditions on crash.

2010-04-14  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-data.h: add G_TYPE_CHAR example.

2010-04-14  Kouhei Sutou  <kou@clear-code.com>

	* autogen.sh: use suitable default value for each environment.

	* apt/Makefile, yum/Makefile: don't remove svn related files.

	* apt/Makefile (remove-existing-packages): remove all files in pool/.

	* doc/reference/ja.po: update.

	* apt/Makefile, yum/Makefile: remove existing packages before all tasks.

	* apt/build-deb.sh: libgoffice-0.8 -> libgoffice-0.8-8.

	* debian/control: specify the same version to dependencies.

	* misc/release.rb: remove WWW module from mechanize.

	* configure.ac: 1.1.3 -> 1.1.4.

	* cppcutter/cppcut-message.h: add missing CUT_EXPORT for Windows.

	* soupcutter/soupcut-*.h, doc/reference/ja.po: remove 'based of
	libsoup' to shorten generated document's file name.

2010-04-13  Kouhei Sutou  <kou@clear-code.com>

	* NEWS*: adapt to GTK-Doc 1.14 behavior.

	* misc/rd2refentry-lib.rb: adapt to GTK-Doc 1.14 behavior.

	* */*.h: follow gtk-doc link change: use title for linkend target
	instead of ID.

	* doc/reference/ja.po: update.

	* soupcutter/soupcut-assertions.h: use 'and' instead of '/'.

	* rpm/fedora/cutter.spec.in: fix a typo.

	* apt/build-deb.sh: use libgoffice-0.8-dev instead of
	libgoffice-0-8-dev if it's available.

	* gtk-doc.make (dist-hook): add -rp to cp for directory.

	* ./: 1.1.2 -> 1.1.3.

	* m4macros/cutter.m4: add 'coverage-force' target.

	* NEWS*: add 1.1.3 entry.

	* doc/reference/ja.po: update.

	* doc/reference/Makefile.am (IGNORE_HFILES): update.

	* doc/reference/ja.po: update.

	* doc/reference/cutter-docs.sgml: add an index page for new
	symbols in 1.1.3.

	* doc/reference/cutter-overrides.txt: add newly added macros.

	* cutter/cut-test-utils.h, cutter/cut-test-utils-helper.[ch],
	test/cutter/test-cut-test-utils.c: add cut_take_convert().

	* gcutter/gcut-data.h, gcutter/gcut-data-helper.[ch]: add
	gcut_data_get_int64() and gcut_data_get_uint64().

	* test/gcutter/test-gcut-inspect.c: use border value for int
	related tests.

	* gcutter/gcut-dynamic-data.[ch],
	test/gcutter/test-gcut-dynamic-data.c: GCutDyminicData supports
	gint64 and guint64.

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add
	gcut_inspect_int64() and gcut_inspect_uint64().

2010-04-12  Kouhei Sutou  <kou@clear-code.com>

	* test/gcutter/test-gcut-dynamic-data.c: fix a typo.

	* gcutter/gcut-data.h, gcutter/gcut-data-helper.[ch]: add
	gcut_data_get_double().

	* gcutter/gcut-dynamic-data.[ch],
	test/gcutter/test-gcut-dynamic-data.c: GCutDyminicData supports
	gdouble.

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add
	gcut_inspect_double().

	* test/gcutter/test-gcut-inspect.c: use gcut_data_get_char().

	* test/gcutter/test-gcut-inspect.c: use gcut_data_get_boolean().

	* gcutter/gcut-data.h, gcutter/gcut-data-helper.[ch]: add
	gcut_data_get_boolean().

	* gcutter/gcut-dynamic-data.[ch],
	test/gcutter/test-gcut-dynamic-data.c: GCutDyminicData supports
	gboolean.

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add
	gcut_inspect_boolean().

	* gcutter/gcut-data.h, gcutter/gcut-data-helper.[ch]: add
	gcut_data_get_char().

	* gcutter/gcut-dynamic-data.[ch],
	test/gcutter/test-gcut-dynamic-data.c: GCutDyminicData supports
	gchar.

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/cutter/test-cut-assertions.c: add cut_assert_equal_char().

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add
	gcut_inspect_char().

	* doc/install-to-cygwin.rd*: update dependencies packages for
	Cygwin 1.7.

2010-04-09  Kouhei Sutou  <kou@clear-code.com>

	* m4macros/cutter.m4: ensure using TAB.

	* m4macros/cutter.m4: use TAB for indent not 8 spaces.

	* gcutter/gcut-data.h, gcutter/gcut-data-helper.[ch]: add
	gcut_data_get_size().

	* gcutter/gcut-dynamic-data.[ch],
	test/gcutter/test-gcut-dynamic-data.c: GCutDyminicData supports
	gsize.

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add
	gcut_inspect_size().

	* gcutter/gcut-types.[ch], test/gcutter/test-gcut-types.c: add
	GCUT_TYPE_SIZE.

2010-04-08  Kouhei Sutou  <kou@clear-code.com>

	* m4macros/cutter.m4: split coverage report generation target.

	* README*: add Zed Shaw to Thanks list. Thanks!!!

	* cutter/cut-utils.c (cut_utils_get_fixture_data_string_va_list):
	don't free fixture_data_path that is not needed to free.
	Reported by Zed Shaw. Thanks!!!

	* gcuttter/gcut-list.c: don't pass enum/flags type to iterator
	function by GUINT_TO_POINTER because GType may be guint64 not
	guint. (e.g. MacOSX)

	* TUTORIAL*, sample/stack/test/run-test.sh:
	- add missing top_dir variable.
	- add DYLD_LIBRARY_PATH for MacOSX and LD_LIBRARY_PATH for *BSD.

2010-04-04  Kouhei Sutou  <kou@cozmixng.org>

	* USERS*: add nfc-tools.

2010-04-03  Kouhei Sutou  <kou@cozmixng.org>

	* Makefile.am, yum/makefile: update.

	* configure.ac: 1.1.2 -> 1.1.3.

	* NEWS*: add 1.1.2 entry.

	* po/ja.po, doc/reference/ja.po: update translations.

	* doc/reference/cutter-overrides.txt: add CUT_EXPORT entry. (but
	it is ignored!)

	* doc/reference/cutter-docs.sgml: add new simples in 1.1.2.

	* Makefile.am, misc/update-latest-release.rb: support Debian
	package auto update.

	* cppcutter/Makefile.am: add missing link flags.

	* cutter/cut-loader.c: don't normalize anonymous namespace name.

	* test/fixtures/loader/cpp/stub-namespace.cpp: use CUT_EXPORT.

	* cutter/cut-loader.c: fix buffer reset bug.

	* test/cutter/test-cut-loader.c: add Visual C++ mangler.

	* cutter/cut-loader.c: go to signature information offset.

	* cutter/cut-loader.c: (maybe) support setup detection with Visual C++.

	* cutter/cut-loader.c: (maybe) support Visual C++ demangle.

2010-04-02  Kouhei Sutou  <kou@cozmixng.org>

	* test/fixtures/loader/cpp-fixture/*.cpp: use CUT_EXPORT.

	* vcc/include/config.h: define HAVE_GTK_ENABLE_DEBUG on Windows.

	* cutter/cutter.h: add CUT_EXPORT for Windows.

	* test/cutter/test-cutter.c: fix style.

	* module/report/Makefile.win32: add missing cut-cairo.obj.

	* vcc/Makefile.build, module/report/Makefile.win32: add pango-cairo.

	* vcc/Makefile.build: define CAIRO_CFLAGS and CAIRO_LIBS.

	* module/report/Makefile.win32: build PDF report.

2010-04-02  Kouhei Sutou  <kou@clear-code.com>

	* test/fixtures/test-context/Makefile.win32: define missing
	CUT_RELATIVE_PATH.

	* test/cutter/test-cut-test-utils.c: consider path separator.

	* test/fixtures/loader/iterator/success-iterated-test.c
	(data_translate): add missing NULL.

	* misc/generate-test-defs.rb: ignore /u?int_(fast|least)/ test functions.

	* misc/generate-test-makefile.rb: DLL depends on def.

	* vcc/: sync.

	* misc/generate-test-defs.rb: add missing upper cases and numbers.

	* test/cutter/test-cut-utils.c: use system inet_pton() on Windows
	Vista or later.

	* test/cutter/test-cut-utils.c: use G_OS_WIN32 instead of
	HAVE_WINSOCK2_H.

	* loader/cpp-fixture/Makefile.win32:
	LOCAL_CFLAGS -> LOCAL_CPPFLAGS.

	* vcc/: sync.

	* test/cutter/Makefile.win32: link missing ws2_32.lib.

	* test/cutter/test-cut-assertions.c: use more suitable macros.

	* test/fixtures/loader/cpp/Makefile.win32:
	LOCAL_CFLAGS -> LOCAL_CPPFLAGS.

	* cutter/Makefile.win32: link missing ws2_32.lib.

	* cutter/cut-test-context.c, cutter/cut-utils.c: use winsock2.h
	instead of windows.h because windows.h includes winsock.h on
	Visual C++.

	* cutter/cut-utils.c: use native inet_ntop() on Windows Vista or later.

	* cutter/cut-utils.c: fix a typo.

	* cutter/cut-process.c: don't use G_OS_WIN32 before including GLib.

	* cutter/cut-pipeline.c: don't use G_OS_WIN32 before including GLib.

	* vcc/include/cutter/cut-config.h: add.

	* m4macros/cutter.m4: work with --enable-coverage=SOMETHING.
	Suggested by gunyarakun. Thanks!!!

2010-03-28  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: support custom ID in sub section.

	* misc/rd2refentry-lib.rb: add filename into custom ID. (re-revert)

2010-03-27  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: accept gettext RubyGem.

2010-03-26  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: escape "!" and "?" in term ID.

	* misc/rd2refentry-lib.rb: don't add filename into custom ID. (revert)

	* cutter/cut-test-case.c,
	cutter/cut-test-context.[ch],
	test/cutter/test-cut-test-case.c: support cut_omit() in setup().
	#2976775
	Reported by Romain Tartière. Thanks!!!

2010-03-17  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-pipeline.c, cutter/cut-process.c: use G_OS_WIN32
	instead of HAVE_IO_H to work with Cygwin 1.7.

2010-03-12  Kouhei Sutou  <kou@clear-code.com>

	* doc/install-to-ubuntu.rd*: Jaunty -> Karmic.

	* m4macros/cutter.m4: support lcov 1.8.

2010-03-11  Kouhei Sutou  <kou@cozmixng.org>

	* html/index.html*: fix fragment.

	* configure.ac: 1.1.1 -> 1.1.2.

	* cppcutter/Makefile.am: fix wrong macro name.

	* test/cutter/test-cut-utils.c: use WSAStringToAddress() instead
	of inet_pton().

	* cppcutter/Makefile.am, cppcutter/cppcut-assertions-helper.cpp:
	support dllimport/dllexport.

	* cutter/cut-utils.c: use WSAAddressToString() instead of inet_ntop().

	* cutter/cut-main.c, configure.ac, cutter/Makefile.am,
	test/cutter/Makefile.am: use Winsock2 on Windows.

	* cutter/cut-run-context.c, cutter/cut-test.c: undef existing
	ERROR macro for Windows/MinGW.

	* cutter/cut-public.h: add missing CUT_ prefix.

	* Makefile.am: remove *.rpm.

	* doc/reference/ja.po: update.

	* doc/install-to*.rd*: update to 1.1.1.

	* NEWS*, html/index.html*: update release date.

	* doc/install-to-fedora.rd*: use yum.

	* yum: make more abstract.

	* cutter/Makefile.am: don't use variable in _SOURCES...

2010-03-10  Kouhei Sutou  <kou@cozmixng.org>

	* yum/: add.

	* rpm/fedora/cutter.spec.in: add %{?dist}.

	* rpm/fedora/cutter.spec.in: add 1.1.1 entry.

	* apt/update-repository.sh: fix a wrong number of arguments check.

2010-03-09  Kouhei Sutou  <kou@cozmixng.org>

	* doc/install-to-*.rd: 1.1.0 -> 1.1.1.

	* apt/: split to shell scripts.

	* NEWS*: fix typos.

	* doc/reference/cutter-overrides.txt: add missing entries.

	* test/lib/Makefile.am: add missing test/lib/cuttest-event-receiver.h.

	* debian/changelog: add 1.1.1 entry.

	* doc/reference/header*.html, html/index.html*: 1.1.0 -> 1.1.1.

	* doc/reference/cutter-overrides.txt: add entries for defined in 1.1.1.

	* doc/reference/ja.po: remove garbages.

	* NEWS*: add missing new functions.

	* gcutter/gcut-data.h: markup type.

	* doc/reference/ja.po: update.

2010-03-08  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions.h, cppcutter/cppcut-assertions.h,
	doc/reference/cutter-overrides.txt: fix parameter documents.

	* NEWS*: add missing cut_make_directory().

	* NEWS*: add a 1.1.1 entry.

	* TODO: remove: cut_assert_equal_sockaddr().

2010-03-06  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: add missing filename into custom ID.

	* misc/rd2refentry-lib.rb: also treat '=' as term sentence separator.

2010-03-04  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: work with Ruby-GetText-Package 1.93.0.

2010-03-02  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2refentry-lib.rb: use gettext/tools instead of
	gettext/poparser directly.

2010-02-17  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2refentry-lib.rb: ignore parameter list from ID.

2010-02-16  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2man-lib.rb, misc/rd2refentry-lib.rb: support keybord markup.

2010-01-30  Kouhei Sutou  <kou@cozmixng.org>

  	* html/cutter.css: fix menu bar spaces.

2010-01-23  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-data.h, test/gcutter/test-gcut-dynamic-data.c: add
	gcut_data_get_object(). GObject as a dynamic data value is supported.
	* gcutter/gcut-data-helper.[ch] (gcut_data_get_object_helper): add.
	* gcutter/gcut-dynamic-data.[ch] (gcut_dynamic_data_get_object): add.

	* gcutter/gcut-list.c, gcutter/gcut-test-utils.h,
	test/gcutter/test-gcut-test-utils.c: add gcut_list_new(),
	gcut_take_new_list_object() and gcut_list_object_free().

2010-01-19  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cut-utils.c: use <256 value for unknown family value.

	* test/cutter/test-cut-utils.c: include missing <sys/types.h>.

	* cutter/cut-utils.c: include missing <netinet/in.h>.

2010-01-18  Kouhei Sutou  <kou@clear-code.com>

	* apt/: remove apt/{debian,ubuntu}/TARGETS.

2010-01-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions-helper.[ch],
	cutter/cut-assertions.h, cutter/cut-helper.h,
	test/cutter/test-cut-assertions.c: add
	cut_assert_equal_sockaddr(), cut_equal_sockaddr() and
	cut_inspect_sockaddr().

	* cutter/cut-public.h, cutter/cut-utils.c: add missing const.

	* cutter/cut-public.h, cutter/cut-utils.c,
	test/cutter/test-cut-utils.c: add cut_utils_inspect_sockaddr().

	* cutter/cut-public.h, cutter/cut-utils.c,
	test/cutter/test-cut-utils.c,
	test/fixtures/loader/fixture/all.c,
	test/fixtures/loader/fixture/without-prefix.c: add
	cut_utils_equal_sockaddr().

	* configure.ac: generate cutter/cut-config.h for installation.

2009-12-08  Kouhei Sutou  <kou@clear-code.com>

	* doc/reference/ja.po: fix a typo.

2009-11-27  Kouhei Sutou  <kou@cozmixng.org>

	* apt/: jaunty -> karmic.

2009-11-15  Kouhei Sutou  <kou@cozmixng.org>

	* vcc/Makefile.build: link msvcrt.lib explicitly.

	* cppcutter/cppcut-macros.h (CPPCUT_DECL): define as empty on
	non-Windows.

	* cutter/cut-test-utils.h, cutter/cut-utils.c, cutter/cut-public.h,
	test/cutter/test-cut-test-utils.c: add cut_make_directory().

	* vcc/Makefile.build, **/Makefile.win32: use /libpath.

	* vcc/Makefile.build, vcc/Makefile.am: CFLAGS -> CPPFLAGS.

	* cppcutter/cppcut-assertions-helper.h: include cppcut-macros.h.

	* test/cutter/: don't add ".libs" on Windows.

	* test/run-test.bat: add cppcutter/ to PATH.

	* test/fixtures/loader/cpp{,-fixture}/Makefile.win32: use cppcutter.lib.

	* vcc/Makefile.build: use /Zi option for debugging.

	* cppcutter/cppcut-macros.h, cpcutter/cppcut-assertions-helper.h,
	cppcutter/Makfile.am, vcc/Makefile.am: export CppCutter symbols by
	declaration instead of .def.

	* cppcutter/Makefile.am, vcc/Makefile.am,
	misc/generate-makefile-objects.rb: support CppCutter build.

	* Makefile.win32, cppcutter/Makefile.win32, vcc/Makefile.am:
	support CppCutter build.

2009-11-14  Kouhei Sutou  <kou@cozmixng.org>

	* test/run-test.bat: support command line argument.

	* vcc/Makefile.build: support .cpp build.

	* test/cutter/test-cut-loader.c: don't add ".libs" on Windows.

2009-11-14  Kouhei Sutou  <kou@clear-code.com>

	* misc/generate-test-defs.rb, misc/generate-test-makefile.rb,
	vcc/Makefile.am, test/fixture/**/Makefile.win32: start supporting
	test fixture build.

2009-11-14  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cut-assertions.c: don't call close() on Windows
	beause it causes crash but why???

	* test/cutter/test-cut-loader.c: add missing NULL.

	* test/cutter/test-cut-pipeline.c: add missing NULL.

	* module/report/Makefile.win32: add.

	* test/cutter/test-cut-test-iterator.c: add missing NULL.

	* module/ui/Makefile.win32, module/report/Makefile.win32: fix paths.

	* vcc/Makefile.build: support debug build.

	* test/cutter/test-cut-xml-stream.c: add missing NULL.

	* module/stream/cut-xml-stream-factory.c (STDOUT_FILENO): define
	by hand if not defined by system.

2009-11-14  Kouhei Sutou  <kou@clear-code.com>

	* module/stream/cut-xml-stream-factory.c: add missing
	HAVE_UNISTD_H guard.

	* module/stream/Makefile.win32: add.

	* vcc/Makefile.sub: add.
	* **/Makefile.win32: use vcc/Makefile.sub.

2009-11-14  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/Makefile.win32: cutter.dll includes all symbols.

	* test/cutter/Makefile.win32: use generated sources.

2009-11-14  Kouhei Sutou  <kou@clear-code.com>

	* vcc/Makefile.am: cutter.def provides all symbols.

	* test/lib/cuttest-assertions.h,
	test/cutter/test-cut-test-iterator.c: don't use '## __VA_ARGS__'.

	* test/cutter/test-cut-test-suite.c: fix path.

2009-11-14  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cut-test-data.c: make
	buildable with VC++.

	* test/cutter/test-cut-fork.c,
	test/cutter/test-cut-readable-differ.c,
	test/cutter/test-cut-utils.c, test/cutter/test-cutter.c: make
	buildable with VC++.

	* cutter/cut-test-utils.h: add missing ts=4.

	* test/cutter/test-cut-unified-differ.c: remove nonexistent declarations.

2009-11-14  Kouhei Sutou  <kou@clear-code.com>

	* misc/generate-def.rb: support 'char **'.

	* test/cutter/test-cut-test.c: remove a nonexistent declaration.

	* cutter/Makefile.am, cutter/Makefile.win32, vcc/Makefile.am:
	generate cutter-all.dll for testing.

	* vcc/Makefile.am: fix a path.

	* misc/generate-test-makefile.rb: remove needless expression expand.

	* misc/generate-test-defs.rb, misc/generate-test-makefile.rb,
	test/cutter/Makefile.am, vcc/Makefile.am: add test build files
	generator.

2009-11-12  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-pe-loader.c: support DLL generated by VC++.

2009-11-10  Kouhei Sutou  <kou@cozmixng.org>

	* misc/generate-def.rb, test/lib/Makefile.am, vcc/Makefile.am:
	generate .def for test libraries.

	* cutter/cut-test-utils-helper.h: fix format.

	* misc/generate-def.rb: also collect new line separated functions.

	* module/ui/Makefile.win32, vcc/Makefile.build: support GTK UI build.

	* test/run-test.bat: add.

	* module/ui/Makefile.win32: add.

	* misc/generate-def.rb: ignore intmax/intptr/uintmax/uintptr.

	* cutter/Makefile.win32: create cutter.exe.

	* misc/generate-makefile-objects.rb: use '\' instead of '/' for
	path separator.

	* vcc/source/cutter/Makefile.win32: remove a needless file.

	* vcc/source/Makefile.win32, vcc/Makefile.build: fix a typo.

2009-11-09  Kouhei Sutou  <kou@cozmixng.org>

	* vcc/Makefile.build: add -MD.

	* **/Makefile.win32: add clean target.

	* misc/generate-makefile-objects.rb: support marshalers.

	* cutter/Makefile.am, gcutter/Makefile.am: add missing source files.

	* vcc/**/Makefile.win32: add.

	* cutter/Makefile.am: remove duplicated file.

	* misc/generate-makefile-objects.rb: specialize enum-types C source.

	* vcc/Makefile.am: fix regexp.

	* gcutter/Makefile.win32: split to.
	* cutter/Makefile.win32, vcc/Makefile.build: ... them.

	* Makefile.win32: gcutter -> cutter.

	* vcc/: sync.

	* cutter/Makefile.am, gcutter/Makefile.am, vcc/Makefile.am:
	generate object files for Win32.

	* misc/generate-makefile-object.rb: add.

	* cutter/Makefile.am: reorder.

	* gcutter/Makefile.am: reorder.

	* Makefile.win32, gcutter/Makefile.win32: add but not worked yet.

2009-11-03  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: 1.1.0 -> 1.1.1.

	* debian/changelog: add 1.1.0 entry.

	* Makefile.am, apt/: update versions under apt/.

	* Makefile.am: add update-latest-release target.

	* doc/, html/: 1.0.9 -> 1.1.0.

	* rpm/fedora/cutter.spec.in: add 1.1.0 entry.

	* NEWS*: add 1.1.0 entry.

	* README*: add Yuto Hayamizu to authors.

	* gcutter/gcut-data.h: fix a typo.

	* debian/rules (install/libcutter-cpp-dev): install libcppcutter.so.

	* debian/control: C -> C and C++.

	* ./: C -> C and C++.

	* cppcutter/cppcutter.h, doc/reference/: update document.

	* cutter/cut-assertions.h, gcutter/gcut-assertions.h,
	gdkcutter-pixbuf/gdkcut-pixbuf-assertions.h,
	soupcutter/soupcut-assertions.h, doc/reference/: update document.

	* cppcutter/, test/cppcutter/: support optional assertion message by
	cppcut_message().

	* cutter/cutter.h: fix document format.

	* test/cutter/test-cut-assertions.c (test_assert_message): rewrite
	with cut_assert_test_result().

2009-11-01  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-helper.h: use cut_test_with_user_message() instead of
	cut_set_message_backward_compatibility().

	* cutter/cut-assertions-helper.h
	(cut_set_message_backward_compatibility): remove.

	* test/cutter/test-cut-sequence-matcher.c: rewrite as function
	from macro.

	* test/cutter/test-cut-loader.c: C++ test case can use
	startup/shutdown without cut_ prefix.

	* cutter/, gcutter/gcut-assertions.h,
	gdkcutter-pixbuf/gdkcut-pixbuf-assertions.h,
	soupcutter/soupcut-assertions.h:
	[API CHANGED] re-enable optional assertion user
	message but API is changed. cut_message() is required:
	  before:
	    cut_assert_equal_string("a", "b", "message");
	  after:
	    cut_assert_equal_string("a", "b", cut_message("message"));

	* test/, sample/: follow the above changes.

	* cutter/cut-assertions-helper.h: fix indentation.

2009-11-01  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-loader.[ch], cutter/cut-repository.c,
	test/cutter/test-cut-loader.c,
	test/fixtures/loader/cpp-fixture/: support fixture functions
	detection defined in C++ namespace.

2009-10-31  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-loader.c,
	test/cutter/test-cut-loader.c,
	test/fixtures/loader/cpp/: support test detection defined in C++
	namespace.

2009-10-30  Kouhei Sutou  <kou@clear-code.com>

	* test/cutter/test-cut-loader.c,
	test/fixtures/loader/test/Makefile.am: fix file name.

2009-10-30  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* TUTORIAL, html/index.html: fix "an unit" -> "a unit"

2009-10-28  Kouhei Sutou  <kou@cozmixng.org>

	* misc/update-latest-release.rb: support X-X-X version variant
	replacing.

	* misc/Makefile.am (dist_noinst_SCRIPTS): add update-latest-release.rb.

2009-10-28  Kouhei Sutou  <kou@clear-code.com>

	* misc/update-latest-release.rb: add for automating latest release
	version/date updating.

	* TODO: add:
	- add CUTTER_DEBUG technique in test/run-test.sh to tutorial
	  as a debugging technique.
	- use real data instead of dummy data (e.g. a, b, c, ...)
	  for demo screenshot. (It's more realistic)
	- add 'what merit we will get' instead of 'what features we
	  will get' to introduction document.
	- add 'how to become a test junkie from a test amateur' to document.

2009-10-28  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-utils.c, test/test-cut-utils.c: add shorten mark
	(...) to inspected memory.

	* cutter/cut-utils.c: don't inspect all
	data for huge data. (>= 1024 bytes)

2009-10-27  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-string-io-channel.c: check only requested
	conditions' availability.

	* cutter/cut-public.h: move fallback PR* to ...
	* cutter/cut-assertions-helper.c: ... here to use GLib macros.

	* cutter/cut-assertions.h:
	- fix document
	- remove optional user message argument.

	* configure.ac, cutter/cut-assertions.h: put C99 stdint
	availability to cut-features.h and use it because Cutter users
	doesn't include config.h. They only use cut-features.h.

2009-10-27  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch] : add
	cut_assert_equal_int*, cut_assert_not_equal_int*

	* configure.ac: check existence of inttypes.h for format
	specifiers of various int types.

	* cutter/cut-public.h : include inttypes.h or stdint.h.

	* configure.ac: check existence of stdint.h.

	* test/cutter/test-cut-assertions.c : add tests for
	cut_assert_equal_int* and cut_assert_not_equal_int*.

2009-10-25  Kouhei Sutou  <kou@cozmixng.org>

	* test/cppcutter/test-cppcut-assertions.cpp: use format macro for
	environment dependent type.

	* cppcutter/cppcut-assertions-helper.{cpp,h},
	test/cppcutter/test-cppcut-assertions.cpp: support long long.

	* test/cppcutter/test-cppcut-assertions.cpp: work on 32bit
	environment.

	* cutter/cut-helper.h, cppcutter/cppcut-assertions.h: use #
	instead of CUT_STRINGIFY because CUT_STRINGIFY expands macro
	unexpectedly.

	* cppcutter/cppcut-assertions-helper.cpp: remove needless
	variables.

	* gst-plugins/Makefile.am: $(no_undefined) -> -no-undefined.

	* gst-plugins/Makefile.am: remove needless variables.

	* doc/Makefile.am (SUFFIXES): SUFFIXES is a variable not target.

2009-10-23  Kouhei Sutou  <kou@clear-code.com>

	* test/cppcutter/test-cppcut-assertions.cpp: pend
	cut::assert_equal(float expected, float actual, float error)
	because it doesn't match cppcut_assert_equal() signature. Need
	better API idea.

	* cppcutter/cppcut-assertions-helper.[cpp,h],
	test/cppcutter/test-cppcut-assertions.cpp (cut::assert_equal()):
	support long and unsigned long literal.

	* cppcutter/cppcut-assertions-helper.[cpp,h],
	test/cppcutter/test-cppcut-assertions.cpp (cut::assert_equal()):
	support int, unsigned int and char * literal.

2009-10-20  Kouhei Sutou  <kou@clear-code.com>

	* test/cppcutter/Makefile.am (noinst_LTLIBRARIES): add missing
	GLib dependency.

	* doc/install-*: update.

	* Makefile.am (release): add .zip.

	* misc/release.rb: follow the recent SF.net changes.

	* configure.ac: 1.0.9 -> 1.1.0.

	* m4macros/cutter.m4: guard duplicated cutter check.

	* NEWS*/, html/index.html*, debian/changelog,
	rpm/fedora/cutter.spec.in: 10-19 -> 10-20.

	* m4macros/cutter.m4: cutterpp -> cppcutter.

2009-10-19  Kouhei Sutou  <kou@clear-code.com>

	* apt/Makefile: parameterize architectures and code names.

	* rpm/fedora/cutter.spec.in (BuildRequires): add g++.

	* Makefile.am: add rpms to release files.

	* debian/rules (DEB_INSTALL_DIRS_libcutter-cpp-dev): add.

	* debian/control, debian/rules: include CppCutter.

	* apt/build-deb.sh, apt/Makefile: 1.0.8 -> 1.0.9.

	* cutter/cut-mach-o-loader.c: support 64bit environment.

	* sample/glib/keyfile.c (test_locale_string): dup returned string
	by setlocale().

	* cutter/cut-mach-o-loader.c: initialize variables as NULL.

	* debian/changelog, rpm/fedora/cutter.spec.in, html/index.html*,
	doc/reference/header*.html: 1.0.8 -> 1.0.9.

	* NEWS*: add 1.0.9 entry.

	* doc/reference/: update.

	* cutter/cut-helper.h, cppcutter/cppcutter.h,
	cppcutter/cppcut-assertions.h: fix documents.

	* doc/cut-diff.rd*: add documents for cut-diff.

	* cutter/cut-diff.c: fix a typo.

	* cutter/cut-differ.[ch], cutter/cut-readable-differ.c,
	cutter/cut-colorize-differ.c: show more difference in colorized
	mode.

	* ./: Cutter++ -> CppCutter.

2009-10-18  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/: add Cutter++.

	* cutter++/cutter++.h, test/cutter++/test-cut++-assertions.cpp:
	add CUTPP_BEGIN_TEST_DECLS and CUTPP_END_TEST_DECLS.

	* m4macros/cutter.m4: add AC_CHECK_CUTTERPP.

	* cutter++/, test/cutter++/, test/lib/: support C++: Cutter++.

2009-10-17  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-differ.c (cut_differ_need_diff): check line's
	replaced ratio.

2009-10-13  Kouhei Sutou  <kou@clear-code.com>

	* misc/release.rb: force go to my page.

	* misc/release.rb: fix login success keyword.

2009-10-12  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-diff-writer.h: improve diff writer tag names.
	* cutter/cut-*diff*.[ch], module/ui/cut-console-ui.c: follow the
	above change.

	* cutter/cut-diff.c: support unified diff by -u option.

	* cutter/cut-public.h,
	cutter/cut-unified-differ.[ch],
	test/cutter/test-cut-unified-differ.c: support label customize.

	* cutter/cut-unified-differ.[ch],
	test/cutter/test-cut-unified-differ.c,
	cutter/cut-public.h: support unified diff.

	* cutter/cut-diff-writer.[ch]: cut_diff_writer_mark_*() doesn't
	put " " but get separator parameter.
	* cutter/cut-*-differ.[ch], cutter/cut-*-diff-writer.c: follow the
	above change.

	* cutter/cut-sequence-matcher.[ch],
	test/cutter/test-cut-sequence-matcher.c: implement
	cut_sequence_matcher_get_grouped_operations().

2009-10-11  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-diff-writer.[ch] (cut_diff_writer_mark_line): add.

	* cutter/cut-diff.c: add.

	* cutter/cut-main.[ch]: split environment init/quit functions.

	* cutter/cut-console-diff-writer.[ch]: make color customizable.
	* module/ui/cut-console-ui.c: invert default diff colors.

	* cutter/cut-console-color-diff-writer.[ch]: rename to ...
	* cutter/cut-console-diff-writer.[ch]: ... them and use-color is
	parameterized.

	* cutter/cut-console-colors.h, module/ui/cut-console-ui-factory.c:
	move color related functions to ...
	* cutter/cut-console.[ch]: ... here.

	* module/ui/cut-console-ui.c: move console color diff writer to ...
	* cutter/cut-console-color-diff-writer.[ch]: ... here.

	* cutter/cut-diff.[ch]: rename to ...
	* cutter/cut-differ.[ch]: ... them.

	* module/ui/cut-console-ui.c: create a console colorized diff writer.

	* cutter/cut-colorize-differ.c: add missing write commands.

	* cutter/cut-diff.[ch]: cache sequence matcher.
	* cutter/cut-readable-differ.c: use cached sequence matcher.

	* cutter/cut-string-diff-writer.h: fix typos.

	* cutter/cut-diff.[ch], cutter/cut-readable-differ.c: make
	non-common function static.

	* cutter/cut-differ-*: rename to ...
	* cutter/cut-*-differ: ... them.
	* cutter/, modules/, test/: follow the above change.

	* test/cutter/test-cutter.c: follow --stop-before-test option change.

	* cutter/cut-diff.[ch], cutter/cut-differ-*: split write
	operations to ...
	* cutter/cut-diff-writer.[ch], cutter/cut-string-diff-writer.[ch]:
	... writer object.

	* doc/cutter.rd*: add --stop-before-test.

	* README*: update Yoshinori K. Okuji entry for suggesting
	--stop-before-test feature.

	* cutter/cut-main.c: update messages.

	* cutter/cut-main.c: add --stop-before-test option that sets
	breakpoints before invoking each test.

	* cutter/cut-test.c, cutter/cut-iterated-test.c: set breakpoint
	before invoking test.

	* cutter/cut-run-context.c: keep stop-before-test option value.

2009-10-02  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-context.c, cutter/cut-public.h
	(cut_test_context_check_optional_assertion_message): remove
	needless message argument.

	* cutter/cut-assertions-helper.h
	(cut_set_message_backward_compatibility): remove invalid __VA_ARGS__.

	* cutter/cut-repository.c (compute_relative_path): add length check.

2009-10-01  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* Use AM_SILENT_RULES instead of shave.
	By default, --enable-silent-rules is enabled, if you want to disable
	this temporarily, use make V=1.

2009-10-01  Kouhei Sutou  <kou@clear-code.com>

	* vcc/cutter.vcproj: add cut-differ-readable.[ch] and
	cut-differ-colorize.[ch].

	* gcutter/gcut-string-io-channel.c: add explicit gsize cast.

	* vcc/: sync.

	* test/cutter/test-cut-differ-readable.c: remove needless
	prototype declaration.

	* gcutter/gcut-string-io-channel.c: use gint64 for offset.

	* cutter/cut-utils.c: use _close() instead of close() on Windows.

	* cutter/cut-ui-factory-builder.c: remove needless const.

	* cutter/cut-stream-factory-builder.c: remove needless const.

	* cutter/cut-diff.c (cut_differ_util_append_with_tag): fix wrong type.

2009-09-28  Kouhei Sutou  <kou@cozmixng.org>

	* module/ui/cut-console-ui.c (print_result_detail): don't colorize
	user and system messages.

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c,
	test/cutter/test-cut-test-iterator.c: cut_assert_equal_int(),
	cut_assert_not_equal_int(), cut_assert_equal_uint(),
	cut_assert_not_equal_uint(), cut_assert_equal_size() and
	cut_assert_not_equal_size() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c: cut_assert_null_string() uses
	cut_set_expected() and cut_set_actual() instead of
	cut_append_diff().

	* cutter/cut-test-result.c (cut_test_result_set_expected)
	(cut_test_result_set_actual): accept empty string.

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c: cut_assert_equal_boolean() and
	cut_assert_not_equal_boolean() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/cut-differ-colorize.c (diff_line): show in one line if
	any replaced character exists.

2009-09-27  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-diff.h, cutter-cut-public.h,
	cut-differ-readable.[ch]: add 'readable' to readable diff related
	functions.

	* cutter/cut-test-result.c, cutter/cut-utils.c,
	test/lib/cuttest-assertions.c,
	test/cutter/test-cut-diff.c, test/cutter/test-cut-differ-readable.c:
	follow the above change.

	* cutter/cut-differ-colorize.c: swap colors of inserted and deleted.

	* cutter/cut-differ-colorize.c,
	module/ui/cut-console-ui.c: move color definitions to ...
	* cutter/cut-console-colors.h: ... here.

	* module/ui/cut-console-ui.c: use CutDifferColorize.

	* module/ui/cut-console-ui.c: move colorized diff features to ...
	* cutter/cut-differ-colorize.[ch]: ... here.

	* cutter/cut-diff.c: move CutDifferReadable to ...
	* cutter/cut-differ-readable.[ch]: ... here.

	* doc/reference/ja.po: fix a typo.

	* doc/reference/cutter-overrides.txt: add cut_set_expected() and
	cut_set_actual().

	* cutter/cut-test-utils.h: move helper functions for writing
	assertions to ...
	* cutter/cut-helper.h: ... here.

	* gcutter/gcut-assertions.h: remove needless descriptions.

	* doc/reference/cutter-docs.sgml: add symbol index added at 1.0.9.

	* doc/reference/ja.po: update messages.

	* module/ui/cut-console-ui.c: don't show folded diff with colorization.

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c: gcut_assert_equal_pid() and
	gcut_assert_not_equal_pid() use cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_object() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_flags() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_enum() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_error() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_hash_table_string_string() uses
	cut_set_expected() and cut_set_actual() instead of
	cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_hash_table() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_object() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_flags() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_enum() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_uint() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_int() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_type() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_value() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c:
	cut_assert_equal_memory() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c:
	cut_assert_equal_string_array() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* module/ui/cut-console-ui.c: add "colorize" instruction modifier.

2009-09-24  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-result.c: add max diff size limit.

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c:
	cut_assert_equal_memory() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c:
	cut_assert_equal_not_substring() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* test/lib/cuttest-assertions.c
	(cuttest_result_string_list_new_va_list): support diff.

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c:
	cut_assert_equal_substring() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* cutter/cut-assertions-helper.c,
	test/cutter/test-cut-assertions.c:
	cut_assert_not_equal_string() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* gcutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c:
	gcut_assert_equal_list_string() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* module/ui/cut-console-ui.c: don't show folded diff on colorize mode.

2009-09-23  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cut-test-context.c: follow
	cut_assert_test_result_with_message() signature change.

	* module/ui/cut-console-ui.c: fix diff colorization. dirty...

	* module/ui/cut-console-ui.c: colorize diff.

	* module/ui/cut-console-ui.c: colorize more finely.

	* test/lib/cuttest-assertions.c: support message generation with
	expected and actual.

	* cutter/cut-assertions-helper.c, cutter/cut-assertions-helper.c:
	cut_assert_equal_string() uses cut_set_expected() and
	cut_set_actual() instead of cut_append_diff().

	* test/lib/cuttest-assertions.[ch]: support expected and actual.
	* test/: follow the above changes.

	* cutter/cut-test-context.c, cutter/cut-public.h,
	cutter/cut-test-utils.h: test context has expected and actual and
	pass them to test result. cut_append_diff() is deprecated. use
	cut_set_expected() and cut_set_actual() instead.

	* cutter/cut-test-result.c, test/cutter/test-cut-test-result.c:
	generated message includes expected, actual and diff.

	* cutter/cut-macros.h: add CUT_STRINGIFY.

	* cutter/cut-helper.h: use CUT_STRINGIFY.

	* cutter/cut-test-result.[ch],
	test/cutter/test-cut-test-result.c: add fields that hold expected,
	actual and diff information.

	* soupcutter/soupcut-assertions-helper.c,
	test/soupcutter/test-soupcut-assertions.c: add missing new line of
	soupcut_client_assert_response().

	* test/soupcutter/test-soupcut-client.c: cleanup.

	* doc/Makefile.am (install-data-local): use jman instead of cutter.jman.

	* misc/release.rb: require project ID (project user name).

	* Makefile.am, configure.ac: follow the misc/release.rb change.

2009-09-01  Kouhei Sutou  <kou@clear-code.com>

	* test/cutter/test-cut-utils.c (test_compare_direct): fix a strange
	test.

	* test/cutter/test-cutter.c (test_help_all): check whether
	--pdf-report is available or not.

	* gcutter/gcut-assertions-helper.c,
	test/gcutter/test-gcut-assertions.c: sort direct and string key
	automatically.

	* gcutter/gcut-hash-table.c: use cut_utils_compare_string().

	* cutter/cut-utils.[ch], test/cutter/test-cut-utils.c:
	add cut_utils_compare_string() and cut_utils_compare_direct().

	* gcutter/gcut-hash-table.[ch] (gcut_hash_table_inspect_sorted):
	add and use it in gcut_hash_table_string_string_inspect().

	* README*, cutter/cut-test-result.c, cutter/cut-test.c,
	cutter/cut-utils.[ch]: use '.' not ',' for string elapsed format
	to work with locale independent.
	Reported by Yoshinori K. Okuji. Thanks!!!

	* test/cutter/test-cut-assertions.c: use %g for double value to
	avoid locale depended error.
	Reported by Yoshinori K. Okuji. Thanks!!!

2009-08-29  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* doc/Makefile.am (install-data-local): use mkdir_p instead of
	MKDIR_P. It seems that MKDIR_P is not defined with autoconf 2.61
	and automake 1.9.6

2009-08-28  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* html/index.html: fixed typo "a Unit" -> "an Unit"

2009-08-28  Kouhei Sutou  <kou@clear-code.com>

	* configure.ac: add --disable-goffice for Win32.

	* autogen.sh, configure.ac, Makefile.am: put generated .m4 into
	different directory.

2009-08-27  Kouhei Sutou  <kou@clear-code.com>

	* rpm/fedora/cutter.spec.in: add libsoup dependency.

	* debian/control (Depends): add missing libcutter-soup-dev
	dependency to cutter-testing-framework.

	* autogen.sh: add missing "-I m4macros" aclocal args.

	* apt/: use separated pool directory for each code name.

	* apt/Makefile (build): collect built packages.

	* NEWS*: add release-1-0-8 anchor.

	* html/: improve sidebar style.

	* html/index.html.ja: fix a typo.

2009-08-26  Kouhei Sutou  <kou@clear-code.com>

	* debian/control, apt/build-deb.sh: add a missing dependency.

	* apt/Makefile (build): add.

	* apt/debian/: add lenny support.

	* apt/build-deb.sh: consider libgoffice-0-6.

	* apt/build-deb.sh: add a script to build .deb.

	* autogen.sh: fix order.

2009-08-26  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* configure.ac: 1.0.8 -> 1.0.9

2009-08-25  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* NEWS*: add soupcut_server_take

	* doc/reference/ja.po: docs of soupcut_server_take

	* soupcutter/soupcut-server.[ch] (soupcut_server_take): add

2009-08-24  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* NEWS.ja: fixed typo

	* NEWS: translated

2009-08-24  Kouhei Sutou  <kou@clear-code.com>

	* Makefile.am (release): follow the misc/release.rb changes.

	* test/soupcutter/Makefile.am: remove a needless dependency.

2009-08-24  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* NEWS.ja: wrote news for 1.0.8

	* html/index.html*, doc/install-to-*, README*: changed version number 1.0.7 -> 1.0.8

	* doc/reference/ja.po, soupcutter/soupcut-client.h: fix docs of
	soupcut-client

	* debian/control, debian/rules: add libcutter-soup-dev

	* doc/reference/ja.po: wrote docs for soupcut-client

	* soupcutter/soupcut-client.h: wrote docs

	* doc/reference/ja.po: wrote docs for soupcut-server

	* soupcutter/soupcut-server.h: fix docs

	* doc/reference/cutter-docs.sgml: add soupcut-server

	* soupcutter/soupcut-server.h: wrote docs

	* soupcutter/soupcut-assertions.h: fix type in docs

	* test/soupcutter/test-soupcut-assertions.c,
	test/soupcutter/test-soupcut-client.c: use soupcut-server instead
	of cuttest-soup

	* test/soupcutter/test-soupcut-server.c: add for soupcut-server

	* soupcutter/soupcut-server.[ch]: renamed from test/lib/cuttest-soup.[ch]

2009-08-23  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cutter.c: GLib >= 2.21 shows '-h' as short name
	of '--help' not '-?' when '-h' doesn't exist in other short name.

	* doc/reference/ja.po: update.

	* doc/reference/overrides.txt: show SoupCutter assertions as function.

2009-08-22  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/cutter-docs.sgml: add SoupCutClient.

	* soupcutter/soupcut-assertions-helper.[ch],
	test/soupcutter/test-soupcut-assertions.c: cleanup.

	* soupcutter/soupcut-client.[ch]:
	- cleanup
	- fix memory leaks.

	* doc/reference/ja.po: update.
	* soupcutter/*.h, gcutter/gcut-hash-table.h: fix documentations.

	* doc/reference/cutter-docs.sgml: add an index of new symbols in 1.0.8.

	* doc/reference/Makefile.am: support build in different directory.

	* doc/reference/Makefile.am: update file names.

2009-08-21  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* test/soupcutter/test-soupcut-assertions.c
	(test_client_match_body): add an test for soupcut_client_assert_match_body.

	* soupcutter/soupcut-assertions.h
	(soupcut_client_assert_match_body): add.

	* soupcutter/soupcut-assertions-helper.[ch]
	(soupcut_client_assert_match_body_helper): add for
	soupcut_client_assert_match_body.

	* test/soupcutter/test-soupcut-client.c (test_get_query): add.

	* test/gcutter/test-gcut-hash-table.c: add an test for
	gcut_hash_table_string_string_copy

	* gcutter/gcut-hash-table.[ch] (gcut_hash_table_string_string_copy): add.

	* test/soupcutter/test-soupcut-client.c (test_set_base): add some test.

2009-08-21  Kouhei Sutou  <kou@clear-code.com>

	* doc/reference/Makefile.am: fix a typo.

	* soupcutter/soupcut-client.h: add description.

	* Makefile.am (update-po): add soupcutter.

2009-08-21  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* test/soupcutter/test-soupcut-client.c: add tests for set_base.

	* soupcutter/soupcut-client.c (soupcut_client_set_base): add.

	* m4macros/cutter.m4 (AC_CHECK_SOUPCUTTER): add.

2009-08-21  Kouhei Sutou  <kou@clear-code.com>

	* doc/reference/: add SoupCutter to document.

	* soupcutter/soupcutter.h: fix document.

2009-08-21  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* Makefile.am: install soupcutter.pc.

	* configure.ac, soupcutter.pc.in: SoupCutter support .pc.

	* soupcutter/soupcut-assertions-helper.c
	(soupcut_message_get_content_type): replaced
	soup_..._get_content_type

2009-08-2  Kouhei Sutou  <kou@clear-code.com>

	* test/soupcutter/test-soupcut-assertions.c: cleanup.

	* test/soupcutter/test-soupcut-client.c: cleanup.

	* test/soupcutter/suite-soupcut-test.c: initialize
	SOUP_URI_SCHEME_HTTP*.

	* autogen.sh: fix command order.

	* cutter/cut-loader.c,
	gst-plugins/test/dummy-test-functions.c,
	test/cutter/test-cut-loader.c,
	test/fixtures/loader/fixture/all.c,
	test/fixtures/loader/fixture/without-prefix.c: follow the
	startup/shutdown removing.

2009-08-20  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* test/soupcutter/test-soupcut-client.c (test_send_message): rename
	(test_get): add

	* soupcutter/soupcut-client.[ch] (soupcut_client_get): add

	* soupcutter/soupcut-assertions-helper.c (soupcut_test_fail_null_message): add

	* test/soupcutter/test-soupcut-assertions.c
	(test_client_equal_content_type_null, test_client_equal_body_null): add

	* test/soupcutter/test-soupcut-assertions.c: add

	* soupcutter/soupcut-assertions.h (soupcut_client_assert_equal_body): add

	* soupcutter/soupcut-assertions-helper.[ch] (soupcut_client_assert_equal_body_helper): add

	* test/soupcutter/test-soupcut-assertions.c (test_client_response): add

	* soupcutter/soupcut-assertions.h (soupcut_client_assert_response): add

	* soupcutter/soupcut-assertions-helper.[ch] (soupcut_client_assert_response_helper): add

2009-08-20  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cutter.h (startup, shutdown): remove [INCOMPATIBLE].

	* test/lib/cuttest-soup.[ch]: add.

	* test/soupcutter/test-soupcut-assertions.c,
	test/soupcutter/test-soupcut-client.c: use convenient functions.

	* test/soupcutter/test-soupcut-assertions.c,
	test/soupcutter/test-soupcut-client.c: don't use thread.

	* soupcutter/soupcut-client.[ch]: export GMainContext.

	* test/soupcutter/test-soupcut-assertions.c,
	test/soupcutter/test-soupcut-client.c: use SoupAddress.

	* soupcutter/soupcut-client.c: cleanup.

2009-08-20  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-inspect.h: fix a typo.

2009-08-20  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* test/soupcutter/test-soupcut-client.c (test_request): unref server

	* test/soupcutter/test-soupcut-assertions.c: add

	* soupcutter/soupcut-assertions-helper.[ch] (soupcut_client_assert_equal_content_type_helper): add

	* soupcutter/soupcut-assertions.h (soupcut_client_assert_equal_content_type): add

	* test/soupcutter/test-soupcut-assertions.c,
	soupcutter/soupcut-assertions-helper.h,
	soupcutter/soupcut-assertions-helper.c,
	soupcutter/soupcut-assertions.h: renamed
	soupcut_assert_equal_content_type ->
	soupcut_message_assert_equal_content_type

	* test/soupcutter/test-soupcut-client.c (test_request): work with
	mock server

	* soupcutter/soupcut-client.c (soupcut_client_send_message): now
	that it actually send messages

2009-08-19  Yuto Hayamizu  <y.hayamizu@gmail.com>

	* soupcutter/soupcut-client.c (soupcut_client_send_message)
	(soupcut_client_get_n_messages)
	(soupcut_client_get_latest_message): implemented.

	* test/soupcutter/test-soupcut-client.c: add

	* soupcutter/soupcutter.h: add include

	* soupcutter/soupcut-client.h: add

	* soupcutter/soupcut-client.c: add

	* soupcutter/Makefile.am: add new files

	* soupcutter/soupcut-assertions-helper.c: add an include file

	* soupcutter/soupcut-assertions.h,
	soupcutter/soupcut-assertions-helper.h: extracted from ...
	* soupcutter/soupcutter.h: ... here.

	* test/soupcutter/: add

	* soupcutter/: add

	* configure.ac: add libsoup.

2009-08-18  Kouhei Sutou  <kou@clear-code.com>

	* configure.ac: fix a typo.

2009-08-14  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2refentry-lib.rb: accept local anchor.

	* cutter/cut-process.c (cut_process_init): suppress a warning.

	* cutter/cut-pe-loader.c: check symbol is function or not by
	.text.

	* configure.ac, cutter/cut-pe-loader.c, vcc/include/config.h:
	check windows.h not winnt.h.

	* cutter/cut-pe-loader.c: use e_lfanew not e_lfarlc.

2009-08-12  Kouhei Sutou  <kou@clear-code.com>

	* m4macros/cutter.m4: support lcov 1.7.

	* misc/release.rb: 'Project Name' -> 'project-name' for SF.net
	project UNIX name.

2009-07-26  Kouhei Sutou  <kou@cozmixng.org>

	* misc/release.rb: follow the recent SF.net change.

2009-07-07  Kouhei Sutou  <kou@clear-code.com>

	* configure.ac: don't require GTK+ for autogen.sh.

2009-07-03  Kouhei Sutou  <kou@clear-code.com>

	* misc/release.rb: follow the recent SF.net changes.

2009-07-02  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd-visitor-util.rb: remove needless spaces after newline.

	* USERS*: add mroonga.

	* misc/rd2refentry-lib.rb: support naming term and referencing to
	term.

2009-06-26  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-mach-o-loader.c: cleanup.

	* cutter/cut-mach-o-loader.c: use defined section to detect
	symbols for public function in Mach-O.

2009-06-24  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-mach-o-loader.c: cleanup.

2009-06-19  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-string-io-channel.c: add error check.

2009-06-09  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-context.c: don't call destroy function for NULL.

	* test/gcutter/test-gcut-list.c: add tests for gcut_list_*_string().

2009-06-07  Kouhei Sutou  <kou@cozmixng.org>

	* apt/ubuntu: universe -> main.

	* apt/Makefile (download): add.

	* configure.ac, doc/Makefile.am, doc/reference/Makefile.am: use
	detected Ruby.

	* misc/rd2refentry-lib.rb, misc/rd-visitor-util.rb: share
	remove_newline.

	* misc/misc/rd2man-lib.rb: use remove_newline.

	* misc/rd-visitor-util.rb: fix removable newline detection.

2009-06-05  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2refentry-lib.rb: support RT.
	* misc/rd2refentry-lib.rb: remomve needless newline.
	* misc/rd2refentry-lib.rb: support anchor on headline.

2009-06-04  Kouhei Sutou  <kou@clear-code.com>

	* apt/ubuntu/: support hardy i386.

2009-06-03  Kouhei Sutou  <kou@cozmixng.org>

	* html/index.html*: fix description.

2009-06-02  Kouhei Sutou  <kou@clear-code.com>

	* doc/install-to-{debian,ubuntu}.rd: fix typos.

	* misc/prepare-gtk-doc-html-for-publishing.rb: support --suffix.

2009-05-25  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/cutter-docs.sgml, doc/reference/Makefile.am:
	include install document for Solaris.

	* doc/install-to-solaris.rd: add.

	* doc/install-to-solaris.rd.ja: complete.
	Assisted by UNNO Hideyuki. Thanks!!!

2009-05-24  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: support variable markup.

	* configure.ac: use AC_PATH_PROG instead of AC_CHECK_PROG.

	* doc/Makefile.am (install-data-local): don't install cutter.jman
	on unavailable environment.

2009-05-23  Kouhei Sutou  <kou@cozmixng.org>

	* misc/generate-def.rb: collect missing function names.

	* cutter/Makefile.am: add cut-enum-types.h to public headers.

	* cutter/cut-module-impl.h: add missing G_MODULE_EXPORT.

	* cutter/main.c: use return instead of exit.

	* cutter/cut-test-context.h, cutter/cut-module-factory.h: remove
	needless declarations.

	* misc/generate-def.rb: add.

	* vcc/resource/: add.

	* vcc/: add auto-generated files.

	* configure.ac, doc/Makefile.am, doc/reference/Makefile.am,
	gtk-doc.make: work with different build directory.

	* cutter/cutter.h (shutdown): guard shutdown() on Windows.

	* cutter/cut-test.c: remove needless return.

	* cutter/cut-pipeline.c: use g_ functions.

	* cutter/cut-process.c: pid_t isn't available on Windows.

	* cutter/cut-iterated-test.c: remove needless return.

	* doc/install-to-mac-os-x.rd*: add.

	* doc/install-to-others.rd*, doc/reference/Makefile.am,
	doc/reference/cutter-docs.sgml, html/index.html*: add install
	document for Mac OS X.

	* doc/install-to-fedora.rd*: add.

	* doc/install-to-others.rd*, doc/reference/Makefile.am,
	doc/reference/cutter-docs.sgml, html/index.html*: add install
	document for Fedora.

	* doc/install-to-freebsd.rd*: add.

	* doc/install-to-others.rd*, doc/reference/Makefile.am,
	doc/reference/cutter-docs.sgml, html/index.html*: add install
	document for FreeBSD.

	* test/run-test.sh: work with *BSD.

	* doc/install-to-solaris.rd.ja: add but not completed yet.

	* doc/reference/Makefile.am: add missing ubuntu rules.

	* test/run-test.sh: work with standard /bin/sh.

	* doc/install-to-ubuntu.rd*: add.
	* doc/reference/cutter-docs.sgml: add installation for Ubuntu.

	* html/index.html*: add more Cutter information.
	* html/cutter.css: add a style for command line.

	* cutter/cut-elf-loader.c (cut_elf_loader_collect_symbols): use
	ELF32_ST_BIND() for ELF32.

2009-05-21  Kouhei Sutou  <kou@cozmixng.org>

	* Makefile.am (SUBDIRS): add missing license/.

2009-05-21  Kouhei Sutou  <kou@clear-code.com>

	* license/lgpl.txt: add.

	* README*: LGPL v3+.

	* rpm/fedora/cutter.spec.in: add.

	* apt/debian/: support sid/i386.

	* test/cutter/test-cut-test-case.c: add missing "#include
	<signal.h>".

	* cutter/cut-test-iterator.c, cutter/cut-test-case.c: add
	missing "#include <signal.h>".

	* debian/control (Section): fix documentation section.

	* debian/changelog: 1.0.7-0 -> 1.0.7-1.

	* debian/compat: 7 -> 6.

	* html/index.html*: add a link to change log.

	* debian/control: remove a dependency to binutils-dev.

	* debian/rules (install/cutter-bin): fix a typo.

2009-05-20  Kouhei Sutou  <kou@clear-code.com>

	* html/index.html*: fill 1.0.7 release date.

	* configure.ac: 1.0.7 -> 1.0.8.

	* debian/changelog: add an entry for 1.0.7.

	* cutter/cut-process.c, cutter/cut-pipeline.c: check HAVE_IO_H
	before HAVE_UNISTD_H.

	* NEWS.*:
	- update shared object parsing.
	- add install document.
	- add tutorial notes.
	- add --disable-signal-handling.

2009-05-15  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-pipeline.c: support RunContext::handle-signals property.

	* doc/cutter.rd*: add a description about
	--disable-signal-handling option.

	* cutter/cut-main.c, test/cutter/test-cutter.c: add
	--disable-signal-handling option.

	* cutter/cut-test-case.c, cutter/cut-test-iterator.c,
	cutter/cut-test-suite.c, cutter/cut-test.c: support dynamic signal
	handling disable.

	* cutter/cut-run-context.[ch],
	cutter/cut-run-context.ctest/cutter/test-cut-run-context.c: add
	signal handling configuration.

	* test/run-test.sh: set DYLD_LIBRARY_PATH on MacOS X.

	* README*, doc/, html/: add install documents.

2009-05-14  Kouhei Sutou  <kou@cozmixng.org>

	* apt/{debian,ubuntu}/dists/.htaccess: enable indexes.

	* sample/stack/test/run-test.sh: add src/.libs to PATH on Cygwin.

	* TUTORIAL*: add notes for Cygwin environment.

	* README*: add Yamakawa Hiroshi to Thanks list. Thanks!!!

	* TUTORIAL*, sample/stack/Makefile.am (ACLOCAL_AMFLAGS): use
	ACLOCAL_ARGS environment variable with aclocal invoked via make.

	* Makefile.am (ACLOCAL_AMFLAGS): use ACLOCAL_OPTIONS environment
	variable.

	* test/run-test.sh: add PATH on Cygwin.

	* configure.ac: disable BFD detection by default.

2009-05-14  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-pipeline.c, cutter/cut-process.c: use _pipe() in io.h
	only when unistd.h doesn't exist.

2009-05-14  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: remove: use imagehlp.h on Windows.

	* configure.ac, cutter/Makefile.am,
	cutter/cut-image-hlp-loader.[ch], cutter/cut-pe-loader.[ch]:
	image-hlp -> pe.

2009-05-13  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, cutter/Makefile.am, cutter/cut-image-hlp-loader.c:
	support PE COFF parsing without imagehlp.

2009-05-12  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, cutter/Makefile.am: libelf.h isn't needed.

	* configure.ac, cutter/Makefile.am: detect libelf.h. (just only detect)

	* configure.ac: use AC_CHECK_HEADERS instead of AC_CHECK_HEADER.

	* cutter/cutter.h: fix inverted condition.

2009-05-12  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-elf-loader.c, cutter/cut-mach-o-loader.c: don't
	report magic mismatch.

	* configure.ac, cutter/cut-loader.c, cutter/cut-elf-loader.[ch]:
	support ELF parsing with elf.h.

2009-05-12  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-mach-o-loader.c: buildable!

2009-05-11  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: remove: use mach-o/loader.h on Mac OS X.

	* cutter/cut-mach-o-loader.c: support Mach-O parsing on
	64bit. (maybe work)

	* cutter/cut-mach-o-loader.c: support Mach-O parsing on 32bit.

2009-05-10  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-mach-o-loader.c: just make buildable. not work.

	* NEWS*: add an entry for 1.0.7.

	* doc/reference/cutter-overrides.txt: add declaration for macros.

	* doc/reference/ja.po: update translations.

	* configure.ac, cutter/Makefile.am,
	cutter/cut-image-hlp-loader.[ch], cutter/cut-loader.c: add
	ImageHlp support. maybe work. need to check on Windows. Wine
	doesn't support ImageHlp (DebugHlp) yet.

2009-05-09  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: remove: cut_assert_equal_not_{int,string,...}().

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/cutter/test-cut-assertions.c: add cut_assert_not_equal_string(),
	cut_assert_not_equal_substring() and cut_assert_not_equal_memory().

	* cutter/cut-assertions.h: add examples for cut_assert_equal_boolean()
	and cut_assert_not_equal_boolean().

	* test/gcutter/test-gcut-assertions.c (test_equal_pid): add
	missing "(GPid)".

	* TODO: remove: cut_assert_equal_boolean().

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/cutter/test-cut-assertions.c: add cut_assert_equal_boolean()
	and cut_assert_not_equal_boolean().

2009-05-05  Kouhei Sutou  <kou@cozmixng.org>

	* USERS*: use sourceforge.net instead of sf.net.

	* html/index.html*, doc/reference/header*.html: use reference/ for
	Reference link instead of reference/reference.html.

	* html/cutter.css: improve spaces.

	* misc/prepare-gtk-doc-html-for-publishing.rb: support site title
	injection.

	* misc/Makefile.am (dist_noinst_SCRIPTS): update.

	* html/logo.*: update.
	* html/cutter.css: follow the logo size change.

2009-05-04  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/cutter/test-cut-assertions.c: add cut_assert_not_equal_double().

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/cutter/test-cut-assertions.c: add cut_assert_not_equal_size().

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/cutter/test-cut-assertions.c: add cut_assert_not_equal_uint().

	* test/gcutter/test-gcut-assertions.c: cast to GPid.

	* test/cutter/test-cut-test-case.c: add missing ifdef G_OS_WIN32.

	* test/gcutter/test-gcut-egg.c (test_hatch): use
	gcut_assert_not_equal_pid().

	* test/cutter/test-cut-assertions.c (test_equal_int): test failure case.

	* gcutter/gcut-assertions.h, gcutter/gcut-assertions-helper.[ch],
	test/gcutter/test-gcut-assertions.c: add gcut_assert_not_equal_pid().

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/cutter/test-cut-assertions.c: add cut_assert_not_equal_int().

	* test/cutter/test-cut-test.c: add missing ifdef G_OS_WIN32.

	* cutter/cut-crash-backtrace.c,
	cutter/cut-test.c, cutter/cut-test-case.c,
	cutter/cut-test-suite.c,
	test/cutter/test-cut-test-case.c: treat SIGTERM as crash signal too.

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	cutter/cut-public.h, cutter/cut-utils.c,
	test/cutter/test-cut-assertions.c,
	test/cutter/test-cut-utils.c: add cut_assert_equal_substring().

	* misc/rd2man-lib.rb: markup variable as italic.

2009-05-03  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-crash-backtrace.c (read_backtrace): don't use regexp.

	* cutter/cut-test.c, cutter/cut-test-case.c: disable crash report
	for each test and test case on multi thread mode.

	* TODO: add: cut_assert_equal_not_{int,string,...}().

	* TODO: remove: more intelligent crashed reporting.
	- get the latest unfinished test and bundle it into crashed reporting.
	- CutRunContext should have multiple crashed information.

	* TODO: remove: CUT_RELATIVE_PATH for resoving path of helper shared
	library like test/lib/cuttest-assertions.c.

	* TODO: remove: show test name on crash. [1.0.7] MUST for Poppler.

	* cutter/cut-utils.[ch], test/cutter/test-cut-utils.c: add GDB
	backtrace parser.
	* cutter/cut-crash-backtrace.c: use GDB backtrace parser.

	* doc/cutter.rd*: use " instead of '.

	* ./: make 'crash' a test result. TODO: need to handle SIGSEGV
	each test, test iterator and test case.

2009-04-28  Kouhei Sutou  <kou@clear-code.com>

	* html/index.html*: add a link to ML.

2009-04-21  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/cutter-overrides.txt: add types for
	gcut_assert_equal_enum() and gcut_assert_equal_flags().

2009-04-20  Kouhei Sutou  <kou@cozmixng.org>

	* USERS.ja: add UNNO-san.

2009-04-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-helper.h: pop backtrace of the current test context
	when it is called not at the time.

	* test/: use cut_test_context_current_{push,pop}() instead of
	cut_{set,get}_current_test_context().

	* cutter/cut-test-case.c: consider about cut_shutdown()
	result status too.

	* cutter/cut-test-case.c, test/cutter/test-cut-test-case.c:
	emit test case result signal even is cut_startup() stops running
	test.

	* cutter/cut-test-case.c, test/cutter/test-cut-test-case.c:
	support omission in cut_startup().

	* test/cutter/test-cut-test-case.c: add tests for
	{failure,error,pending,notification,omission}-in signal.

2009-04-18  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-run-context.[ch], cutter/cut-test-case.[ch],
	cutter/cut-test.[ch], cutter/cut-test-runner.c: test context is
	also available in cut_startup()/cut_shutdown() context.

	* cutter/cut-test-context.c, cutter/cut-public.h: the current test
	context is managed as stack.
	* cutter/cutter.h, cutter/cut-loader.c,
	cutter/cut-test-iterator.c: follow the above API change.

	* cutter/cut-test-utils.h,
	test/cutter/test-cut-test-utils.c: add cut_build_path().

	* TODO: add: cut_thread_create(): it pushes the current test
	context. tests written by user will not case the current test
	context.

2009-04-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cutter.h: make setup() and teardown() deprecated, use
	cut_setup() and cut_teardown() instead.
	Suggested by gunyarakun. Thanks!!!

	* ./: follow the above changes.

2009-04-12  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-result.c, test/cutter/test-cut-test-result.c:
	treat empty string as NULL.

	* TODO: add note to "show test name on crash".

2009-04-11  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cutter.h: deprecate startup() and shutdown().

2009-04-10  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-loader.c, cutter/cut-main.c: use HAVE_LIBBFD instead
	of HAVE_BFD_H.

	* doc/cutter-*.svg: fix size.

	* cutter/cut-test-suite.c (collect_backtrace): close dupped file
	descriptor.

2009-04-09  Kouhei Sutou  <kou@cozmixng.org>

	* doc/: add figures that show Cutter's important two features.

	* debian/rules: add jman.

	* doc/Makefile.am (install-data-local): support jman installation.

2009-04-09  Kouhei Sutou  <kou@clear-code.com>

	* cutter/cut-test-suite.c (collect_backtrace): invert.

2009-04-08  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-suite.c (collect_backtrace): use dup2().
	Reported by UNNO Hideyuki. Thanks!!!

2009-04-07  Kouhei Sutou  <kou@cozmixng.org>

	* README: add UNNO Hideyuki. Thanks!!!

	* TUTORIAL*: fix a typo.
	Reported by UNNO Hideyuki. Thanks!!!

	* html/cutter.css: more space.

	* html/cutter.css: set overflow to pre.

2009-04-06  Kouhei Sutou  <kou@clear-code.com>

	* USERS*: add groonga.

	* doc/reference/header*.html: fix path.
	* html/cutter.css: remove garbages.

	* doc/, html/: apply HTML design.
	* misc/misc/prepare-gtk-doc-html-for-publishing.rb: add.

2009-03-30  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add:
	- cut_assert_equal_boolean().
	- show test name on crash.

2009-03-24  Kouhei Sutou  <kou@cozmixng.org>

	* apt/*/generate-*.conf: generate Sources too.

	* apt/**/source/Release: fix Architecture.

2009-03-22  Kouhei Sutou  <kou@cozmixng.org>

	* apt/Makefile (upload): exclude .svn.

	* debian/dirs: remove a needless file.

	* README.ja: use direct download URL.

2009-03-22  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/Makefile.am: Fix parallel make issue.

2009-03-21  Kouhei Sutou  <kou@cozmixng.org>

	* debian/rules: add missing libgdkcutter-pixbuf.*.

	* doc/Makefile.am (EXTRA_DIST): add missing cutter.rd*.

	* debian/rules: use DEB_INSTALL_DIRS.

	* cutter/, test/: don't use '## __VA_ARGS__' to work with non-GCC
	compilers.

	* cutter/cut-test-utils.h (cut_remove_path): remove needless argument.

	* debian/rules: install cutter command documents.

	* doc/reference/: include cutter command manual page.

	* README*: move cutter command documents to ...
	* doc/cutter.rd*: ... here.

	* doc/Makefile.am: generate man from RD.

	* cutter/cut-stream-factory-builder.c, test/cutter/test-cutter.c:
	re-enable --stream-log-directory but it's obsoleted.

	* cutter/cut-stream-factory-builder.c,
	module/stream/cut-xml-stream-factory.c,
	test/cutter/test-cutter.c, test/run-test.sh:
	--stream-log-directory -> --stream-directory.

	* apt/: add apt-line provide utilities.

	* debian/control: fix a typo.

2009-03-19  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2refentry-lib.rb: support purpose extraction from man
	style RD.

	* misc/rd2man-lib.rb: support language suffix.
	* misc/rd2refentry-lib.rb: support code markup.

	* misc/rd2man-lib.rb: fix a too much markup bug.

	* misc/rd2man-lib.rb: support reference to other file.

2009-03-18  Kouhei Sutou  <kou@clear-code.com>

	* misc/rd2man-lib.rb: add.

2009-03-16  Kouhei Sutou  <kou@clear-code.com>

	* html/index.html*: improve description.

2009-03-15  Kouhei Sutou  <kou@cozmixng.org>

	* debian/control: add cutter-testing-framework meta package.

	* doc/reference/ja.po: fix typos.

	* debian/rules: remove needless configuration.

	* debian/control: add missing dependencies.

2009-03-14  Kouhei Sutou  <kou@cozmixng.org>

	* html/index.html*: add more description.

2009-03-10  Kouhei Sutou  <kou@clear-code.com>

	* misc/release.rb (#extract_sections): support '===' header in
	section.

	* misc/release.rb (#go_file_releases_page): follow the recent
	SF.net change.

	* html/index.html, html/index.html.ja, doc/reference/sf-logo.html:
	use new SF.net logo and Piwik.

2009-03-09  Kouhei Sutou  <kou@cozmixng.org>

	* debian/: use cdbs.

2009-03-08  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-version.h.in (CUTTER_CHECK_VERSION): fix typos.

	* gcutter/gcut-data-helper.[ch], gcutter/gcut-data.h,
	test/gcutter/test-gcut-test-utils.c: support GBoxed.

	* gcutter/gcut-dynamic-data.[ch],
	test/gcutter/test-gcut-dynamic-data.c: support GBoxed.

	* gcutter/gcut-types.[ch], test/gcutter/test-gcut-types.c: add
	GCUT_TYPE_ERROR.

	* cutter/cut-version.h.in (CUTTER_CHECK_VERSION): add.

2009-03-06  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-assertions-helper.c: FALSE/NULL -> neither FALSE nor NULL.

2009-03-06  Kouhei Sutou  <kou@cozmixng.org>

	* debian/: add.

	* module/report/Makefile.am (pdf_la_LIBADD): add -lm for cairo.

2009-03-02  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-utils.h, doc/reference/cutter-overrides.txt,
	doc/reference/ja.po: update document.

2009-03-01  Kouhei Sutou  <kou@cozmixng.org>

	* misc/release.rb: email release notify is optional.

	* configure.ac, **/ja.po: 1.0.6 -> 1.0.7.

	* configure.ac, html/Makefile.am, doc/reference/Makefile.am: use
	web.sf.net.

	* NEWS*: add entries for 1.0.6.

	* gcutter/gcut-assertions.h: remove needless backward compatibility.
	* doc/reference/: update document.

	* USERS*: add Kazehakase and GtkIEEmbed.

	* gcutter/gcutter.h, gdkcutter-pixbuf/, doc/reference/: add
	GdkCutter documents.

	* cutter/, gcutter/, doc/reference/: add missing document.

	* cutter/cut-assertions.h, gcutter/gcut-data.h,
	gcutter/gcut-inspect.h, doc/reference/ja.po,
	doc/reference/cutter-overrides.txt: update document.

	* gcutter/gcut-egg.[ch], doc/reference/ja.po: update document.

2009-02-28  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-egg.h, gcutter/gcut-inspect.h, doc/reference/ja.po:
	update messages.

	* gcutter/gcut-egg.h, gcutter/gcut-enum.h,
	doc/reference/cutter-overrides.txt, doc/reference/ja.po: update
	messages.

	* gcutter/gcut-enum.c (gcut_flags_inspect): flags -> flags_value.

	* gcutter/gcut-assertions.h,
	gcutter/gcut-assertions-helper.[ch],
	test/gcutter/test-gcut-assertions.c: g_pid -> pid.

2009-02-27  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-assertions.h, gcutter/gcut-enum.[ch],
	doc/reference/cutter-overrides.txt: fix type declarations.

	* cutter/cut-helper.h, cutter/cutter.h,
	doc/reference/cutter-overrides.txt: add missing type declarations.

2009-02-27  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-assertions-helper.h: use G_GNUC_NULL_TERMINATED
	instead of CUT_GNUC_NULL_TERMINATED.

2009-02-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gcutter/gcut-assertions-helper.c: Use g_clear_error instead of
	g_error_free since to allow NULL check of error for user.

2009-02-25  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-egg.[ch]:
	- add document.
	- improve API.

2009-02-24  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-egg.h: add document.

	* gcutter/gcut-egg.[ch], test/gcutter/test-gcut-egg.c: add
	gcut_egg_wait.

2009-02-21  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-inspect.h: update document.

2009-02-20  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-inspect.h: add document.

	* gcutter/gcut-data.h, gcutter/gcut-test-utils.h,
	doc/reference/cutter-docs.sgml: add document for gcut_data_*.

2009-02-20  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcut-data.h: update document.

	* gcutter/gcutter.h,
	gcutter/gcut-dynamic-data.[ch],
	gcutter/gcut-assertions-helper.h: move data related codes to ...
	* gcutter/gcut-data.[ch], gcutter/gcut-data-helper.h: ... here.

2009-02-19  Kouhei Sutou  <kou@clear-code.com>

	* gcutter/gcutter.h: add document.

	* gcutter/, test/gcutter/: gcut_data_get_data_type -> gcut_data_get_type.

	* gcutter/, test/gcutter/: GCutData -> GCutDynamicData.

	* gcutter/gcut-list.c (gcut_list_inspect): use GCutInspectFunction.

2009-02-18  Kouhei Sutou  <kou@clear-code.com>

	* cutter/, gcutter/, doc/reference/: improve document.

2009-02-17  Kouhei Sutou  <kou@clear-code.com>

	* misc/release.rb (notify_release): support release notice.

2009-02-16  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-case.c (cut_test_case_run_with_filter): Do not
	invoke cut_test_case_run_tests if no test is available to avoid
	invoking startup.

2009-02-10  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-assertions-helper.h: remove duplicated declaration.

2009-02-06  Kouhei Sutou  <kou@clear-code.com>

	* misc/release.rb (go_submit_news_page): improve submit news link
	detection.

2009-02-01  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: use InlineMediaObject instead of
	InlineGraphic for alt text.

2009-01-26  Kouhei Sutou  <kou@clear-code.com>

	* test/gcutter/test-gcut-egg.c: include config.h for HAVE_SYS_WAIT_H.

2009-01-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/cutter/test-cut-value-equal.c ->
	test/gcutter/test-gcut-value-equal.c: Moved.
	* gcutter/gcut-value-equal.c: Use g_strcmp0 instead g_str_equal to
	handle NULL.
	* test/cutter/test-cut-path.c,
	test/fixtures/path/parent/sub/test-deep.c: Use G_DIR_SEPARATOR_S.
	* cutter/cut-test-context.c (cut_test_context_push_backtrace): Convert
	directory separator in relative_path.

2009-01-23  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cutter.h: Declare shutdown if WINSOCK_API_LINKAGE is not
	defined too.
	* cutter/cut-utils.c: Include <winbase.h> for TerminateProcess.
	* cutter/cut-utils.c: Use
	g_win32_get_package_installation_directory_of_module instead of
	g_win32_get_package_installation_directory since
	g_win32_get_package_installation_directory is deprecated.
	* cutter/cutter.h: && not ||.
	* cutter/cut-utils.c: Include <windows.h> instead of <winbase.h> after
	including <glib.h>.
	* cutter/cut-utils.c (cut_win32_kill_process): return TRUE or FALSE.
	* cutter/Makefile.am: Append -mwindows to LDFLASG on win32
	environment.
	* test/gcutter/test-gcut-egg.c: Use HAVE_SYS_WAIT_H.
	* cutter/Makefile.am: Use top_builddir.
	* gcutter/gcut-assertions.h, gcutter/gcut-assertions-helper.[ch]:
	Added gcut_assert_equal_g_pid.
	* test/gcutter/test-gcut-egg.c: Define WEXITSTATUS and SIGKILL on
	win32 environment. Use gcut_assert_equal_g_pid instead of
	cut_assert_equal_int.

2009-01-22  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-utils.[ch]: Added cut_win32_kill_process().
	* gcutter/gcut-egg.c: Use cut_win32_kill_process instead of kill.

2009-01-16  Kouhei Sutou  <kou@clear-code.com>

	* misc/release.rb: don't use CSS selector.

2009-01-15  Kouhei Sutou  <kou@clear-code.com>

	* html/index.html{,.ja}: use sourceforge.net not sf.net.

2009-01-07  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-utils.h: cut_take_printf() accepts 1 argument.

2009-01-05  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb:
	- don't set footnote ID explicitly.
	- surround footnote contents by <para>.

	* misc/Makefile.am: add missing expand-rd2-snippet.rb.

	* misc/rd2refentry-lib.rb: more generic.
	* doc/reference/Makefile.am: use --name option.

	* misc/rd2refentry-lib.rb: show more information on error.

2008-12-30  Kouhei Sutou  <kou@cozmixng.org>

	* test/run-test.sh: improve default make detection.

	* test/gcutter/test-gcut-egg.c: include missing <signal.h>.

2008-12-29  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-enum.[ch], test/gcutter/test-gcut-enum.c: add
	gcut_flags_get_all().

	* gcutter/gcut-test-utils.h, test/gcutter/test-gcut-test-utils.c:
	add gcut_data_get_pointer().

	* gcutter/gcut-data.[ch], test/gcutter/test-gcut-data.c:
	add gcut_data_get_pointer_with_error(),
	gcut_data_get_pointer_helper().

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c:
	add gcut_inspect_pointer().

2008-12-26  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-data.[ch], test/gcutter/test-gcut-data.c,
	gcutter/gcut-test-utils.h, test/gcut-test-utils.c: GCutData
	supports int and uint values.

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c:
	add gcut_inspect_uint().

2008-12-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* module/ui/cut-ui-gtk.c: Remove needless cast.

2008-12-25  Kouhei Sutou  <kou@cozmixng.org>

	* misc/release.rb: follow the recent Mechanize changes.

2008-12-22  Kouhei Sutou  <kou@cozmixng.org>

	* module/ui/cut-console-ui-factory.c (guess_color_usability):
	TERM=linux is color available.

2008-12-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-utils.c, test/cutter/test-cut-utils.c:
	cut_utils_inspect_memory() shows printable characters if needed.

2008-12-18  Kouhei Sutou  <kou@cozmixng.org>

	* misc/expand-rd2-snippet.rb: improve section handling.

	* misc/expand-rd2-snippet.rb: add.

2008-12-17  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cutter.h: fix a typo.

2008-12-16  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/Makefile.am (MKDB_OPTIONS): remove needless argument.

	* misc/rd2refentry-lib.rb: support emphasis and footnote.

2008-12-11  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac (LIBTOOL_EXPORT_OPTIONS),
	sample/glib/Makefile.am: add -fno-strict-aliasing
	option to the GThread test because G_TRYLOCK
	(g_static_mutex_trylock) has strict aliasing problem.

	* sample/glib/thread.c: use more meaningful assertions.

2008-12-09  Kouhei Sutou  <kou@cozmixng.org>

	* Makefile.am (update-po): remove cut-marshalers.c.

	* test/cutter/test-cut-assertions.c: cut_assert_g_error() ->
	gcut_assert_error().

	* gcutter/gcut-hash-table.[ch], gcutter/gcut-list.h,
	gcutter/gcut-object.[ch]: GCutInspectFunc -> GCutInspectFunction.

	* cutter/cutter.h, cutter/cut-assertions-helper.h: disable
	## __VA_ARGS__ codes on CUTTER_DISABLE_DEPRECATED.

	* gcutter/gcut-test-utils.h (gcut_take_new_list_string): don't use
	## __VA__ARGS__.

2008-12-05  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-egg.c (gcut_egg_hatch): plug a memory leak.

2008-12-02  Kouhei Sutou  <kou@cozmixng.org>

	* test/cutter/test-cut-process.c: fix include path.

	* test/lib/Makefile.am (AM_CFLAGS): add missing '\'.

	* cutter/cut-utils.[ch] (cut_utils_regex_replace): add.

	* cutter/cut-test-utils.[ch], test/cutter/test-cut-test-utils.c:
	add cut_take_replace().

	* cutter/cut-types.h (CutCallbackFunction): add.

	* gcutter/gcut-data.[ch]: use CutCallbackFunction.

	* gcutter/gcut-data.[ch] (gcut_pop_backtrace): move to ...
	* cutter/cut-helper.[ch] (cut_pop_backtrace): ... here.

	* gcutter/gcut-test-utils.h: use cut_pop_backtrace() instead of
	gcut_pop_backtrace().

2008-12-01  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/, test/gcutter/: gtype -> type.

	* gcutter/gcutter.h: move gcut_data_get_XXX() to ...
	* gcutter/gcut-test-utils.h: ... here.

	* test/gcutter/test-gcut-test-utils.c (test_data_get): add a test
	for gcut_data_get_XXX().

	* test/gcutter/test-gcut-data.c: cleanup.

	* gcutter/gcutter.h (gcut_data_get_enum): add.

	* gcutter/gcut-data.[ch], test/gcutter/test-gcut-data.c: add
	gcut_data_get_enum_helper(), gcut_data_get_enum_with_error().

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add
	gcut_inspect_enum().

	* test/: CUTTEST_FLAGS -> CUTTEST_TYPE_FLAGS.

	* gcutter/gcutter.h (gcut_data_get_flags): add.

	* gcutter/gcut-data.[ch], test/gcutter/test-gcut-data.c: add
	gcut_data_get_flags_helper(), gcut_data_get_flags_with_error().

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add
	gcut_inspect_flags().

	* gcutter/gcutter.h (gcut_data_get_gtype): add.

	* gcutter/gcut-data.[ch], test/gcutter/test-gcut-data.c: add
	gcut_data_get_gtype_helper(), gcut_data_get_gtype_with_error().

2008-11-28  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c:
	support GType.

	* gcutter/, test/gcutter/: gcut_XXX_inspect() -> gcut_inspect_XXX().

	* gcutter/gcut-data.c: Field -> FieldValue.

	* gcutter/gcut-data.[ch], gcutter/gcutter.h: add gcut_data_get_string().

	* cutter/cut-helper.h (cut_push_backtrace, cut_pop_backtrace): extract.

	* gcutter/gcutter.h (gcut_add_datum): add.

	* gcutter/gcut-data.[ch], test/gcutter/test-gcut-data.c: add GCutData.

	* gcutter/gcut-inspect.h: add FIXME.

	* cutter/cutter.h: remove ## __VA_ARGS__.

2008-11-27  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-assertions.h, gcutter/gcut-assertions-helper.[ch],
	test/gcutter/test-gcut-assertions.c: add gcut_assert_equal_hash_table().

	* gcutter/gcut-hash-table.c: use gcut_string_inspect().

	* gcutter/gcut-inspect.[ch], test/gcutter/test-gcut-inspect.c: add.
	* doc/reference/Makefile.am, doc/reference/cutter-docs.sgml: add
	gcut-inspect.h.

	* gcutter/gcut-types.h: document GCutInspectFunction.

2008-11-23  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-string-io-channel.c (gcut_string_io_channel_free):
	add NULL check.

	* cutter/cut-assertions.h (cut_assert_false): don't use
	', ## __VA_ARGS__'.

2008-11-21  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut*.c: move to ...
	* test/cutter/: ... here.

	* gcutter/gcut-io-channel-string.[ch],
	test/gcutter/test-gcut-io-channel-string.c: rename to ...
	* gcutter/gcut-string-io-channel.[ch],
	test/gcutter/test-gcut-string-io-channel.c: ... them.

	* cutter/cut-utils.c, test/test-cut-utils.c: cleanup.

	* cutter/cut-assertions.h
	(cut_assert_equal_string_array_with_free): fix type.

	* gcutter/gcut-egg.[ch], test/gcutter/test-gcut-egg.c: support env
	customize.

2008-11-20  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-utils.c (cut_utils_remove_path_recursive): ensure
	close directory.

	* cutter/cut-test-utils.h (cut_remove_path): don't use
	', ## __VA_ARGS__'. required terminated NULL from users.

	* sample/cairo/nil-surface.c,
	test/gdkcutter-pixbuf/test-gdkcut-pixbuf-assertions.c,
	test/test-cut-utils.c: follow the above change.

2008-11-18  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-loader.c, cutter/cutter.h, test/test-cut-loader.c,
	test/fixtures/loader/fixture/: support cut_setup(),
	cut_teardown(), cut_startup() and cut_shutdown() as fixture
	functions because shutdown() is conflicted with shutdown(2).

2008-11-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-helper.h: mark cut_test_fail_va_list as deprecated.

	* cutter/, gcutter/, gdkcutter-pixbuf/,
	test/test-cut-assertions.c, test/test-cut-sequence-matcher.c:
	assertion's optional user message is deprecated. use
	cut_set_message() instead.

2008-11-14  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-io-channel-string.c,
	test/gcutter/test-gcut-io-channel-string.c: support write block.

2008-11-08  Kouhei Sutou  <kou@cozmixng.org>

	* test/gcutter/test-gcut-egg.c, test/gcutter/test-gcut-key-file.c:
	avoid locale independent test.

	* cutter/cut-macros.h (CUT_FUNCTION): add.

	* cutter/cut-helper.h: use CUT_FUNCTION to use __FUNCTION__ if
	__PRETTY_FUNCTION__ isn't available.

2008-11-06  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/cutter-docs.sgml: add a new section: new symbols
	in 1.0.6.

	* cutter/cut-assertions.h (cut_return): add.

	* gcutter/gcut-test-utils.h, doc/reference/cutter-overrides.txt:
	update gcut_take_list().

	* gcutter/gcut-test-utils.h, doc/reference/cutter-overrides.txt:
	update gcut_take_new_hash_table_string_string().

	* gcutter/gcut-assertions.h, doc/reference/cutter-overrides.txt:
	update gcut_assert_equal_hash_table_string_string().

	* gcutter/gcut-list.c, gcutter/gcut-test-utils.h,
	test/gcutter/test-gcut-test-utils.c: add
	gcut_list_string_new_array() and gcut_take_new_list_string_array().

	* gcutter/gcut-test-utils.h, doc/reference/cutter-overrides.txt:
	update gcut_take_new_list_string().

2008-11-05  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-utils.h, doc/reference/cutter-overrides.txt:
	update cut_take_string_array().

	* doc/reference/cutter-overrides.txt: update.

	* cutter/cut-macros.h (CUT_TRUE, CUT_FALSE): move to ...
	* cutter/cut-types.h: ... here.

	* doc/reference/cutter-overrides.txt: add some override declarations.

	* cutter/cut-test-utils.h: update document.

	* gcutter/gcut-key-file.[ch], test/gcutter/test-gcut-key-file.c:
	add GKeyFile integration.

	* gcutter/gcut-assertions.c, gcutter/gcut-assertions-helper.[ch],
	test/gcutter/test-gcut-assertions.c: add gcut_assert_equal_list().

	* test/lib/cuttest-enum.[ch], test/gcutter/test-gcut-enum.c: add
	flags type for test and use it.

	* gcutter/gcut-enum.[ch], test/gcutter/test-gcut-enum.c: format -> value.

2008-11-04  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-helper.h, cutter/cut-public.h,
	cutter/cut-test-context.c,
	test/test-cut-test-context.c, test/fixtures/test-context/: support
	CUT_RELATIVE_PATH.

	* cutter/cut-stream-parser.c: improve function name detection.

	* test/lib/cuttest-assertions.c
	(cuttest_result_string_list_new_from_result): fix wrong variable bug.

	* test/gcutter/test-gcut-enum.c: fix a memory leak.

	* gcutter/gcut-enum.c, test/gcutter/test-gcut-enum.c: add
	gcut_parse_enum() and gcut_parse_flags().

	* gcutter/gcut-io-channel-string.[ch],
	test/gcutter/test-gcut-io-channel-string.c: add pipe mode.

	* ./: use <config.h> not "config.h".

2008-10-31  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, doc/html/Makefile.am, doc/reference/Makefile.am:
	follow SF.net shell server change.

2008-10-30  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-egg.[ch] (gcut_egg_new_array): add.

	* gcutter/gcut-io-channel-string.c,
	test/gcutter/test-gcut-io-channel-string.c: make readable 1 time
	after all data read.

2008-10-30  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-repository.c: Fix memory leak.

2008-10-29  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-egg.c (reap_child): use exit status from child
	watch callback.

2008-10-29  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* tets/gcutter/test-gcut-egg.c: Use WEXITSTATUS. Still fails yet.
	* gcutter/gcut-io-channel-string.c (gcut_io_channel_string_write):
	Initialize bytes_written with 0 at the head of the function.

2008-10-28  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/, test/gcutter/test-gcut-egg.c: spawn -> egg.

2008-10-23  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-spawn.c: ensure kill spawned process.

	* TODO:
	- remove: GCutIOChannelString.
	- add: cut_get_test_name().
	- add: cut_{get,set}_current_test_context() ->
               cut_{get,set}_test_context()
	- add: CUT_RELATIVE_PATH for resoving path of helper shared
	       library like test/lib/cuttest-assertions.c.


2008-10-22  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-spawn.c: cleanup.

	* gcutter/gcut-spawn.c (dispose): interrupt.

	* gcutter/gcut-io-channel-string.[ch],
	test/gcutter/test-gcut-io-channel-string.c:
	- gcut_string_io_channel_{get,set}_limit() ->
	  gcut_string_io_channel_{get,set}_buffer_limit() .
	- gcut_string_io_channel_{get,set}_limit() means max content size limit.
	- add gcut_string_io_channel_{get,set}_read_fail().

	* gcutter/gcut-io-channel-string.[ch],
	test/gcutter/test-gcut-io-channel-string.c: add
	gcut_string_io_channel_{get,set}_limit().

	* cutter/cut-assertions-helper.[ch], cutter/cut-assertions.h,
	test/test-cut-assertions.c: add cut_assert_equal_size() and
	cut_assert_operator_size().

	* gtk-doc.make: fix build error on same source and build directory
	case.

2008-10-21  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/Makefile.am, gtk-doc.make: support build directory.

	* ./: fix build dependencies.

	* gcutter/gcut-io.[ch], gcutter/gcut-spawn.[ch],
	test/gcutter/test-gcut-io.c, test/gcutter/test-gcut-spawn.c: add.

	* cutter/cut-stream-reader.c: use gcut_io_inspect_condition().

	* cutter/cut-marshalers.list: add new marshalers.

2008-10-17  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-io-channel-string.[ch],
	test/gcutter/test-gcut-io-channel-string.c: add
	gcut_string_io_channel_clear().

	* cutter/cut-assertions-helper.c (cut_assert_equal_memory_helper):
	set limit.

	* gcutter/gcut-io-channel-string.c (source_is_available): fix a typo.

	* test/gcutter/test-gcut-io-channel-string.c (test_source): add.

2008-10-16  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-gcut-*.c: move to ...
	* test/gcutter/: ... here.

	* html/index.html*: add a link to users.

	* USERS*, Makefile.am, doc/reference/Makefile.am,
	doc/reference/cutter-docs.sgml: add.

	* test/test-gdkcutter-pixbuf*: move to ...
	* test/gdkcutter-pixbuf/: ... here.

	* gcutter/gcut-io-channel-string.[ch],
	test/test-gcut-io-channel-string.c:
	gcut_string_io_channel_get_string() returns GString * not gchar *.

	* gcutter/gcut-io-channel-string.[ch], gcutter/gcut-test-utils.h,
	test/test-gcut-io-channel-string.c: add gcut_io_channel_string_new().

	* gcutter/gcut-list.[ch], gcutter/gcut-assertions.c,
	gcutter/gcut-assertions-helper.h, test/test-gcut-list.c:
	- gcut_list_XXX_{equal,inspect}() -> gcut_list_{equal,inspect}_XXX().
	- gcut_list_{enum,flags}_inspect(list, type) ->
	  gcut_list_{enum,flags}_inspect(type, list).

2008-10-15  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: 1.0.5 -> 1.0.6.

	* Makefile.am, misc/release.rb: use PACKAGE_NAME not PACKAGE_TITLE.

	* html/Makefile.am, doc/reference/Makefile.am: follow the recent
	SF.net change.

	* cutter/cut-test-context.c: use variable.

	* cutter/cut-assertions-helper.h: improve variable name.
	* test/test-cut-assertions.c: fix indent.

	* NEWS*, doc/reference/ja.po: add cut_assert_operator_uint().

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	test/test-cut-assertions.c: add cut_assert_operator_uint().

2008-10-14  Kouhei Sutou  <kou@cozmixng.org>

	* NEWS*: 14 -> 15. give up.

	* configure.ac (SF_HOST): shell.sourceforge.net -> web.sourceforge.net.

	* test/fixtures/pixbuf/Makefile.am (EXTRA_DIST): add missing files.

	* FEATURES*: add image diff.

	* NEWS*, doc/reference/, misc/rd2refentry-lib.rb: use <img>.

	* gcutter/gcut-hash-table.c, gcutter/gcut-test-utils.h,
	test/test-gcut-hash-table.c: gcut_hash_table_string_string_newv()
	-> gcut_hash_table_string_string_new_va_list().

	* NEWS*: add an entry for 1.0.5.

	* cutter/cut-helper.h: support shared library.

	* cutter/, gcutter/, gdkcutter-pixbuf/: use
	cut_get_current_test_context().
	* test/: follow the above change.

	* cutter/cut-test-context.c: cut_test_context_current_get() and
	cut_test_context_current_set() doesn't require key. So we can
	introduce hidden get_current_test_context() and
	set_current_test_context().
	* cutter/, gcutter/, gdkcutter-pixbuf/, test/:  follow the above
	change.

	* gdkcutter-pixbuf/gdkcut-pixbuf.c: fix an index bug.
	* test/test-gdkcut-pixbuf.c: remove needless code.

	* sample/glib/iochannel.c, sample/glib/keyfile.c: use
	gcut_assert_error().

	* TODO: add an entry: GCutIOChannelString.

	* cutter/cut-test-utils.h (cut_take_strdup): add missing ().

2008-10-13  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/ja.po: update.
	* gcutter/: fix typos.

	* sample/glib/option.c: suppress warnings.

	* doc/reference/: update.

	* sample/glib/option.c: pass "" not NULL.

	* gcutter/gcut-enum.c: use G_GSIZE_FORMAT for formatting GType.

	* sample/glib/: use gcutter.

	* gcutter/gcut-assertions.h, gcutter/gcut-assertions-helper.[ch]:
	add gcut_assert_equal_int64() and gcut_assert_equal_uint64().
	* sample/glib/option.c: use gcut_assert_equal_int64().

	* gcutter/: document.

	* gcutter/Makefile.am: add missing gcut-main.[ch].

	* cutter/cut-main.c: use gcut-main.h not gcut-value-equal.h.

	* cutter/cut-assertions-helper.c (cut_assert_equal_memory_helper):
	use G_GSIZE_FORMAT.

	* gcutter/gcut-main.[ch]: add.
	* gcutter/gcut-value-equal.h: split init function to gcut-main.h.
	* cutter/cut-main.c: call gcut_init() not gcut_value_equal_init().

	* doc/reference/ja.po: update.
	* cutter/, gcutter/: fix typos.

	* doc/reference/ja.po: update.

	* cutter/cut-test-utils.h: move *_helper() to ...
	* cutter/cut-test-utils-helper.h: ... here.

	* Makefile.am: add gdkcutter-pixbuf package to po target.

	* cutter/cut-helper.h: introduce for original function base
	assertion writer.
	* cutter/, doc/reference/, test/lib/cuttest-assertions.c: follow
	the above change.

	* test/run-test.sh: cleanup.

2008-10-12  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions-helper.c,
	gcutter/gcut-assertions-helper.c,
	gdkcutter-pixbuf/gdkcut-pixbuf-assertions-helper.c, test/:
	'but was' -> 'actual'.

	* cutter/cut-assertions.h, cutter/cut-assertions-helper.[ch],
	gcutter/gcut-assertions-helper.c,
	gdkcutter-pixbuf/gdkcut-pixbuf-assertions-helper.c,
	test/test-cut-sequence-matcher.c:
	export cut_test_pass(), cut_test_fail() and
	cut_test_fail_va_list(). cut_test_fail()'s API
	changed. cut_test_terminate() has old API.

	* TUTORIAL*, test/sample/stack/autogen.sh: add description about
	when Cutter is installed with non-system prefix.

	* TODO: remove an entry: add description about
	-I$PREFIX/share/aclocal and PKG_CONFIG_PATH=$PREFIX/lib/pkgconfig
	to TUTORIAL.

	* gcutter/gcut-assertions.h, gcutter/assertions-helper.[ch],
	test/test-gcut-assertions.c: add gcut_assert_equal_list_enum() and
	gcut_assert_equal_list_flags().

	* gcutter/gcut-list.[ch], test/test-gcut-list.c
	(gcut_list_enum_inspect, gcut_list_flags_inspect): add.

	* gdkcutter-pixbuf/gdkcut-pixbuf.c, test/test-gdkcut-pixbuf.c,
	test/fixtures/pixbuf/: fix non-alpha image diff.

	* gdkcutter-pixbuf/Makefile.am (gdkcutter_pixbuf_includedir): fix
	install directory.

	* cutter/Makefile.am (cutter_public_headers): install
	cutter/cut-features.h.

	* configure.ac, cutter/cutter.h: create cut-features.h and use it.

	* m4macros/cutter.m4: add AC_CHECK_GDKCUTTER_PIXBUF.

	* cutter/cut-assertions-helper.c: use cut_utils_equal_double().

	* cutter/cut-test-utils.h (cut_equal_string): add.

	* cutter/cut-utils.c, cutter/cut-public.h, test/test-cut-utils.c:
	add cut_utils_equal_string().

	* cutter/cut-assertions-helper.c: use cut_utils_equal_string().

	* cutter/cut-assertions.h: move to needless headers to ...
	* test/, sample/cairo/, cutter/cut-assertions-helper.c: ... here.

	* cutter/cut-utils.c, cutter/cut-public.h
	(cut_utils_equal_string): add const.

	* cutter/cut-test-utils.h (cut_equal_string): add.

	* cutter/cut-utils.c, cutter/cut-public.h, test/test-cut-utils.c:
	add cut_utils_equal_string().

	* cutter/cut-public.h: use cut_boolean.

2008-10-11  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-gdkcut-pixbuf-assertions.c: add tests for
	gdkcut_pixbuf_assert_equal().

	* test/test-gdkcut-pixbuf.c,
	test/fixtures/pixbuf/diff-dark-and-nested-circle.png: add tests
	for image diff.

	* gdkcutter-pixbuf/gdkcut-pixbuf.c (gdkcut_pixbuf_diff): implement.

	* gdkcutter-pixbuf/gdkcut-pixbuf.[ch] (gdkcut_pixbuf_save_diff):
	receive GError.

	* gdkcutter-pixbuf/gdkcut-pixbuf-assertions.h
	(gdkcut_pixbuf_assert_equal): fix.

	* gdkcutter-pixbuf/gdkcut-pixbuf-assertions-helper.[ch]: add.

	* cutter/cut-public.h, cutter/cut-test-context.c
	(cut_test_context_get_last_backtrace): add.

	* cutter/cut-assertions-helper.h
	(cut_test_register_result_helper): improve API.

	* TODO: remove an entry: image diff.

	* test/test-gdkcut-pixbuf.c (test_diff_between_equal_images): add.

	* test/test-gcut-assertions.c, test/test-gcut-assertions.c: fix a
	crash bug.

	* cutter/cut-test-utils.h (cut_take_strdup_helper): add.

	* test/test-gcut-assertions.c (test_equal_object): add.

	* gcutter/gcut-assertions.h (gcut_assert_equal_object)
	(gcut_assert_equal_object_custom): add.

	* gcutter/gcut-assertions-helper.[ch]
	(gcut_assert_equal_object_helper): add.

	* gdkcutter-pixbuf/gdkcut-pixbuf.[ch]: remove
	gdkcut_pixbuf_inspect_property().

	* test/test-gdkcut-pixbuf.c: use gcut_object_inspect() instead of
	gdkcut_pixbuf_inspect_property().

	* cutter/cut-assertions.h (cut_assert_equal_string_with_free):
	improve backtrace.

	* gcutter/gcut-object.c, test/test-gcut-object.c: improve
	inspected result.

	* gcutter/gcut-object.[ch], test/test-gcut-object.c: add.

	* gcutter/gcut-list.c: use gcut_object_*().

	* gcutter/gcut-list.h: move GCutInspectFunc() to ...
	* gcutter/gcut-types.h: ... here.

	* cutter/, test/, README*: add
	--enable-convenience-attribute-definition option and convenience
	but dangerous attribute set function is disabled by default.

	* test/lib/Makefile.am, test/lib/cuttest-assertions.[ch]: define
	assertion as function not macro.

	* TODO: remove an entry: resolve circular reference between
	CutStreamReader and CutStreamParser.
	* cutter/cut-stream-parser.c: use weak_ref.

	* test/test-cut-stream-parser.c (teardown): fix memory leak.

	* TODO: remove an entry: [CutRepository/CutLoader] source
	directory supports nested directory.

	* cutter/, test/: source path resolution supports nested directory.

	* test/test-cut-assertions.c, test/test-cut-test-iterator.c,
	test/test-gcut-assertions.c, test/lib/cuttest-utils.[ch],
	test/lib/cuttest-assertions.h: check backtrace of test result too.

2008-10-10  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-utils.h (cut_take_memory): Fix typo. string ->
	memory.
	* cutter/cut-stream-parser.c: "run-context" property is
	"CONSTRUCT_ONLY" so is is not needed to unref previous value.

2008-10-09  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add an entry: add description about
	-I$PREFIX/share/aclocal and PKG_CONFIG_PATH=$PREFIX/lib/pkgconfig
	to TUTORIAL.

2008-10-08  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-assertions.h, gcutter/gcut-assertions-helper.[ch],
	test/test-gcut-assertions.c: add gcut_assert_equal_list_object()
	and gcut_assert_equal_list_object_custom().

	* gcutter/gcut-list.[ch], test/test-cut-sequence-matcher.c:
	gcut_list_object_inspect().

2008-10-07  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-public.h, cutter/cut-test-context.c
	(cut_test_context_take)
	(cut_test_context_take_memory, cut_test_context_take_strndup)
	(cut_test_context_take_memdup): add.

	* cutter/cut-test-utils.h (cut_take, cut_take_memory)
	(cut_take_strndup, cut_take_memdup): add.

2008-10-06  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-backtrace-entry.[ch]: define format function.
	* module/ui/: use backtrace entry format function.
	* test/test-cut-report-xml.c: follow the above change.

	* cutter/cut-hidden-definitions.h: add CUT_HELPER guard.

	* module/ui/cut-gtk-ui.c: suppress warnings.

	* TODO: add an entry: GTK+ UI supports test iterator.

	* test/test-cut-test-suite.c: keep the current test context.

2008-10-05  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/, gcutter/, test/, module/, sample/: implement cut_trace().
	* TODO: remove an entry: cut_trace() that stacks backtrace.
	e.g. cut_trace(my_assert_xxx(ZZZ));

	* cutter/cut-test-context.c: take_XXX() doesn't dup target object.

	* cutter/, test/:
	function name, file name, line -> file name, line, function name.

	* cutter/, module/, test/: pass 'gboolean success' to complete signal.

	* cutter/cut-test-iterator.[ch], cutter/cut-test-runner.c:
	{start,complete}-test -> {start,complete}-iterated-test.

	* cutter/cut-test-runner.c: cleanup.

	* cutter/, test/: fix a bug that any test result in setup() is
	ignored.

	* TODO: remove an entry: [BUG] test result (error, omission, ...)
	signal in setup() isn't connected to CutRunner because setup() is
	invoked before CutTest's prepare().

2008-10-04  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-utils.h (cut_utils_report_error): define.
	* cutter/: use cut_utils_report_error().

	* cutter/cut-test-iterator.c: cleanup.

2008-10-03  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/, test/: support iterated test filtering by -n option.

	* TODO: add a new entry: cut_trace() that stacks backtrace.

	* cutter/cut-utils.c (cut_utils_filter_to_regexs):
	- don't use extended mode.
	- show regexp error.

	* cutter/, test/: CutIteratedTest has test data.

	* cutter/, test/: cut_test_case_get_n_tests() receives
	CutRunContext * not gchar **.

	* cutter/cut-test-suite.c: handle SIGABRT action like SIGSEGV.

	* cutter/cut-loader.[ch], cutter/cut-main.c,
	cutter/cut-pipeline.c, cutter/cut-repository.[ch],
	cutter/cut-run-context.[ch], test/run-test.sh, test/test-cutter.c:
	add --keep-opening-modules option to resolve symbols for debugging.

	* TODO: remove a entry: add a new command line option that switch
	whether unload opened module or not to resolve symbols in opened
	module. --keep-module?

	* cutter/cut-main.c (cut_set_cutter_command_path): add NULL check.

2008-10-02  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add a new entry: add a new command line option that switch
	whether unload opened module or not to resolve symbols in opened
	module. --keep-module?

	* test/lib/cuttest-assertions.h (cut_assert_test_result): fix
	memory leaks.

	* cutter/cut-pipeline.c (unref_child_out_channel): unref child out
	not only shutdown.

	* test/test-cut-main.c: fix invalid memory access.

	* cutter/cut-assertions.h (cut_assert_equal_fixture_data_string):
	fix a memory leak.

	* test/test-cut-utils.c (test_strv_concat): fix a memory leak.

2008-10-01  Kouhei Sutou  <kou@cozmixng.org>

	* misc/release.rb: fix package detection.

2008-09-30  Kouhei Sutou  <kou@cozmixng.org>

	* misc/release.rb: make target section customizable.

	* TODO: add a new feature entry: cut_assert_equal_sockaddr().

	* cutter/cut-test-utils.h (cut_take_strdup): add.

	* cutter/cut-test-context.c, cutter/cut-public.h
	(cut_test_context_take_strdup): add.

2008-09-28  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add a bug fix task:
	[BUG] test result (error, omission, ...) signal in setup() isn't
	connected to CutRunner because setup() is invoked before CutTest's
	prepare().

2008-09-18  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-utils.c, test/test-cut-utils.c: improve inspected result.

	* cutter/cut-utils.c, cutter/cut-assertion.h, cutter/cut-public.h,
	test/test-cut-assertions.h: show hex string dump in
	cut_assert_equal_memory().

	* cutter/cut-utils.c, cutter/cut-assertions.h,
	cutter/cut-public.h, test/test-cut-utils.c:
	cut_utils_compare_string_array() ->
	cut_utils_equal_string_array().

2008-09-17  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-assertions.h (gcut_assert_equal_enum)
	(gcut_assert_equal_flags): add examples.

	* gcutter/gcut-assertions.h, test/test-gcut-assertions.c: add
	gcut_assert_equal_enum() and gcut_assert_equal_flags().

	* gcutter/gcut-enum.[ch], test/test-gcut-enum.c: add
	gcut_enum_inspect() and gcut_flags_inspect().

	* test/test-gcut-hash-table.c (test_inspect_null): fix memory leak.

2008-09-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-utils.c (cut_utils_get_fixture_data_string_and_path):
	fix a memory leak.

	* cutter/cut-utils.c (cut_utils_fold): fix a memory leak.

	* test/run-test.sh: add -v to valgrind option.

	* test/test-cut-assertions.c (path_exist_test): use
	gcut_error_inspect().

	* cutter/cut-utils.c (cut_utils_fold): fix a memory leak.

	* test/run-test.sh: support CUTTER_CHECK_LEAK environment variable
	to run on valgrind.

	* cutter/cut-utils.c (cut_utils_remove_path_recursive): fix a
	memory leak bug.
	Reported by Daijiro MORI. Thanks!!!

	* test/Makefile.am: add gdk-pixbuf's include path if needed.

	* test/Makefile.am: $(builddir) isn't available on old automake...

	* Makefile.am (SUBDIRS): build gdkcutter-pixbuf/ after cutter/.

2008-09-15  Kouhei Sutou  <kou@cozmixng.org>

	* gdkcutter-pixbuf/gdkcut-pixbuf.c (gdkcut_pixbuf_inspect_property),
	test/test-gdkcut-pixbuf.c (test_inspect_property): implement
	gdkcut_pixbuf_inspect_property().

	* test/test-gdkcut-pixbuf.c (test_equal_content_threshold),
	test/fixtures/pixbuf/max-3-pixel-value-different-dark-circle.png,
	gdkcutter-pixbuf/gdkcut-pixbuf-assertions.h: implement
	gdkcut_pixbuf_equal_content() with threshold support.

	* gdkcutter-pixbuf/gdkcut-pixbuf.c (pixels_equal),
	test/test-gdkcut-pixbuf.c (test_equal_content): implement
	gdkcut_pixbuf_equal_content() without threshold support.

	* configure.ac, Makefile.am, gdkcutter-pixbuf/,
	gdkcutter-pixbuf.pc.in, test/fixtures/pixbuf/,
	test/test-gdkcut-pixbuf.c: start GdkPixbuf support.

	* cutter/Makefile.am, gcutter/Makefile.am: cleanup.

2008-09-14  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-sequence-matcher.c, cutter/cut-diff.c,
	test/test-cut-diff.c: support double width character.

2008-09-12  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-gcut-test-utils.c (test_take_new_list_string): add.

	* test/test-cut-test-attribute.c (test_multi_attributes): use
	gcut_take_new_hash_table_string_string().

	* gcutter/gcut-test-utils.h (gcut_take_new_list_string)
	(gcut_take_new_hash_table_string_string): add.

2008-09-11  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-utils.h (cut_build_fixture_data_path): add
	memory ownership document.

	* m4macros/cutter.m4: support version check.

	* gcutter/gcut-hash-table.c, gcutter/gcut-test-utils.h
	(gcut_hash_table_string_string_newv): add.
	* test/test-gcut-hash-table.c (test_new): add a test for
	gcut_hash_table_string_string_newv().

	* gcutter/gcut-hash-table.c (gcut_hash_table_inspect): support NULL.

	* test/Makefile.am: add test/test-gcut-hash-table.c.
	* test/test-gcut-hash-table.c: add.

	* gcutter/gcut-hash-table.c (gcut_hash_table_equal): add NULL check.

2008-09-10  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-xml-stream.c (attributes_stream): don't use multi
	thread mode.

	* test/test-cut-pipeline.c: work with multi thread mode.

	* cutter/cut-main.[ch] (cut_run_iteration): add for replacing
	g_main_context_iteration() but it doesn't do any other work now.
	It may lock in the feature.

	* cutter/cut-runner.c, cutter/cut-sub-process.c,
	cutter/cut-sub-process-group.c: use cut_run_iteration() instead of
	g_main_context_iteration().

	* cutter/cut-test-iterator.c: fix attribute target.

	* cutter/cut-test-iterator.c, cutter/cut-test-suite.c: use
	GThreadPool to limit number of max threads.

	* test/run-test.sh (CUTTER_WRAPPER): don't override CUTTER for sub
	process.

	* cutter/cut-loader.c, cutter/cut-module-factory-utils.c: support
	'-' as shared object file name separator.

	* test/: use '-' not '_' for shared object file name separator.

	* cutter/cut-pipeline.c
	(create_command_line_args_from_parameters): add --max-threads option.

	* cutter/cut-multi-process.[ch]
	(cut_sub_process_{set,get}_max_threads): add.

	* cutter/cut-pipeline.c (cut_pipeline_new_from_run_context): pass
	max-threads parameter.

	* cutter/cut-main.c: add --max-threads option.

	* test/test-cutter.c: follow the above change.

	* test/test-gcut-assertions-helper.c: fix typos.

	* cutter/cut-run-context.[ch]
	(cut_run_context_{set,get}_max_threads): add.

	* test/Makefile.am: add test-cut-run-context.c.
	* test/test-cut-run-context.c (test_max_threads): add.

2008-09-09  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c: fix help message encoding on non UTF-8 locale.
	Reported by Daijiro MORI. Thanks!!!

	* README*: add an entry for Daijiro MORI. Thanks!!!

2008-09-08  Kouhei Sutou  <kou@cozmixng.org>

	* gcutter/gcut-assertions.h, gcutter/gcut-error.[ch]: add const.

	* cutter/, gcutter/: follow the below change.

	* gcutter/gcut-error.[ch] (gcut_error_inspect): renamed from
	cut_utils_inspect_g_error().

	* cutter/cut-assertions.h (cut_assert_operator_double): add.

	* test/test-cut-assertions.c (test_operator_double)
	(test_operator_int): add.

2008-09-05  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-repository.c (is_test_suite_so_path_name): accept
	suite-XXX.so as suite file not only suite_XXX.so.

	* gcutter/gcut-assertions.h (gcut_assert_equal_error): add.
	* gcutter/gcut-error.[ch]: add.
	* test/test-gcut-assertions.c (test_equal_error): add.

2008-08-27  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add: introduce easy sub process debugging mechanism.

	* cutter/cut-mach-o-loader.[ch]: add but not implemented yet.

	* cutter/cut-loader.c: use CutMachOLoader if available.

	* misc/release.rb: add fallback.

	* configure.ac: 1.0.4 -> 1.0.5.

	* NEWS*: add an entry for 1.0.4.

	* sample/Makefile.am (stack_src_DATA),
	sample/stack/config/keep-me: add sample/stack/config/keep-me just
	for dist sample/stack/config/ empty directory.

	* Makefile.am (EXTRA_DIST): add missing FEATURES*.

	* configure.ac: add AM_GLIB_GNU_GETTEXT.

	* sample/cairo/Makefile.am, sample/glib/Makefile.am,
	sample/gtk+/Makefile.am: add missing -no-undefined.

	* test/test-cut-assertions.c (path_not_exist_test): fix wrong test.

	* cutter/cut-assertions.h (cut_assert_path_not_exist): add NULL check.

	* test/test-cut-main.c (test_cutter_command_path): use notepad.exe
	as exist command.

	* test/lib/Makefile.am (AM_LDFLAGS): add -no-undefined.

	* test/Makefile.am (AM_LDFLAGS): use `pwd`/.libs not $(libs).

	* TODO: add:
	- use mach-o/loader.h on Mac OS X.
	- update option descriptions in README.

	* test/test-cut-main.c (test_cutter_command_path): use exist
	command on the test environment.

>>>>>>> .r2367
	* test/test-cut-sub-process-group.c,
	test/fixtures/sub-process-group/test-invoker.c: : use
	CUTTEST_TEST_DIR_KEY.

	* test/lib/cuttest-utils.h (CUTTEST_TEST_DIR_KEY): move from
	test/test-cut-sub-process.c.

	* test/test-cut-sub-process.c,
	test/fixtures/sub-process/test-invoker.c: : use
	CUTTEST_TEST_DIR_KEY.

	* test/test-cut-pipeline.c: remove needless set environment.

	* cutter/cut-repository.c (is_ignore_directory): skip shared
	object search in metadata directory.

	* cutter/cut-loader.c (cut_loader_load_test_suite)
	(cut_loader_load_test_case): show warning messages on
	g_module_open failure.

	* test/lib/Makefile.am (AM_LDFLAGS): use `pwd`/.libs for -rpath
	not $(libdir).

2008-08-26  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add: use imagehlp.h on Windows.

	* cutter/cut-sub-process.c, cutter/cut-multi-process.h
	(cut_sub_process_get_backtrace): remove.

	* TODO: remove: stress test. (N processes and N threads).

	* doc/reference/ja.po, po/ja.po, po/POTFILES.in: update.

	* autogen.sh, configure.ac: don't use glib-gettextize. use only
	intltoolize.

	* cutter/cutter.h, cutter/cut-multi-process.h: fix typos.

	* doc/reference/ja.po: update.

	* cutter/cut-pipeline.c
	(create_command_line_args_from_parameters): support --fatal-failures.

	* cutter/cut-sub-process.c, cutter/cut-multi-process.h
	(cut_sub_process_get_fatal_failures)
	(cut_sub_process_set_fatal_failures): add.

	* module/ui/cut-console-ui.c: fix error signal handling.

	* cutter/cut-run-context.[ch]: add fatal failures mode.

	* cutter/cut-test-context.[ch]: abort() or G_BREAKPOINT() on
	failure in fatal failures mode.

	* cutter/cut-main.c: add --fatal-failures option.

	* cutter/cut-pipeline.c (cut_pipeline_new_from_run_context),
	test/test-cutter.c: follow the above change.

	* doc/reference/ja.po: update.

	* cutter/cut-sub-process.c (cut_sub_process_is_multi_thread): remove.

	* cutter/cut-multi-process.h: document.

	* module/ui/cut-console-ui-factory.c: move guessing progress row
	max value to ...
	* module/ui/cut-console-ui.c: ... here.

	* module/ui/cut-console-ui.c: fold progress marks.

	* test/test-cut-file-stream-reader.c,
	test/fixtures/file-stream-reader/, test/fixtures/Makefile.am: add
	tests for file stream reader.

	* test/Makefile.am: add test_cut_file_stream_reader.so.

	* configure.ac: add test/fixtures/file-stream-reader/Makefile.

	* module/stream/cut-xml-stream-factory.c: tm_mon is 0-11!!!

	* test/lib/Makefile.am: add cuttest-event-receiver.[ch].

	* test/Makefile.am: test_cut_stream_parser.so use
	cuttest_event_receiver.so.

	* test/test-cut-stream-parser.c: move CuttestEventReceiver to ...
	* test/lib/cuttest-event-receiver.[ch]: ... here.

	* cutter/cut-file-stream-reader.c, cutter/cut-pipeline.c: use
	cut_stream_reader_watch_io_channel().

	* cutter/cut-stream-reader.[ch]
	(cut_stream_reader_watch_io_channel): add.

	* module/ui/cut-console-ui.c (cb_error, cb_crashed): check verbose level.

2008-08-25  Kouhei Sutou  <kou@cozmixng.org>

	* autogen.sh: add -I m4macros.

	* doc/reference/cutter-docs.sgml: add cut-multi-process.

	* doc/reference/Makefile.am: follow the below changes.

	* cutter/cut-test-utils.h, cutter/cut-public.h: move CutSubProcess
	and CutSubProcessGroup to ...
	* cutter/cut-multi-process.h: ... here. (new file)

	* cutter/cut-public.h: move m4 macros to ...
	* cutter/cut-macros.h: ... here. (new file)

	* cutter/cut-public.h: move cut_boolean to ...
	* cutter/cut-types.h: ... here.

	* TODO: remove:
	cut_sub_process_new() and cut_sub_process_group() should be changed.

	* cutter/, test/:
	- cut_sub_process_new() -> cut_take_new_sub_process().
	- cut_sub_process_group_new() -> cut_take_new_sub_process_group().

	* cutter/cut-test-utils.h (cut_take_new_sub_process): 

	* TODO: remove: CutSubProcessGroup for multi process test.

	* test/test-cut-sub-process-group.c,
	test/fixtures/sub-process-group/test-invoker.c: add a test for
	cut_sub_process_group_run_async() and cut_sub_process_group_wait().

	* doc/tutorial/senna.rd.ja: fix a typo and add some information.

2008-08-22  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-sub-process.c,
	test/fixtures/sub-process/test-invoker.c: abstract.

	* TODO: add: cut_sub_process_new() and cut_sub_process_group()
	should be changed.

	* test/test-cut-process.c: add ifdef check.

	* cutter/cut-sub-process.c:
	- add ran check.
	- add missing NULL.

	* cutter/cut-pipeline.c (create_command_line_args): add NULL check.

	* cutter/cut-utils.c (cut_utils_create_taken_sub_process_group): add.

	* cutter/cut-public.h: add CutSubProcessGroup.

	* cutter/cut-test-utils.h (cut_sub_process_group_new): add.

	* cutter/cut-sub-process-group.[ch]: add.

	* test/test-cut-sub-process-group.c: add.

	* cutter/Makefile.am: add test-cut-sub-process-group.c.

	* configure.ac, test/fixtures/Makefile.am: add
	test/fixtures/sub-process-group/.

2008-08-21  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-pipeline.c (child_out_watch_func): check all stream
	is read or not.

	* cutter/cut-run-context.[ch] (cut_run_context_is_completed): add.

	* TODO: add: CutSubProcessGroup for multi process test.

	* TODO: remove: CutSubProcess for multi process test.

	* TODO: remove: CutTestIterator supports multi thread.

	* cutter/cut-test-iterator.c: support multi thread.

	* cutter/cut-test-suite.c (run_with_thread_support): add missing
	type conversion.

	* cutter/cut-pipeline.[ch]: fix a block bug on child process is
	died unexpectedly.

	* sample/glib/thread.c: use cut_get_current_test_context() and
	cut_set_current_test_context().

	* cutter/cutter.h (cut_get_current_test_context),
	(cut_set_current_test_context): add and documented.

	* cutter/: use cut_test_context_current as prefix:
	cut_test_context_XXX_current() -> cut_test_context_current_XXX().

	* cutter/cut-test-context.c (cut_test_context_set_current): remove
	needless ref.

	* cutter/cut-test-suite.c: use more descriptive name:
	run_with_thread() -> run_with_thread_support().

	* sample/glib/thread.c: follow the below changes:
	set the current test explicitly if new thread is created in test.

	* cutter/cut-main.c, cutter/cut-public.h,
	cutter/cut-hidden-definitions.h, cutter/cut-test-context.[ch]:
	make {get,set}_current_test_context() thread safe.

2008-08-20  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add: more intelligent crashed reporting.

	* cutter/cut-pipeline.c
	(create_command_line_args_from_parameters): use
	cut_run_context_get_multi_thread() instead of
	cut_run_context_is_multi_thread() because spawned process may be
	able to use multi thread.

	* TODO: add: CutTestIterator supports multi thread.

	* test/fixtures/sub-process/test-invoker.c: test-delegate ->
	test-invoker.

	* cutter/, test/: gchar ** -> const gchar **.

	* test/test-cut-pipeline.c: move delegate test to ...
	* test/test-cut-sub-process.c: ... here as sub process test.

	* cutter/cut-sub-process.[ch], cutter/cut-public.h,
	cutter/cut-utils.c, cutter/cut-test-utils.h: add a convenience
	object for users who want to run sub cutter process.

	* test/test-cut-pipeline.c (test_delegate): add a test for
	cut_run_context_delegate_signals().
	* test/fixtures/pipeline/delegate/: add a test data for
	cut_run_context_delegate_signals().
	* configure.ac, test/fixtures/pipeline/Makefile.am: add
	test/fixtures/pipeline/delegate/.

	* cutter/cut-run-context.[ch] (cut_run_context_delegate_signals):
	add test result delegation mechanism.

	* cutter/cut-pipeline.c, cutter/cut-stream-parser.c,
	cutter/cut-stream-reader.c, cutter/cut-test-runner.c: use
	cut_run_context_emit_complete_run().

	* cutter/cut-run-context.[ch] (cut_run_context_emit_complete_run):
	add a convenience function for considering delegated test results.

	* cutter/cut-stream-parser.c (start_result): parse test data in
	<result>.

	* test/test-cut-stream-parser.c (test_result_iterated_test),
	test/fixtures/xml-stream/iterated-test.xml: follow the below change.

	* cutter/cut-test-result.c (cut_test_result_to_xml_string): output
	test data to XML.

	* cutter/cut-test-runner.c (runner_run): consider delegated test
	results.

	* module/ui/cut-console-ui.c (print_summary): use
	cut_run_context_get_status().

	* cutter/cut-run-context.[ch] (cut_run_context_get_status): add.

	* cutter/cut-test-context.c (cut_test_context_register_result):
	filename in test result is expanded by its run context on creating.

	* module/ui/cut-console-ui.c: don't expand filename in test result.

2008-08-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-context.c, cutter/cut-test-context.h:
	CutTestContext has CutRunContext.

	* cutter/, test/: follow the above changes.

	* TODO: add CutSubProcess.

	* cutter/cut-pipeline.c
	(create_command_line_args_from_parameters): add terminate NULL
	check.

	* cutter/cut-pipeline.c: create child cutter's arguments from
	CutPipeline's parameter if original arguments aren't set.

	* cutter/cut-run-context.c: fix memory leak.

	* test/test-cut-pipeline.c: report error on pipeline running.

2008-08-05  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* autogen.sh, configure.ac: Use AC_CONFIG_MACRO_DIR instead of -I
	option of aclocal.
	* po/LINGUAS, configure.ac: Requre intltool >= 0.35.5.
	* cutter/cut-main.c, cutter/cut-loader.c: Fix memory leak.

2008-08-02  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add: failmalloc like memory test.

	* cutter/cut-diff.c (cut_differ_readable_new): add.
	(cut_diff_readable): use cut_differ_readable_new().

2008-08-01  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-test-attribute.c (test_multi_attributes): use
	gcut_hash_table_string_string_new() and
	gcut_assert_equal_hash_table_string_string().

	* gcutter/gcut-test-utils.h (gcut_take_hash_table): add.

	* gcutter/gcut-test-utils.h, gcutter/gcut-hash-table.c
	(gcut_hash_table_string_string_new): add.

	* cutter/cut-test-context.c, gcutter/gcut-public.h
	(cut_test_context_take_g_hash_table): add.

	* gcutter/gcut-hash.[ch]: rename to ...
	* gcutter/gcut-hash-table.[ch]: ... them.

	* gcutter/, test/test-gcut-assertions.c: gcut_hash_XXX ->
	gcut_hash_table_XXX.

	* test/test-gcut-assertions.c (test_equal_hash_string_string): add
	a test for gcut_assert_equal_hash_string_string().

	* gcutter/gcut-assertions.h (gcut_assert_equal_hash_string_string): add.

	* gcutter/gcut-hash.[ch]: add.

	* gcutter/Makefile.am: add gcut-hash.[ch].

	* cutter/cut-analyzer.c (BUFFER_SIZE): remove
          needless definition.

	* TODO: remove: change test attribute register API like data
	register API.

2008-07-31  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-test-attribute.c (test_multi_attributes): fix a test.

	* test/fixtures/loader/attribute/stub-test-functions.c: use
	cut_set_attributes().

	* cutter/cut-test.h (CutAttributesSetupFunction): add.

	* cutter/cut-test.h (cut_test_get_data_setup_function): remove
	needless function.

	* cutter/cut-test.h (CutDataSetupFunction): move to ...
	* cutter/cut-test-iterator.h: ... here.

	* cutter/cut-public.h (CutTestAttribute): remove.
	* cutter/cut-public.h, cutter/cut-test-context.c
	(cut_test_context_set_attributes): add.

	* cutter/cut-loader.c: get attributes from cut_set_attributes().

	* cuter.h (cut_set_attributes): add.

	* test/test-cut-test-attribute.c,
	test/fixtures/loader/attribute/stub-test-functions.c: cleanup.

	* cutter/cut-analyzer.c: handle error.

	* cutter/cut-run-context.[ch] (cut_run_context_emit_error): emit
	error with GError * not gchar *name and gchar *detail.

	* cutter/cut-file-stream-reader.[ch], cutter/cut-pipeline.[ch],
	cutter/cut-stream-reader.[ch]: follow the above change.

	* cutter/cut-main.c: CutAnalyzer isn't CutRunContext now.

	* cutter/Makefile.am: add cut-file-stream-reader.[ch].

	* cutter/cut-file-stream-reader.[ch]: add.

	* cutter/cut-analyzer.[ch]: use CutFileStreamReader.

	* cutter/Makefile.am: add cut-stream-reader.[ch].

	* cutter/cut-stream-reader.[ch]: add.

	* cutter/cut-pipeline.[ch],
	gst-plugins/gst-cutter-console-output.c: use CutStreamReader.

	* gst-plugins/Makefile.am: remove cut-gst-run-context.[ch].

	* gst-plugins/cut-gst-run-context.[ch]: remove.

	* **/.gitignore: add.

	* TODO:
	- update.
	- add:
	  - stress test. (N processes and N threads)
	  - elapsed time assert.
          - test history chart.
          - coordinattion with TestLink.
	  - image diff.
	  - change test attribute register API like data register API.

2008-07-30  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-run-context.[ch] (cut_run_context_get_total_elapsed): add.

	* module/ui/cut-console-ui.c (cb_complete_run): show pure elapsed
	time and total elapsed time that is sum of elapsed time of all
	tests.

	* test/test-cut-test.c (test_start_time): don't compare usec.

	* test/run-test.sh (CUTTER_ARGS): don't log on analyze mode.

	* cutter/cut-analyzer.c (run_async): ensure emit complete-run signal.

	* module/ui/cut-console-ui.c (print_summary): check n_tests == 0 case.

	* cutter/cut-analyzer.c (run_async): remove needless emit signal.

	* test/lib/cuttest-utils.h: add ISO8601_PATTERN.

	* test/test-cut-report-xml.c, test/test-cut-xml-stream.c: use
	ISO8601_PATTERN.

	* module/ui/cut-console-ui.c: use complete-run not
	complete-test-suite to show summary.

	* module/stream/cut-xml-stream.c: stream start-iterated-test and
	complete-iterated-test.

	* test/fixtures/xml-stream: add expected data for
	test/test-cut-xml-stream.c.

	* test/test-cut-xml-stream.c: use data driven test style.

	* html/: add a index page in Japanese.

	* cutter/cut-test-iterator.c, cutter/cut-test-case.c: cleanup.

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c:
	support test-iterator-result parsing.

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c:
	support iterated-test and test-iterator parsing.

	* test/test-cut-stream-parser.c (test_result_of_iterated_test): 

	* test/test-cutter.c: follow the below changes.

	* cutter/cut-main.c:
	- use CutAnalyzer.
	- add --mode option.

	* cutter/Makefile.am: add cut-analyzer.[ch].

	* cutter/cut-analyzer.[ch]: add.

	* cutter/cut-run-context.[ch] (cut_run_context_get_log_directory)
	(cut_run_context_set_log_directory): add.

	* test/test-cutter.c, test/run-test.sh: follow the below changes.

	* cutter/cut-main.c, cutter/cut-stream-factory-builder.c: dir ->
	directory.

	* test/run-test.sh: log test result.

	* cutter/cut-main.c: just show analyze mode. not implemented yet.

2008-07-29  Kouhei Sutou  <kou@cozmixng.org>

	* module/stream/cut-xml-stream-factory.c: output to both FD and file.

	* module/report/cut-pdf-report-factory.c (dispose): fix a minor bug.

	* test/test-cutter.c (test_help_all): follow the below changes.

	* module/stream/cut-xml-stream-factory.c: move --stream-fd option
	to ...
	* cutter/cut-stream-factory-builder.c: ... here.

	* cutter/cut-stream-factory-builder.c: add --stream-log-dir option.

	* ./: streamer -> stream.

	* module/streamer/cut-xml-streamer.c: support test iterator.

	* cutter/cut-test.[ch] (cut_test_emit_result_signal): add.
	* cutter/cut-test-*.c: use cut_test_emit_result_signal().

	* test/: follow the below changes.

	* cutter/cut-stream-parser.c: support start-time parsing.

	* cutter/cut-test-result.[ch]: add start-time to test result.

	* cutter/cut-test-context.c (cut_test_context_emit_signal): cleanup.

	* cutter/cut-test.[ch] (cut_stop_timer): remove needless codes.

	* test/: follow the below changes.

	* cutter/cut-stream-parser.c: support start-time parsing.

	* cutter/cut-test.c (cut_test_to_xml_string): add start-time to XML.

	* gcutter/gcut-assertions.h (gcut_assert_equal_time_val): add.

	* cutter/cut-test.[ch], test/test-cut-test.c: add start time to
	test.

	* module/report/cut-xml-report.c (cb_test_signal): indent test result.

	* cutter/cut-diff.[ch], cut-utils.c, cutter/cut-public.h,
	test/test-cut-assertions.c, test/test-cut-diff.c,
	test/test-cut-utils.c: support folded diff.

2008-07-25  Kouhei Sutou  <kou@cozmixng.org>

	* doc/tutorial/senna.rd.ja: don't make cutter-senna. use
	suite-senna-test.c.

2008-07-21  Kouhei Sutou  <kou@cozmixng.org>

	* README*: fix RD syntax errors.

2008-07-18  Kouhei Sutou  <kou@cozmixng.org>

	* README*: improve sub title.

2008-07-16  Kouhei Sutou  <kou@cozmixng.org>

	* module/report/Makefile.am: fix a build bug on non PDF report
	available environment.

	* README*: add Kazumasa Matsunaga to thanks list. Thanks!!!

	* module/report/cut-pdf-report-factory.c (create): add missing static.

	* test/test-gcut-assertions.c: fix tests.

	* html/index.html: add a link to features page.

2008-07-15  Kouhei Sutou  <kou@cozmixng.org>

	* misc/release.rb: remove RD link markup from announce text.

	* configure.ac: 1.0.3 -> 1.0.4.

	* test/: don't use deprecated symbols.

	* NEWS*: add entries for 1.0.3.

	* FEATURES*: update.

	* misc/rd2refentry-lib.rb: support easy link to reference manual.

	* gcutter/gcut-test-utils.h, doc/reference/ja.po: update document.

	* gcutter/gcut-public.h: add missing #include.

	* gcutter/gcut-list.[ch] (gcut_list_string_new,
	gcut_list_string_free): add.

	* test/test-gcut-test-utils.c: add.

	* test/Makefile.am: add test/test-gcut-test-utils.c.

	* FEATURES*: cut-gassertions -> gcut-assertions.

	* cutter/cut-assertions.h, gcutter/gcut-assertions.h: fix indent.

	* doc/reference/ja.po: update.

	* test/: cleanup #include.

	* test/test-cut-assertions.c: remove needless #include.

	* doc/reference/Makefile.am (DOC_SOURCE_DIR): use top directory.

	* doc/reference/cutter-docs.sgml: remove a duplicated line.

	* gcutter/gcut-test-utils.h: fix a typo.

	* cutter/Makefile.am (libcutter_la_LIBADD): use $(top_builddir)
	not $(builddir).

	* Makefile.am (update-po): include gcutter/.

	* Makefile.am, configure.ac, cutter/, gcutter/, test/: cut-g* -> gcut-*.

	* configure.ac, test/test-cutter.c: check GTK+ is built with debug
	mode on configure not runtime.

	* test/Makefile.am (test_cutter_la_LIBADD): don't link GTK+.

	* test/lib/Makefile.am (AM_LDFLAGS): don't add version.

	* module/report/cut-xml-report.c (output_to_file): check return
	value of fwrite() and retry at most 3 times.

	* test/lib/Makefile.am (AM_LDFLAGS): use $(libdir) not
	$(abs_builddir) because $(abs_builddir) isn't supported automake <
	1.10. :<

	* test/test-cutter.c (test_help_all): use G_ENABLE_DEBUG not GTK_NOTE.

	* test/lib/Makefile.am: add -rpath to make .so.

2008-07-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cutter.c: added --gtk-debug, --gtk-no-debug, etc. etc. if
	GTK_NOTE is defined. The macro is defined in gtk/gtkdebug.h if
	G_ENABLE_DEBUG is defined so it can be used for check whether GTK+ is
	compiled with DEBUG flag.
	* test/test-cutter.c: Check GTK+ help string has "gtk-debug".

2008-07-14  Kouhei Sutou  <kou@cozmixng.org>

	* FEATURES*: update.

	* doc/reference/ja.po: remove obsoleted messages.

	* misc/rd2refentry-lib.rb, doc/reference/Makefile.am: support po.

	* cutter/cutter.h (cut_add_data), doc/reference/: add a link to
	CutDestroyFunction.

	* doc/reference/: support cut-gtest-utils.h and cut-types.h.

	* cutter/cut-public.h, cutter/cut-gassertions.h,
	cutter/cut-gassertions-helper.h: move some definitions to ...
	* cutter/cut-gtest-utils.h, cutter/cut-types.h: ... here to be
	documented.

	* cutter/cut-test-context.c (cut_test_context_take_g_list): copy
	and free passed list.

	* cutter/cut-gassertions.h: improve document.

	* doc/reference/ja.po: update.

	* cutter/cut-gassertions.h (cut_assert_g_error): g_error -> error.

	* doc/reference/cutter-docs.sgml: don't use capital form for id.

	* FEATURES*, README*: update.
	* doc/reference/: support FEATURES*.
	* misc/rd2refentry-lib.rb: support local reference.

	* cutter/cut-assertions.h: reorder. assertions are above, others
	are below.

	* FEATURES.ja: add.
	* FEATURES, README*: update.

	* doc/reference/: update document.

	* cutter/cutter.h: use "data driven test".

	* cutter/cut-experimental.h (cut_add_data): move to ...
	* cutter/cutter.h: ... here.

	* test/test-cut-loader.c (test_load_test_iterator): run loaded
	test iterator.

2008-07-13  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-stream-parser.c (test_pass_assertion): add.

	* cutter/cut-iterated-test.c: implement prepare.

	* cutter/cut-test.[ch]: virtualize prepare.

	* cutter/cut-test-runner.c: support iterated test.

	* module/ui/cut-console-ui.c: support test iterator and iterated test.

	* test/test-cut-stream-parser.c (test_complete_test_iterator): add.

	* cutter/cut-run-context.[ch]
	(cut_run_context_prepare_iterated_test): add.

	* cutter/cut-test-runner.c: support prepare_iterated_test.

	* cutter/cut-stream-parser.c: support iterated test.

	* test/test-cut-stream-parser.c (test_start_iterated_test)
	(test_complete_iterated_test): add.

	* cutter/, test/: CutTestContext and CutRunContext have
	CutTestIterator.
	* test/: test_object -> test.

	* cutter/cut-stream-parser.c: support test iterator.

	* cutter/cut-test-context.[ch] (cut_test_context_get_test_iterator)
	(cut_test_context_set_test_iterator): add.

	* cutter/cut-test-iterator.h, cutter/cut-iterated-test.h: move
	typedef to ...
	* cutter/cut-private.h: ... here.

	* test/test-cut-stream-parser.c (test_ready_test_iterator)
	(test_start_test_iterator): add.

	* test/test-cut-test-context.c (test_xml_with_test_iterator): add.

	* test/test-cut-test-iterator.c: add test for
	cut_test_iterator_get_n_tests().

	* configure.ac, test/fixtures/loader/Makefile.am: add
	test/fixtures/loader/iterator/.
	* test/fixtures/loader/iterator/: add.

	* test/test-cut-loader.c (test_load_test_iterator): add.

	* test/test-cut-test-iterator.c (test_pending, test_notification)
	(test_omission): add.

	* test/test-cut-test-iterator.c (test_error_in_data_setup): add.

	* test/test-cut-test-iterator.c (test_error): add.

	* test/test-cut-test-iterator.c: add.

	* test/Makefile.am: add test-cut-test-iterator.c.

	* test/test-cut-gassertions.c (test_equal_g_list_int),
	test/test-cut-report-xml.c (test_plural_reports): follow the
	following changes.

	* test/lib/cuttest-utils.[ch] (cuttest_result_string_list_new)
	(cuttest_result_string_list_new_from_result): add.

	* test/lib/cuttest-assertions.h: function -> macro.

	* module/ui/cut-console-ui.c (print_results): don't reverse each.

	* cutter/cut-run-context.c (cut_run_context_get_results): return
	collect order results.

	* cutter/cut-gassertions.h: use cut_append_diff().

	* cutter/cut-test-utils.h (cut_append_diff): add.

	* cutter/cut-public.h, cutter/cut-utils.c (cut_utils_append_diff): add.

	* cutter/cut-assertions.h: use cut_append_diff().

	* cutter/cut-test-iterator.c (run): pass test_context to signal.

	* cutter/cut-test-case.c: remove needless #include.

2008-07-12  Kouhei Sutou  <kou@cozmixng.org>

	* test/lib/cuttest-utils.c
	(cuttest_result_summary_list_new_from_run_context),
	test/lib/cuttest-assertions.h (cut_assert_test_result_summary):
	support n_successes.

	* test/test-cut-iterated-test.c, test/test-cut-gassertions.c,
	test/test-cut-assertions.c: follow the above changes.

	* cutter/cut-report.c: expand macro.

	* test/test-cut-pipeline.c: use iterated test.
	* test/loader/fixtures/pipeline: split each result to each test
	file to get correct test success result.

	* configure.ac, test/: dummy -> stub.

	* configure.ac, test/fixtures/pipeline/: remove _test.

	* configure.ac, test/: move test/*_dir to test/fixtures/.

	* test/: dummy -> stub.

	* cutter/cut-list.c (inspect_string): format NULL as NULL not "(null)".

	* test/test-cut-gassertions.c (test_equal_g_list_string_both_null)
	(test_equal_g_list_string_other_null): add.

	* test/test-cut-iterated-test.c: fix test.

	* test/lib/cuttest-assertions.h (cut_assert_test_result_summary):
	use cut_assert_equal_g_list_uint().

	* test/lib/cuttest-utils.[ch] (cuttest_result_summary_list_new)
	(cuttest_result_summary_list_new_from_run_context): add.

	* cutter/cut-list.[ch] (cut_list_equal_uint)
	(cut_list_inspect_uint): add.

	* cutter/cut-test.h (CutIteratedTestFunction): move to ...
	* cutter/cut-iterated-test.h: ... here.

	* cutter/cut-gassertions.h (cut_assert_equal_g_list_uint): add.

	* test/test-cut-gassertions.c (test_equal_g_list_uint): add.

	* cutter/cut-test-context.c, cutter/cut-gpublic.h
	(cut_test_context_take_g_list): add.

	* cutter/cut-gassertions-helper.h (cut_take_g_list): add.

	* test/test-cut-gassertions-helper.c (test_take_g_list): add.

	* cutter/cut-test-iterator.c (run): fix memory leak.

	* test/test-cut-stream-parser.c (test_start_test_with_data): add.

	* cutter/cut-stream-parser.c: support test-data parsing.

	* test/test-cut-test-context.c (test_xml_with_test_data): add.

	* cutter/cut-test-context.c (cut_test_context_to_xml_string):
	support test data XML serialization.

	* cutter/cut-test-data.c (cut_test_data_to_xml)
	(cut_test_data_to_xml_string): implement.

	* test/test-cut-test-data.c: add tests for to_xml family.

	* test/test-cut-test-data.c: add.
	* test/Makefile.am: add test-cut-test-data.c.

2008-07-11  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-test-context.c (test_set_data): add.

	* cutter/cut-test-iterator.c: fix setup/teardown bug.

	* cutter/cut-test-case.[ch] (cut_test_case_run_setup)
	(cut_test_case_run_teardown): export.

	* sample/cairo/: use iterated test.

	* cutter/cut-test-context.[ch] (cut_test_context_set_data): add.

	* cutter/cut-iterated-test.[ch]: add.
	* cutter/Makefile.am: add cut-iterated-test.[ch].

	* cutter/cut-test.c: virtualize run method.

	* cutter/cut-test-case.c: use virtual run method.

	* cutter/cut-test-iterator.[ch]: use virtual run method and
	CutIteratedTest.

	* cutter/cut-test-result.c (cut_test_result_get_test_name):
	support test data name.

	* module/ui/cut-console-ui.c: suppress a warning.

	* cutter/cut-test-result.c, module/ui/cut-console-ui.c: improve output.

	* cutter/cut-test-iterator.c: don't unbind data.

	* cutter/cut-test-iterator.c (cut_test_iterator_run): call
	test_run_context_prepare_test_iterator().

	* cutter/cut-test-runner.c: connect test iterator related signals.

	* cutter/cut-run-context.[ch]: add test iterator related signals.

2008-07-10  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/: add CutTestData and CutTestIterator. need to implement
	CutIteratedTest. still too buggy.

	* test/test-cut-test-result.c: follow the above changes.

	* cutter/: add experimental iterated test support. (just work for now)

	* test/Makefile.am, test/test-cut-iterated-test.c: add a sample
	test. THIS TEST FAILS FOR NOW!!!

2008-07-03  Kouhei Sutou  <kou@cozmixng.org>

	* module/ui/cut-gtk-ui.c: use default: for switch (status).

	* module/report/cut-pdf-report.c: draw chart by GOffice.

	* module/report/cut-pdf-report-factory.c: initialize and shutdown
	GOffice.

	* module/report/Makefile.am: add GOFFICE_{CFLAGS,LIBS}.

	* cutter/cut-public.h (CUT_TEST_RESULT_LAST): add.

	* configure.ac: detect GOffice.

2008-06-27  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: 1.0.2 -> 1.0.3.

	* NEWS*: update.

	* cutter/, doc/: fixture_path -> fixture_data_path.

	* doc/reference/ja.po: update.

	* cutter/cut-test-utils.h: fix typos.

	* m4macros/cutter.m4: don't add 'coverage' rule one more times.

	* cutter/cut-assertions.h: include cut-test-utils.h.

	* cutter/cut-test-utils.h: split from ...
	* cutter/cut-assertions-helper.h: ... here.

	* cutter/Makefile.am, doc/reference/Makefile.am,
	doc/reference/cutter-docs.sgml: add cut-test-utils.h.

	* configure.ac: support cutter/cut-version.h.
	* cutter/cut-version.h.in: add.

	* cutter/cut-main.h, cutter/cutter.h: include cut-version.h.

	* doc/reference/cutter-docs.sgml: add new symbols in 1.0.2 link.

	* doc/reference/ja.po: update.

	* cutter/cut-assertions.h: fix typos.

2008-06-24  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-assertions.c (test_path_not_exist): add.

	* test/test-cut-assertions.c (test_error_errno): add.

	* test/test-cut-assertions.c: file_exist -> path_exist.

	* cutter/cut-gassertions.h (cut_assert_remove_path): add.

	* cutter/cut-assertions.h
	(cut_error_errno, cut_assert_path_not_exist): add.
	(cut_assert_path_exist): add and deprecate ...
	(cut_assert_file_exist): ... this.

	* cutter/cut-utils.[ch] (cut_utils_remove_path)
	(cut_utils_remove_path_recursive): add.

	* cutter/cut-public.h, cutter/cut-utils.c (cut_utils_build_path)
	(cut_utils_remove_path_recursive_force): add.

	* cutter/cut-assertions-helper.h (cut_remove_path): add.

	* test/test-cut-utils.c (test_remove_path_recursive): add.

	* cutter/cut-test-context.h (cut_test_context_build_fixture_path):
	move to ...
	* cutter/cut-public.h: ... here.

	* cutter/cut-assertions-helper.h (cut_build_fixture_path): add.

	* configure.ac, test/fixtures/**/Makefile.am: add Makefile.am.

2008-06-23  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions.h, cutter/cut-public.h,
	cutter/cut-test-context.[ch], cutter/cut-utils.c: show a file name
	of fixture data.

2008-06-22  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-assertions.c, cutter/cut-public.h,
	cutter/cut-assertions.h, cutter/cut-assertions-helper.h: base_dir
	-> dir.

	* cutter/cut-assertions.h (cut_assert_equal_fixture_data_string),
	test/test-cut-assertions.c, test/fixtures/assertions/: add a
	assertion for fixture data.

2008-06-20  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-utils.[ch], cutter/cut-test-context.[ch],
	cutter/cut-public.h, cutter/cut-assertions-helper.h: add fixture
	date implementation prototype. TOO DIRTY! Need
	cut_assert_equal_fixture_data_string().

	* test/test-cut-fixture-data.c: add.
	* test/fixtures/data/1.txt: add. Need Makefile.am!

	* cutter/cut-pipeline.c (run_async): check PID isn't 0.

	* ./: an Unit -> a Unit.

2008-06-20  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* FEATURES: Added.

2008-06-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-loader.c: enable attribute support for MS Windows DLL.x

	* cutter/cut-module.c (_cut_module_show_error): remove a needless
	variable.

	* test/test-cutter.c: strict.

	* cutter/cut-main.c: use EXIT_FAILURE.

	* cutter/cut-gpublic.h, cutter/cut-utils.c (cut_assert_g_error): define.
	* cutter/cut-gassertions.h (cut_assert_g_error): use
	cut_utils_inspect_g_error().

	* test/test-cutter.c: reset LANG in teardown.

2008-06-19  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cutter.c: Inherit all environment values from parent
	process to child process except LANG value.
	* test/test-cutter.c: Use "\r\n" for line feed code on Windows.
	* test/test-cutter.c: Quote cutter command since g_shell_parse_argv()
	cannot handle backslash.
	* test/test-cutter.c: Also quote cutter command without option.
	* cutter/cut-main.c, test/test-cutter.c: Use EXIT_FAILURE.
	* cutter/cut-module.c: Show g_module_error() message directly. 
	* cutter/cut-pipeline.c: Quote cutter command and test target
	directory.
	* test/test-cutter.c: Added some description for Gtk+ for Windows.
	* test/test-cut-module.c: Unload modules in shutdown().

2008-06-18  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.[ch] (cut_set_cutter_command_path): export for testing.

	* test/test-cut-main.c: add a test for cut_get_cutter_command_path().

	* configure.ac: don't add $(EXEEXT) to CUTTER.

	* cutter/cut-loader.[ch]: CutLoader has binary type.

	* test/test-cut-test-attribute.c: follow the above change.

	* cutter/cut-loader.[ch] (cut_loader_support_attribute): require
	CutLoader *.

	* test/test-cut-test-attribute.c: omit attribute loading test on
	no attribute loading support environment.

	* cutter/cut-loader.h (cut_loader_support_attribute): add.

	* cutter/cut-loader.c: disable attribute collection on non-BFD build.

	* cutter/cut-test-suite.c: use cut_get_cutter_command_path() not
	cut_utils_get_cutter_command_path().

	* cutter/cut-test-suite.c, cutter/cut-pipeline.c: use
	cut_utils_get_cutter_command_path().

	* cutter/cut-utils.[ch] (cut_utils_get_cutter_command_path): add.

	* cutter/cut-main.[ch] (cut_get_cutter_command_path): add.

	* cutter/cut-process.c (cut_process_fork): set ENOSYS on Windows.

	* test/test-cut-process.c (test_fork): check ENOSYS.

	* cutter/cut-utils.c, cutter/cut-public.h
	(cut_utils_inspect_string): add missing const.

2008-06-18  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-process.c: Pass cut_process_fork() test on Windows.
	* cutter/cut-pipeline.c: NULL check barrier in
	create_child_out_channel().
	* module/streamer/cut-xml-streamer-factory.c: NULL check barrier in
	create_channel().
	* cutter/cut-pipeline.c: Do not set GSpawnChildSetupFunc. GLib
	document says setting the function is dangerous.
	* test/test-cutter.c: Use cut_utils_get_cutter_command_path() instead
	of getting CUTTER environment value.
	* test/test-cutter.c: NULL check barrier for SETENV macro.

2008-06-17  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-test-suite.c: remove needless SEGV handler.

	* cutter/cut-utils.c, cutter/cut-public.h
	(cut_utils_inspect_string): add.

	* cutter/cut-assertions.h (cut_assert_equal_string): add NULL guard.

	* cutter/cut-utils.[ch] (cut_win32_build_module_dir_name): add.
	* cutter/cut-listener-utils.h: use cut_win32_build_module_dir_name().

	* cutter/cut-listener-utils.h: use relative path on Windows.

2008-06-17  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* configure.ac: Remove -mwindows option. The options is not needed for
	console program.

2008-06-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-loader.c: don't collect attributes for Mac binaries.

	* cutter/cut-loader.c (collect_symbols): remove leading chars.

	* configure.ac: declare fallback environ variable.

	* test/Makefile.am (LIBS): use top_builddir not builddir for old system.

	* configure.ac, cutter/Makefile.am, cutter/cut-main.c: improve BFD
	detection.

	* test/cuttest*: move to ...
	* test/lib/: ... here.

2008-06-16  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-loader-suite.c, test/test-cut-test-suite.c,
	test/test-cut-loader.c, test/test-cut-test-attribute.c: Use
	G_MODULE_SUFFIX insted of "so".
	* test/*/Makefile.am: Append -no-undefined option.
	* test/tets-cut-test-suite.c: test_crashed_signal() is only available
	on Unix.
	* cutter/cut-test-context.c: cut_omit() instead of cut_error() if
	cut_test_context_fork() is invoked on Windows.
	* test/test-cut-fork.c: Do not run test_fail_in_forked_process() on
	Windows.

2008-06-16  Kouhei Sutou  <kou@cozmixng.org>

	* **/Makefile.am: use AM_LDFLAGS not LDFLAGS.

	* test/Makefile.am: cuttest-utils isn't a module.

	* libcutter.pc.in (Libs): move to ...
	* cutter.pc.in (Libs): ... here.

2008-06-15  Kouhei Sutou  <kou@cozmixng.org>

	* TUTORIAL*: update.

	* sample/stack/configure.ac: use m4_ifdef.

	* sample/stack/test/Makefile.am: do nothing on no Cutter environment.

	* sample/stack/test/Makefile.am (LDFLAGS),
	sample/stack/src/Makefile.am (LDFLAGS): add -no-undefined option.

	* sample/stack/test/run-test.sh: remove needless --color=auto option.

	* test/Makefile.am: make DLL.

	* cutter/cut-utils.[ch] (cut_win32_build_factory_module_dir_name): add.

	* cutter/cut-ui-factory-builder.c,
	cutter/cut-streamer-factory-builder.c,
	cutter/cut-report-factory-builder.c,
	cutter/cut-module-factory-utils.c: use relative path on Windows.

	* cutter/cut-module.c (cut_module_load_modules_unique): duplicate
	read entries.

	* cutter/cut-main.c (cut_init): use relative path for LOCALEDIR.

	* cutter/cut-utils.[ch] (cut_win32_base_path): define.

2008-06-13  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/Makefile.am: add -no-undefined.

	* module/ui/Makefile.am, module/streamer/Makefile.am,
	module/report/Makefile.am: link to libcutter.

	* configure.ac: detect Windows related configurations.

	* test/factory_test_dir/type1/Makefile.am: don't link.

	* configure.ac: add --disable-gstreamer option.

	* sample/glib/uri.c: remove needless test.

	* cutter/cut-test-context.c: fork()/waitpid() doesn't work on Windows.

	* cutter/cut-assertions.h (cut_assert_errno): use current_errno
	variable name instead of _errno.

	* cutter/cut-utils.c: add ifdef check.

	* cutter/cut-pipeline.c: define fallbacks on Windows.

	* cutter/cut-process.c: CutPipeline do nothing on Windows.

	* gst-plugins/gst-cutter-test-runner.c: include missing <string.h>.

	* cutter/cut-test-suite.c: backtrace isn't supported on Windows.

	* configure.ac: add <io.h> check.

	* cutter/cut-pipeline.c: include <errno.h>.

	* cutter/cut-test.h, cutter/cut-test-result.h: don't include
	<cut-assertions.h>.

	* cutter/cut-run-context.c: include <string.h>.

	* cutter/cut-test-context.c: add ifdef check.

	* configure.ac: add <sys/wait.h> check.

	* configure.ac: 1.0.1 -> 1.0.2.

	* configure.ac (SF_REPOS): fix a path.

	* cutter/cut-report-factory-builder.c (create_option_entries):
	mark translable.

	* doc/reference/cutter-docs.sgml: add index of new symbols in
	1.0.1 section.

	* doc/reference/ja.po: update.

	* Makefile.am (update-po): include module/.

2008-06-13  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* configure.ac: Added -DG_DISABLE_DEPRECATED to CFLAGS.
	* cutter/cut-run-context.c: break! break!

2008-06-13  Kouhei Sutou  <kou@cozmixng.org>

	* m4macros/cutter.m4 (coverage): don't use abs_top_srcdir.

	* NEWS*: update.

	* m4macros/cutter.m4 (coverage): only report project related files.

2008-06-04  Kouhei Sutou  <kou@cozmixng.org>

	* gtk-doc.make: use " not '.

	* gtk-doc.make: add missing '/'.

2008-06-03  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-loader.c: include <glib/gstdio.h> if libbfd is unavailable.

2008-05-30  Kouhei Sutou  <kou@cozmixng.org>

	* README*: change repository path:
	https://cutter.svn.sourceforge.net/svnroot/cutter/trunk ->
	https://cutter.svn.sourceforge.net/svnroot/cutter/cutter/trunk
	If you have a working copy, do switch:
	  % cd ../cutter
	  % svn switch https://cutter.svn.sourceforge.net/svnroot/cutter/cutter/trunk

	* cutter/cut-run-context.c: cleanup.

2008-05-28  Kouhei Sutou  <kou@cozmixng.org>

	* gst-plugins/gst-cutter-test-runner.c: use stream-function.

	* test/test-cut-xml-streamer.c: don't fork.

	* module/streamer/cut-xml-streamer.c: abstract stream method.

	* module/streamer/cut-xml-streamer-factory.c: use file descriptor based
	stream method.

	* cutter/cut-streamer.h (CutStreamFunction): add.

	* cutter/cut-module.c (_cut_module_show_error): remove needless
	g_strdup().

2008-05-27  Kouhei Sutou  <kou@cozmixng.org>

	* gst-plugins/run-test.sh: cleanup.

2008-05-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module -> module: Moved modules directory.
	* */run-test.sh: Follow the above change.

2008-05-27  Kouhei Sutou  <kou@cozmixng.org>

	* gst-plugins/test/Makefile.am: surrounded with if HAVE_GSTREAMER
	... endif.

	* configure.ac: add missing gst-plugins/test/Makefile.

2008-05-26  Kouhei Sutou  <kou@cozmixng.org>

	* README*, configure.ac: require GLib >= 2.16.

2008-05-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-report-factory-builder.c: Plugged memory leak.
	* cutter/cut-module-factory-utils.c: Plugged memory leak.
	* cutter/cut-loader.c: Plugged memory leak.
	* cutter/cut-main.c: Plugged memory leak.
	* cutter/module/streamer/Makefile.am: Fix typo. report -> streamer.
	CutXMLStreamer module was installed in report module directory!
	* cutter/module/*/Makefile.am: Added
	$(top_builddir)/cutter/libcutter.la to LIBADD since symbols in
	libcutter.so can not be resolved if the module is loaded from other
	modules(ex. GStreamer modules).


2008-05-23  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-run-context.c: Plugged memory leak.
	* cutter/cut-pipeline.c, cutter/cut-process.c,
	cutter/module/streamer/cut-xml-streamer.c: Use
	g_io_channel_win32_new_fd() for Windows environment.

2008-05-22  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-loader-suite.c, test/loader_suite_test_dir/,
	configure.ac, test/Makefile.am: add tests for
	cut_loader_load_test_suite().

	* sample/gtk+/: use warmup() mechanism.

	* cutter/cut-repository.c: use cut_loader_load_test_suite().

	* cutter/cut-loader.c (cut_loader_load_test_suite): add.

	* cutter/cut-test-suite.[ch]:
	- cut_test_suite_new() requires some arguments.
	- add cut_test_suite_new_empty().

	* cutter/, test/: use cut_test_suite_new_empty() instead of
	cut_test_suite_new().

	* configure.ac: don't use temporary variable.

	* configure.ac: add missing 's'.

	* configure.ac: use AC_MSG_CHECKING and AC_MSG_RESULT instead of
	AC_CACHE_CHECK.

	* gst-plugins/Makefile.am: add missing 's'.

	* configure.ac: add --with-gst-pluginsdir option.

2008-05-21  Kouhei Sutou  <kou@cozmixng.org>

	* doc/tutorial/senna.rd.ja: add.

2008-05-21  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* gst-plugins: Added.

2008-05-20  Kouhei Sutou  <kou@cozmixng.org>

	* misc/release.rb: maybe support the current SF.net upload mechanism.

	* configure.ac: 1.0.0 -> 1.0.1.

	* NEWS*: update.

	* cutter/cut-stream-parser.c (end_test_context): fix memory leak.

	* cutter/cut-stream-parser.[ch] (cut_stream_parser_end_parse): add.

	* cutter/cut-pipeline.c: call cut_stream_parser_end_parse().

	* doc/reference/ja.po: update.

	* NEWS*: update.

	* cutter/module/ui/cut-gtk-ui.c: use cut_run_context_get_elapsed().

	* cutter/cut-run-context.[ch] (cut_run_context_get_elapsed): add.

	* cutter/cut-stream-parser.c: support elapsed in test object.

	* cutter/cut-test.c: add elapsed into XML format.

	* test/test-cut-xml-streamer.c, test/test-cut-test-context.c,
	test/test-cut-report-xml.c, test/test-cut-pipeline.c: follow the
	above change.

	* cutter/cut-assertions.h (cut_assert_match_with_free): add.

	* cutter/cut-test.[ch], cutter/cut-test-container.[ch],
	test/test-cut-test.c: add cut_test_set_elapsed().

	* cutter/cut-pipeline.c (read_stream): don't read all data at once.

	* cutter/cut-test-runner.c (runner_run): emit start-run and complete-run.

	* cutter/cut-runner.c (cut_runner_run): don't emit complete-run.

	* cutter/cut-run-context.c (cut_run_context_start): don't emit start-run.

	* sample/glib/run-test.sh: set CUT_STREAMER_*_DIR environment variable.

	* cutter/cut-stream-parser.c: call prepare_*.

	* cutter/cut-test-runner.c: use virtual prepare_*.

	* cutter/module/streamer/cut-xml-streamer.c: support omission.

	* cutter/cut-run-context.[ch]: increment n_tests++ before test
	case setup() not test run.

	* test/test-cut-assertions.c, test/test-cut-gassertions.c: follow
	the above change.

	* test/cuttest-assertions.h (cut_assert_test_result_summary): use macro.

	* cutter/cut-run-context.[ch]
	- make prepare_* virtual functions.
	- (cut_run_context_crash, cut_run_context_set_backtrace): add.

	* cutter/cut-test-result.c (result_status_to_name): support omission.

2008-05-20  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-run-context.c: Increment each test status count in
	virtual function instead of callback functions of receiving CutTest
	signals since CutPipeline does not receive any signals of CutTest
	object.
	* cutter/cut-run-context.c: backtrace string is stored in crashed
	virtual function instead of callback function of "crashed-test-suite"
	signal.
	* test/test-cut-pipeline.c,
	test/pipeline_test_dir/error-test/error-test.c: Added omission signal
	test and get_n_XX() tests.
	* cutter/module/ui/cut-gtk-ui.c: Plugged memory leak.
	* cutter/module/ui/cut-gtk-ui.c: Do not use g_idle_add() for update
	button state.
	* cutter/module/ui/cut-gtk-ui.c: Do not use g_idle_add() for
	"start-test-suite" and "complete-test-suite" message.
	* cutter/module/ui/cut-gtk-ui.c: Remove CutTestSuite object from
	CutGtkUI private.
	* cutter/module/streamer/cut-xml-streamer.c: Add mutex lock when write
	XML string to io channel since the strings is jammed with multi
	thread.
	* cutter/cut-pipeline.c: Reduce read buffer size.

2008-05-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/streamer/cut-xml-streamer.c (cb_pass_assertion):
	use stream().

	* cutter/module/ui/cut-gtk-ui.c (idle_cb_update_summary): invert
	title order.

	* test/test-cutter.c (test_help_all): add --stream-fd option.

	* cutter/cut-process.c: use cut_utils_close_pipe().

	* cutter/cut-utils.[ch] (cut_utils_close_pipe): add.

	* cutter/cut-pipeline.c: use a FD only for cutter to communicate
	streamer.

	* cutter/module/streamer/cut-xml-streamer.c: stream specified FD.

	* cutter/module/streamer/cut-xml-streamer-factory.c: add
	--stream-fd option.

	* cutter/cut-stream-parser.c: invert.

	* NEWS*: update.

	* cutter/cut-stream-parser.c: support <pass-assertion>.

	* cutter/module/ui/cut-gtk-ui.c: handle error.

	* doc/reference/: update.

	* TODO: add auto-cutter.

	* cutter/module/ui/cut-console-ui-factory.c: add *term-color TERM
	to automatically colorized targets.

	* cutter/cut-pipeline.c: <sys/wait.h> not <wait.h>.

	* test/test-cut-test-suite.c (run_test_with_filter): add const.

	* cutter/cut-stream-parser.c: cleanup.
	* test/test-cut-test-result.c, test/test-cut-stream-parser.c:
	follow the above change.

	* cutter/cut-stream-parser.c, test/test-cut-test-result.c: improve
	option parsing.

	* cutter/cut-pipeline.c: improve stream reader.

	* cutter/module/ui/cut-console-ui.c: support system error.

	* cutter/cut-xml-parser.[ch], test/test-cut-xml-parser.c: remove.

	* cutter/Makefile.am, test/Makefile.am, cutter/cut-test-result.c:
	remove CutXMLParser.

	* cutter/cut-stream-parser.[ch]: support top level <result>.

	* cutter/cut-test-result.[ch]: use CutStreamParser not CutXMLParser.

	* cutter/cut-run-context.[ch]: add error signal.

	* cutter/cut-marshalers.list (VOID:STRING,STRING): add.

	* cutter/cut-pipeline.c: support error signal.

	* cutter/cut-pipeline.c: use g_io_channel_read_to_end() instead of
	g_io_channel_read_line().

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c:
	support <crashed>.

2008-05-19  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-runner.c, cutter/cut-pipeline.c: Nullify unused
	interface function to fix seg fault.
	* cutter/cut-run-context.[c|h]
	(cut_run_context_set_command_line_args): Added.
	* cutter/cut-main.c, cutter/cut-pipeline.c: Pass original command line
	args to child cutter.
	cutter/cut-pipeline.[c|h]: Now cut_pipeline_new() needs no argument.
	test directory is obtain cut_run_context_get_test_directory().
	* cutter/cut-utils.[c|h]: Added cut_utils_strv_concat().
	* cutter/cut-pipeline.c: Pass original command line args.
	* cutter/cut-repository.[c|h]: cut_repository_set_dirs() ->
	cut_repository_set_directories() and const cast.
	* cutter/cut-run-context.[c|h]: cut_run_context_set_dirs() ->
	cut_run_context_set_directories() and const cast.
	* cutter/cut-main.c: Use cut_run_context_set_directories() and cast.
	* cutter/cut-pipeline.[c|h]: Added
	cut_pipeline_new_from_run_context().
	* cutter/cut-test-case.[c|h], cutter/cut-utils.[c|h],
	cut-test-container.[c|h], cutter/cut-test-suite.[c|h],
	cutter/cut-repository: const cast.
	* cutter/module/ui/cut-gtk-ui.c: Use CutPipeline.
	* cutter/module/ui/cut-gtk-ui.c: Connect to "complete-run" signal
	instead of "complete-test-suite".
	* cutter/module/ui/cut-gtk-ui.c: "complete-run" signal accompany with
	gboolean value.
	instead of "complete-test-suite".
	* cutter/cut-run-context.c, cutter/cut-pipeline.c
	(cut_pipeline_new_from_run_context): Obtain command line arguments
	from CutRunContext. 

2008-05-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/: stack trace -> backtrace.

	* cutter/cut-test-result.c: add <entry> into <backtrace>.
	* test/test-cut-test-result.c, cutter/cut-stream-parser.c,
	test/test-cut-stream-parser.c: follow the above change.

2008-05-18  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-stream-parser.c, cutter/cut-pipeline.c: fix circular
	reference problem.

	* cutter/cut-test-result.c, test/test-cut-test-result.c: don't
	output empty information.

	* cutter/cut-pipeline.c: use CutStreamParser.

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c:
	support <test-result> and <test-case-result>.

	* cutter/module/streamer/cut-xml-streamer.c,
	test/test-cut-xml-streamer.c: stream <test-result> and
	<test-case-result>.

	* cutter/cut-test-result.[ch] (cut_test_result_new_empty): add.

	* cutter/cut-run-context.[ch]: remove CutTestContext * from
	*_test_case signal.

	* cutter/cut-test-result.[ch] (cut_test_result_to_xml): add.

	* cutter/module/report/cut-xml-report.c,
	cutter/module/streamer/cut-xml-streamer.c: use
	cut_test_result_to_xml().

	* cutter/module/streamer/cut-xml-streamer.c: cb_test_signal ->
	cb_test_result.

	* cutter/module/streamer/cut-xml-streamer.c: stream <pass-assertion>.

	* cutter/cut-run-context.[ch]: pass_test -> pass_assertion.

	* cutter/cut-stream-parser.c, test/cut-test-stream-parser.c:
	add multiple option name check.

	* cutter/cut-gassertions-helper.h (cut_take_g_error): add.

	* cutter/cut-test-context.c, cutter/cut-gpublic.h
	(cut_test_context_take_g_error): add.

	* cutter/cut-stream-parser.c, test/cut-test-stream-parser.c:
	support <complete-test-case> and <complete-test-suite>.

	* cutter/cut-stream-parser.c, test/cut-test-stream-parser.c:
	support <complete-test>.

	* cutter/cut-stream-parser.c, test/cut-test-stream-parser.c:
	support <start-test>.

	* cutter/cut-test.[ch] (cut_test_new_empty): add.

	* cutter/cut-test-context.[ch] (cut_test_context_new_empty): add.

	* cutter/cut-stream-parser.c, test/cut-test-stream-parser.c:
	support <start-test-case>.

	* cutter/cut-test-case.[ch] (cut_test_case_new_empty): add.

	* cutter/cut-stream-parser.c, test/cut-test-stream-parser.c:
	support <ready-test-case>.

	* cutter/module/streamer/cut-xml-streamer.c,
	test/test-cut-xml-streamer.c: stream <ready-test-case>.

	* cutter/cut-stream-parser.c, test/cut-test-stream-parser.c:
	support <start-test-suite>.

	* test/test-cut-stream-parser.c: cleanup.

	* cutter/cut-gassertions.h, test/test-cut-gassertions.c: add
	cut_assert_g_error().

	* TODO: remove cut_assert_g_error().

	* test/test-cut-stream-parser.c: more strict.

2008-05-17  Kouhei Sutou  <kou@cozmixng.org>

	* TODO: add cut_assert_g_error().

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c:
	support ready-test-suite.

	* cutter/cut-xml-parser.c: add NULL check.

	* cutter/module/streamer/cut-xml-streamer.c: stream all events.

	* test/test-cut-xml-streamer.c: follow the above changes.

	* cutter/cut-test-context.[ch] (cut_test_context_to_xml,
	cut_test_context_to_xml_string): add.

	* cutter/cut-utils.[ch]
	(cut_utils_append_xml_element_with_boolean_value): add.

	* test/test-cut-test-context.c: add tests for XML serialization.

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c: add
	<success>.

	* cutter/module/streamer/cut-xml-streamer.c: print <success>.

	* cutter/cut-test.[ch], cutter/module/ui/cut-console-ui.c: remove const.

	* cutter/module/streamer/cut-xml-streamer.c,
	test/test-cut-xml-streamer.c: output <read-test-suite>.

	* cutter/cut-utils.[ch] (cut_utils_append_xml_element_with_value): add.

	* cutter/cut-test.c, cutter/cut-test-result.c: use
	cut_utils_append_xml_element_with_value().

	* cutter/cut-utils.[ch] (cut_utils_append_indent): add.

	* cutter/cut-test.c, cutter/cut-test-result.c: use
	cut_utils_append_indent().

	* cutter/cut-utils.[ch] (cut_utils_filter_match): add _utils.

	* cutter/cut-test-container.c (cut_test_container_filter_children):
	follow the above change.
	* cutter/cut-repository.c (cut_repository_collect_loader): ditto.

	* cutter/cut-test.[ch] (cut_test_to_xml, cut_test_to_xml_string): add.

	* cutter/cut-test-case.c, cutter/cut-test-suite.c: follow the
	above changes.

	* cutter/cut-test-result.c: use cut_test_to_xml_string().

	* cutter/module/streamer/cut-xml-streamer.c: <streamer> -> <stream>.

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c: emit
	complete-run signal on <stream> end.

	* cutter/cut-pipeline.c: suppress warnings.

	* cutter/cut-stream-parser.c, test/test-cut-stream-parser.c: emit
	start-run signal on <stream> start.

	* cutter/Makefile.am, cutter/cut-stream-parser.[ch]: add
	CutStreamParser.

	* test/Makefile.am, test/test-cut-stream-parser.c: add.

2008-05-16  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-pipeline.c, test/Makefile.am: use cuttest_get_base_dir().

	* cutter/cut-pipeline.c: add signals.

	* test/test-cut-pipeline.c: fix increment.

	* test/test-cut-pipeline.c: format.

	* cutter/cut-pipeline.c (read_line): emit result signal.

	* test/test-cut-test-result.c (test_get_test_suite): use
	cut_assert_equal_pointer().

	* cutter/cut-assertions.h (cut_assert_equal_pointer): add.

	* test/test-cut-assertions.c (test_equal_pointer): add.

	* cutter/cut-test-result.[ch] (cut_test_result_get_test_suite): add.

	* test/test-cut-test-result.c (test_get_test_suite): add.

	* test/test-cut-test-result.c: fix strange tests.

	* cutter/cut-test-context.[ch] (cut_test_context_set_failed): add.

	* test/test-cut-test-context.c: add a test for the above change.

	* cutter/cut-pipeline.c (child_watch_func): use EXIT_SUCCESS.

	* cutter/cut-runner.c (cut_runner_run): use run_async as default
	implementation.

	* cutter/cut-pipeline.c: remove run.

	* test/test-cut-pipeline.c: use cut_assert_{true,false}().

	* Makefile.am (ACLOCAL_AMFLAGS): add.

	* cutter/cut-pipeline.[ch]: use CutRunContext as parent.

	* test/test-cut-pipeline.c: follow the above change.

	* cutter/cut-run-context.[ch]: add start-run and complete-run
	signals.

	* cutter/cut-runner.[ch]: add run_async.

	* cutter/, test/, sample/cairo/: add CutRunner interface.

	* cutter/, test/, sample/cairo/: CutRunner -> CutTestRunner.

2008-05-16  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-listener-utils.h: Added utility macro.
	* test/Makefile.am, cutter/Makefile.am: cleanup files related to gcov.
	* cutter/cut-main.c, cutter/cut-run-context.[c|h]: Added --exclude
	option.
	* cutter/cut-main.c, cutter/cut-run-context.[c|h]: Separate --exclude
	option --exclude-file and --exclude-dir options.
	* cutter/cut-utils.[c|h], cutter/cut-container.c: filter_to_regexs()
	-> cut_utils_filter_to_regex() to use --exclude-XX options.
	* cutter/cut-repository.[c|h], cutter/cut-run-context.c: Set
	exclude-dir and exclude-file before create test suite.
	* cutter/cut-utils.[c|h], cutter/cut-test-container.c: match() ->
	cut_filter_match().
	* cutter/cut-repository.c: Filter exclude files and directories.
	* test/pipiline_test_dir/: Added.
	* test/run-test.sh: Added --exclude-dir=pipeline_test_dir.
	* cutter/cut-pipeline.c: Use WIFEXITED() and WEXITSTATUS().
	* cutter/cut-pipeline.c: Obtain source id of g_io_watch_add().
	* cutter/cut-pipeline.c: Create io channel before invoke
	g_child_watch_add().
	* cutter/cut-streamer-factory-builder.c: Create CutStreamer correctly.
	* cutter/cut-pipe.c: Do not return FALSE even if read_line() fails.
	Why?
	* cutter/cut-pipe.c: Read rest characters from pipe when exit child
	process. There are some GLib-CRITICAL errors, but all tests are passed
	now.

2008-05-15  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-streamer-factory-builder.c (set_option_context): use
	0 not NULL for char.

	* cutter/, test/: create CutRunContext.

	* test/test-cut-xml-streamer.c (test_streamer_success): use
	cut_assert_match().

	* cutter/cut-assertions.h (cut_assert_match): fix a typo.

	* cutter/cut-assertions.h (cut_assert_match): add.

	* test/test-cut-assertions.c (test_match): add test for
	cut_assert_match().

	* cutter/cut-utils.c, cutter/cut-public.h (cut_utils_regex_match):
	add.

	* sample/glib/regex.c (cut_assert_match_full): renamed from
	cut_assert_match().

	* cutter/cut-loader.c: detect Mach-O bundle.

	* cutter/cut-loader.c (is_valid_symbol_name): add.

	* test/test-cut-test-attribute.c: remove needless casts.

2008-05-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-stream.[c|h]: Added. It has no method yet.
	* cutter/module/ui/*.c. cutter/module/report/*.c: Rename filename.
	cut-(ui|report)-XX.c -> cut-XX-(ui|report).c,
	cut-(ui|report)-factory-XX.c -> cut-XX-(ui|report)-factory.c.
	* cutter/module/ui/*.c. cutter/module/report/*.c: Rename object name
	correspond to filename.
	* cutter/module/streamer/, cutter/cut-streamer-factory-builder.[c|h],
	cuttter/cut-contractory.c: Added CutXMLStreamer module.
	* test/run-test.sh, test/test-cutter.c: modify test data adapt to new
	streamer module.
	* test/test-cut-xml-streamer.c: Added.
	* cutter/cut-pipeline.[c|h]: Added.
	* cutter/cut-pipeline.[c|h]: Added cut_pipeline_run() and emit
	"complete" signal.
	* cutter/cut-pipeline.c: Create CutTestResult object from child
	process stdout text.

2008-05-14  Kouhei Sutou  <kou@cozmixng.org>

	* gtk-doc.make: suppress warnings.

	* m4macros/cutter.m4: remove temporary function.

	* m4macros/cutter.m4: add --without-cutter.

2008-05-13  Kouhei Sutou  <kou@cozmixng.org>

	* test/Makefile.am, test/test-cutter.c: include gtk.h if available.

	* test/test-cutter.c: add X11 backend check.

	* test/test-cutter.c: use g_get_prgname() not lt-cutter.

	* cutter/cut-utils.c, test/test-cut-utils.c: improve trivial check.

	* cutter/cut-test-suite.c: use sigaction() instead of signal().

	* cutter/cut-test-context.c: assign cut_process_wait() result to a
	variable for BSD system.

	* autogen.sh: make customizable.

2008-05-13  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* m4macros/cutter.m4: Check "coverage" target existence before
	adding the target.
	* m4macros/cutter.m4: Remove AC_PROVIDE.

2008-05-12  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: 0.9.0 -> 1.0.0.

	* Makefile.am (release): depend dist.

	* README*: update.

	* NEWS*: update.

	* doc/reference/ja.po: update.

	* test/test-cut-assertions.c (test_file_exist): add.

	* cutter/cut-utils.c, cutter/cut-public.h (cut_utils_file_exist): add.

	* cutter/cut-assertions.h (cut_assert_file_exist): add.

	* m4macros/cutter.m4:
	- add AC_CHECK_GCUTTER.
	- don't require CUTTER/GCUTTER package.
	- add _AC_CHECK_CUTTER and _AC_CHECK_GCUTTER for AC_REQUIRE.

2008-05-11  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-assertions.c (test_equal_string_with_diff): add.

	* cutter/cut-assertions.h (cut_assert_true, cut_assert_false): add.

	* cutter/cut-assertions.h (cut_assert_equal_string): ignore
	trivial diff.

	* cutter/cut-utils.c, cutter/cut-public.h
	(cut_utils_is_interested_diff): add.

	* test/test-cut-utils.c (test_is_interested_diff): add.

2008-05-09  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/: update.

	* cutter/cut-gassertions.h, cutter/cut-gpublic.h,
	cutter/cut-gassertions-helper.h, test/test-cut-gassertions-helper.c: add.

	* cutter/cut-test-context.c, cutter/cut-test-context.h,
	cutter/cut-gassertions.h: add cut_take_g_object().

	* cutter/Makefile.am, test/Makefile.am: follow the above changes.

	* sample/gtk+/builder.c: remove gtkprintjob.h.

2008-05-09  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-public.h, cutter/cut-test-context.c: Added
	cut_test_context_taken_string_array().
	* cutter/cut-test-context.c: taken_strings_list ->
	taken_string_arrays. Use g_strfreev().
	* cutter/cut-assertions.c: Added
	cut_assert_equal_string_array_with_free().
	* cutter/cut-assersions-helper.h: Added cut_take_string_array().
	* cutter/cut-assersions.h: Remove "do {".

2008-05-08  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: don't require gtk+-unix-print-2.0.

	* configure.ac: export HAVE_GTK.

	* test/test-cut-assertions.c
	(test_assert_message_with_format_string): add missing newline.

2008-05-08  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* m4macros/cutter.m4: AC_PROVIDE(AC_CHECK_CUTTER) for check whether
	cutter.m4 is installed or not.
	To check cutter.m4 installation, use
	AC_PROVIDE_IFELSE([AC_CHECK_CUTTER], [AC_CHECK_CUTTER]) in your
	configure.ac.

2008-05-07  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions.h (cut_assert_equal_string): more new line.

2008-05-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* m4macros/cutter.m4: Added "coverage-clean" target.

2008-05-07  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cutter.c (test_help_all): support non-GTK+ environment.

	* configure.ac: 0.8.0 -> 0.9.0.

	* misc/release.rb: follow the recent SF.net HTML changes.

	* NEWS*: update.

	* cutter/cutter.h: mark 'Since: 0.8'.

	* cutter/cut-assertions.h, doc/reference/ja.po: add documents for
	cut_omit().

	* cutter/cut-experimental.h: move CutTestAttribute to ...
	* cutter/cut-public.h: ... here.

	* doc/reference/ja.po: update.

	* doc/reference/Makefile.am, doc/reference/cutter-docs.sgml: add
	cut-experimental.h.

	* cutter/cut-experimental.h: add document.

	* configure.ac: 0.7.0 -> 0.8.0.

	* Makefile.am: move coverage target to ...
	* m4macros/cutter.m4: ... here.

	* configure.ac: use AM_MAINTAINER_MODE.

	* cutter/cut-sequence-matcher.c, test/test-cut-sequence-matcher.c:
	use g_slice.

2008-05-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-sequence-matcher.c: Use properties.
	* am/coverage.am: Added to do "make coverage"
	* configure.ac, am/Makefile.am: Define automakedir.

2008-05-06  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/, test/: remove const from gchar ** and some gchar *.

	* cutter/cut-diff.c: make from and to property.

	* cutter/cut-diff.[ch]:
	- make CutDiffer public.
	- create CutDifferReadable.

	* test/test-cut-diff.c: add tests for readable diff.

	* cutter/cut-diff.c, test/test-cut-diff.c: add a test for readable diff.

	* cutter/cut-sequence-matcher.c, test/test-cut-sequence-matcher.c:
	sort matched info.

	* test/test-cut-sequence-matcher.c: add a test for to_indexes with
	junk filter.

	* cutter/cut-diff.c, test/test-cut-diff.c,
	test/test-cut-assertions.c: support replaced.

	* cutter/cut-sequence-matcher.c: set compare func.

	* test/test-cut-sequence-matcher.c: remove const.

	* cutter/cut-diff.c, test/test-cut-diff.c: support inserted.

	* cutter/, test/: remove const from gchar **.

	* cutter/cut-public.h, cutter/cut-diff.h (cut_diff_readable): make
	public.

	* cutter/cut-assertions.h (cut_assert_equal_string): support diff.
	* cutter/cut-assertions-helper.h (cut_take_diff): add.
	* test/test-cut-assertions.c
	(test_assert_message_with_format_string): follow the above changes.

	* cutter/cut-diff.c, test/test-cut-diff.c: support deleted.

	* cutter/Makefile.am cutter/cut-diff.[ch], test/Makefile.am,
	test/test-cut-diff.c: add.

	* cutter/cut-sequence-matcher.[ch]: remove const.

2008-05-05  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: begin -> from_index, end -> to_index.

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: support junk filter.

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: add cut_sequence_matcher_get_ratio().

	* cutter/cut-assertions.h (cut_assert_equal_double): fix
	evaluation order.

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: add
	cut_sequence_matcher_get_operations().

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: add cut_sequence_matcher_get_blocks().

2008-05-04  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: cache matched.

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: add cut_sequence_matcher_get_matches().

	* cutter/cut-list.[ch]: make cut_list_equal() and
	cut_list_inspect() public.

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: add 'get_' prefix.

	* cutter/cut-sequence-matcher.[ch]: add
	cut_sequence_matcher_char_new() and
	cut_sequence_matcher_string_new().

	* test/test-cut-sequence-matcher.c: use
	cut_sequence_matcher_char_new() and
	cut_sequence_matcher_string_new().

	* cutter/cut-sequence-matcher.[ch],
	test/test-cut-sequence-matcher.c: implement
	cut_sequence_matcher_longest_match().

	* cutter/cut-assertions.h, cutter/cut-gassertions.h: add 'Since:
	0.8' markup.

	* cutter/cut-public.h, cutter/cut-utils.c, cutter/cut-test-context.c:
	- remove cut_test_context_inspect_string_array().
	- add cut_utils_inspect_string_array().

	* cutter/cut-assertions-helper.h, test/test-cut-test-context.c,
	test/test-cut-utils.c: follow the above changes.

	* test/test-cut-sequence-matcher.c: cut_assert_equal_to_index() ->
	cut_assert_to_index().

	* cutter/Makefile.am, cutter/cut-sequence-matcher.[ch],
	test/Makefile.am, test/test-cut-sequence-matcher.c: add
	CutSequenceMatcher.

	* cutter/cut-gassertions.h: add const.

	* cutter/cut-gassertions.h, test/text-cut-gassertions.c:
	- cut_assert_equal_int_g_list() -> cut_assert_equal_g_list_int().
	- cut_assert_equal_string_g_list() -> cut_assert_equal_g_list_string().

	* cutter/Makefile.am: public cut-list.h.

2008-05-02  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-gassertions.h (cut_assert_equal_string_g_type): add.
	* test/test-cut-gassertions.c: add a test for
	cut_assert_equal_string_g_type().
	* cutter/cut-list.[ch] (cut_list_equal_string,
	cut_list_inspect_string): add.

	* cutter/cut-gassertions.h: add missing include.

	* cutter/cut-gassertions.h (cut_assert_equal_int_g_type): add.
	* test/test-cut-gassertions.c: add a test for
	cut_assert_equal_int_g_type().

	* cutter/cut-list.[ch]: add.
	* cutter/Makefile.am: add cut-list.[ch].

	* cutter/cut-module-factory-utils.c,
	cutter/cut-ui-factory-builder.c, cutter/cut-module.c: sort modules
	by name.

	* test/test-cutter.c: follow the above changes.

	* test/test-cutter.c: set environment for internal cutter run.

2008-05-02  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cutter.c: Added tests for cutter command.
	* cutter/cut-report.[c|h], cutter/module/cut-report-xml.c,
	cutter/module/cut-report-pdf.c: Remove result_to_file(). It is not
	used yet.
	* m4macros/cutter.m4: Added m4 macro file.
	* cutter/*, test/*: Remove get_log_domains() function.

2008-05-01  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/report/cut-report-xml.c: Implement get_all_results().
	Stupid code!
	* cutter/cut-test-case.c: Handle "omission" signal.
	* cutter/cut-module-factory-utils.[c|h]: New files from
	cut-module-factory.[c|h].
	* cutter/cut-module.c (cut_module_load_modules_unique): concatenate
	exist_modules and new loaded modules. 

2008-05-01  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: remove needless variable.

	* cutter/cut-test-suite.c, cutter/cut-test-case.c: don't use
	filter for NULL input.

	* test/test-cut-test-suite.c, test/test-cut-test-case.c : follow the
	above changes.

	* test/test-cut-test-suite.c: add prototype declaration.

2008-04-30  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui/cut-ui-gtk.c: handle CUT_TEST_RESULT_INVALID.

	* configure.ac: use --coverage instead of -fprofile-arcs and
	-ftest-coverage.

	* Makefile.am (coverage):
	- change output directory to ./coverage/ from cutter/html/.
	- add some options.

	* configure.ac, **/Makefile.am (COVERAGE_CFLAGS): use coverage
	related options only for cutter itself.

	* cutter/**/Makefile.am: clean CFLAGS.

	* configure.ac: add --enable-maintainer-mode.

	* sample/*/Makefile.am: run only --enable-maintainer-mode
	environment.

	* Makefile.am (coverage): enable only --enable-coverage environment.

	* configure.ac: add --enable-coverage.

2008-04-30  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-verbose-level.[c|h]: Added CUT_VERBOSE_LEVEL_INVALID.
	* cutter/cut-public.h: CUT_TEST_RESULT_INVALID.

2008-04-25  Kouhei Sutou  <kou@cozmixng.org>

	* gtk-doc.make: fix make uninstall.

	* configure.ac: require cairo >= 1.4 for cairo test.

2008-04-25  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-report-factory-builder.c: NULL check barrier of
	GOptionEntry.

2008-04-21  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: report error if required GLib version isn't found.

	* autogen.sh: accept ACLOCAL_OPTIONS environment variable.

2008-04-10  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/report/cut-report-pdf.c: show test case result.

2008-04-10  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/report/cut-cairo-pie-chart.c: Added some functions to
	get chart size.
	* cutter/module/report/cut-cairo-pie-chart.c: Calculate pie radius
	from chart height.
	* cutter/module/report/cut-cairo-pie-chart.c: Calculate chart circle
	center from chart width and height.
	* cutter/module/report/cut-cairo-pie-chart.c: Draw percentage text on
	the edge of pie circle.
	* cutter/module/report/cut-cairo-pie-chart.c: Draw each parts(chart,
	legend and ratio text) from data series.
	* cutter/module/report/cut-cairo-pie-chart.c: Show data label instead
	of percentage value.
	* cutter/module/report/cut-cair-chart-data.[c|h]: Added.

2008-04-09  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/report/cut-cairo.[ch]
	(cut_cairo_set_source_result_color): add.

	* cutter/module/report/cut-cairo-pie-chart.c: use
	cut_cairo_set_source_result_color().

	* cutter/module/report/: use CutCairoPieChart to render a pie chart.

	* cutter/module/report/cut-report-pdf.c: show all results in pie chart.

	* cutter/module/ui/cut-ui-console.c: show percentage of passed tests.

	* cutter/cut-runner.[ch], cutter/cut-test-suite.c,
	cutter/cut-test.c, cutter/cut-test-case.c: start -> prepare.

2008-04-09  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-runner.c: Added test for cut_runner_get_n_().
	* cutter/module/report/cut-report-pdf.c: Show percentage on pie chart.
	* cutter/module/report/cut-report-pdf.c: Show percentage text outside
	of pie chart.
	* cutter/module/report/cut-report-pdf.c: Do not draw pie piece if the
	number of result correspond to CutTestStatus is zero.
	* cutter/module/report/cut-report-pdf.c: Show legend.
	* cutter/module/report/cut-cairo-pie-chart.[c|h]: Added.

2008-04-09  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/report/cut-report-pdf.c: show a pie chart.

	* cutter/cut-runner.[ch] (cut_runner_get_n_successes): add.

2008-04-08  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/report/cut-report-pdf.c: set font family.

	* cutter/module/report/cut-report-pdf.c: indent tests.

	* configure.ac, cutter/module/report/cut-report-pdf.c,
	cutter/module/report/Makefile.am: use pangocairo.

	* configure.ac, cutter/module/report/cut-report-pdf.c,
	cutter/module/report/Makefile.am: require cairo PDF backend.

	* cutter/cut-report-factory-builder.c: support multiple report type.

	* cutter/module/report/cut-report-pdf.c: fix typos.

2008-04-08  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-runner.[c|h]: Added cut_runner_is_multi_thread() to
	obtain the situation that the current test is runnering with multi
	thread or not.
	* cutter/cut-test-context.[c|h]: cut_test_context_get_multi_thread()
	-> cut_test_context_is_multi_thread().
	* cutter/cut-test-case.c, test/test-cut-fork.c: Use
	cut_test_context_is_multi_thread() instead of
	cut_text_context_get_multi_thread().
	* cuttter/module/ui/cut-ui-gtk.c: Set "is-multi-thread" property of
	CutRunner TRUE with g_object_set(). cut_runner_set_is_multi_thread()
	does not exist yet. I think the function does not needed since the
	name is confused cut_runner_set_multi_thread().
	* configure.ac: Define HAVE_CAIRO.
	* cutter/cut-report-factory-builder.c: Create GOptionEntry at runtime.
	* cutter/cut-report-factory-builder.c: Handle filename.

2008-04-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-process.c: Do not use g_io_add_watch() since the function
	causes crash with GTK+.
	* cutter/ui/cut-ui-gtk.c: Set multi thread mode.

2008-04-04  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-context.c (cut_test_context_register_result):
	use cut_test_result_status_is_critical().

	* cutter/cut-test-result.[ch]: add cut_test_result_status_is_critical().

	* test/test-cut-test-result.c (test_status_to_signal_name)
	(test_status_is_critical): add.

	* cutter/cut-test.c: use cut_test_context_is_failed().

	* cutter/cut-test-context.c: improve fail detection.

	* test/test-cut-fork.c:
	- set multi thread mode.
	- improve assertions.

	* test/test-cut-assertions.c: fix a test.

	* cutter/cut-test-result.c: remove needless codes.

	* cutter/cut-test-context.c:
	- split result XML.
	- fix wrong result receive place.
	- return WEXITSTATUS-ed status.
	* test/test-cut-fork.c: follow the above changes.

2008-04-04  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-process.c: Set some conditions to GIOChannel.
	* cutter/cut-process.c: Use GIOChannel.
	* test/test-cut-work.c: Workaround for nonpersistence of
	CutTestContext.
	* cutter/cut-process.c: Read from stdout and stderr pipes when
	cut_process_get_stdout/stderr_message() is invoked instead of
	cut_process_wait().

2008-04-03  Kouhei Sutou  <kou@cozmixng.org>

	* test/run-test.sh: run only non --multi-thread mode is passed.

	* cutter/cut-test-context.c, cutter/cut-public.h,
	cutter/cut-experimental.h (cut_fork): don't fork() when
	--multi-thread mode.

	* cutter/, test/: added cut_omit().

	* cutter/cut-process.c (close_pipe): *.
	(ensure_collect_result): fixed a typo.

	* cutter/cut-process.[ch]: added cut_process_wait().

	* test/test-cut-fork.c: used cut_wait_process().

	* cutter/cut-test-context.c, cutter/cut-experimental.h,
	cutter/cut-public.h: added cut_wait_process().

	* cutter/cut-process.c (prepare_pipes): kept errno from fork().

	* test/test-cut-fork.c: used cut_assert_errno().

	* cutter/cut-main.c (cut_init): loaded all modules if --help-XXX
	is specified. Bug #1932062.
	Reported by makeinu. Thanks!!!

	* cutter/cut-assertions.h, test/test-cut-assertions.c: added
	cut_assert_errno().

	* cutter/cut-process.c (prepare_pipes): closed finished pipe.

2008-04-03  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-context.c: _exit(0) if cut_test_register_result() is
	invoked from cut_test_fail() in child process.
	* test/test-cut-fork.c: The test that cut_notify() and cut_fail() are
	invoked in child process is run in its own test context.  cut_fail()
	does not work yet.
	* cutter/cut-test-context.c, cutter/cut-process.c,
	cutter/cut-process.h: Added cut_process_exit();
	* cutter/cut-process.c: Use GIOChannel for child process.
	* cutter/cut-test-context.[c|h]: Added
	cut_test_context_set/get_multi_thread() for cut_omit.

2008-04-02  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c (option_entries): --version and --help-all
	doesn't require any argument. Bug #1931954.
	Reported by makeinu. Thanks!!!

	* doc/reference/ja.po: updated.

	* test/test-cut-module-factory.c, test/test-cut-loader.c,
	test/loader_test_dir/dummy-test-functions.c,
	test/test-cut-module.c, cutter/cutter.h, cutter/cut-test-case.c,
	cutter/cut-test-case.h, cutter/cut-loader.c:
	- initialize/finalize -> startup/shutdown.
	- TearDown -> Teardown.

2008-04-02  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-xml-parser.c: Added.
	* cutter/cut-xml-parser.xml: Handle test case name.
	* cutter/cut-test.[c|h]: Added cut_test_set_name().
	* cutter/cut-xml-parser.c: Use cut_test_set_name() instead of
	g_object_set().
	* cutter/cut-xml-parser.c: Handle <info> element.
	* cutter/cut-test-result.[c|h]: Added cut_test_result_set_message().
	* test/test-cut-xml-parser.c: <info> element test.
	* cutter/cut-xml-parser.c: Use g_ascii_strcasecmp() instead of strcmp.
	* cutter/cut-xml-parser.c: Set GError.
	* cutter/cut-xml-parser.c: Handle <option> element.
	* cutter/cut-xml-parser.c: Cleanup. Remove state. Handle <description>
	element.
	* cutter/cut-xml-parser.c: I am confused <info> and <detail>.
	* cutter/cut-xml-parser.c: Remove "()" from function name.
	* test/test-cut-fork.c: Added test invoking cut_fail() in child
	process.

2008-04-01  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-process.[c|h]: Define
	cut_process_send_test_result_to_parent() for send the result of tests in
	child process to parent Cutter process.
	* cutter/cut-test-context.c: Invoke
	cut_process_send_test_result_to_parent().
	* cutter/cut-process.c: Send the test result to parent process pipe as
	XML.
	* cutter/cut-test-result.[c|h]: Define cut_test_result_new_from_xml().
	* cutter/cut-test-result.c, cutte/module/report/cut-report-xml.c: XML
	related code were moved into cut-test-result.c.
	* cutter/cut-test-context.[c|h], cutter/cut-process.[c|h],
	cutter/cut-test.h, cutter/cut-private.h: Emit signal in parent process
	when something is happen in child process.
	* cutter/cut-test-result.[c|h]: Added setter functions.
	* cutter/cut-test.c, cutter/cut-test-context.c: Use
	cut_test_result_set_elapsed().
	* cutter/cut-xml-parser.[c|h]: Work parsing XML in progress. I'm
	tired.

2008-03-31  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/: LGPL2 -> LGPL3.

2008-03-31  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-public.h, cutter/cut-experimental.h: Define APIs to
	obtain messages from forked proccess.
	* cutter/cut-proccess.[c|h]: Added.

2008-03-28  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-public.h: added CUT_GNUC_PRINTF(). Bug #1927725.
	Suggested by makeinu. Thanks!!!

2008-03-28  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-fork.c: Added sample test.
	* cutter/cut-experimental.h, cutter/cut-public.h: Declare fork
	function.
	* cutter/cut-test-context.c: Just fork.

2008-03-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* module/report/cut-report-xml.c: Fix typo.
	* cutter/cut-listener.[c|h]: CutListner is now an interface.
	* cutter/cut-report.[c|h]: The parent of CutReport is GObject since
	CutListener is not an object any more.
	* cutter/module/ui/cut-ui-console.c, cutter/module/ui/cut-ui-gtk.c,
	cutter/module/report/cut-report-xml.c: Implement CutListener
	interface.

2008-03-26  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c: used CUT_UI().

	* cutter/module/ui/cut-ui-gtk.c,
	cutter/module/ui/cut-ui-console.c: fixed wrong gtype.

2008-03-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/ui/cut-ui-console.c, cutter/module/ui/cut-ui-gtk.c:
	CutUIConsole and CutUIGtk are children of CutListener instead of
	CutUI. CutUI will be an interface which has run method. CutListner
	should be also an interface.
	* cutter/cut-ui.[c|h]: CutUI is now an interface.
	* cutter/module/ui/cut-ui-console.c, cutter/module/ui/cut-ui-gtk.c:
	CutUIConsole and CutUIGtk have CutUI interface. Not used yet.
	* cutter/module/ui/cut-ui-gtk.c, cutter/module/ui/cut-ui-console.c:
	Implement run method.
	* cutter/cut-main.c: Use cut_ui_run().

2008-03-26  Kouhei Sutou  <kou@cozmixng.org>

	* sample/glib/iochannel.c (test_small_writes): set initial value.

	* NEWS{,.ja}: updated.

2008-03-25  Kouhei Sutou  <kou@cozmixng.org>

	* README*: updated.

	* cutter/cut-main.c: cleanup --help-all.

2008-03-25  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-main.c: Handle --help-all option.
	* cutter/cut-main.c, cutter/cut-contractor.[c|h],
	cutter/cut-factory-builder.[c|h], cutter/cut-ui-factory-builder.c,
	cutter/cut-report-factory-builder.c: Show all factory options.
	* cutter/cut-contractor.c, cutter/cut-module-factory.[c|h]: Load
	ui/console factory by default.
	* cutter/cut-main.c: Hide --help-all.
	* cutter/cut-ui-factory-builder.c,
	cutter/cut-report-factory-builder.c: Be a singleton.
	* cutter/cut-contractor.c, cutter/cut-report-factory-builder.c: Output
	xml report correctly.

2008-03-24  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui/Makefile.am: removed needless links.

	* sample/gtk+/run-test.sh, sample/cairo/run-test.sh,
	sample/glib/run-test.sh: cleanup.

	* sample/Makefile.am (EXTRA_DIST): added missing stack_SCRIPTS and
	stack_test_SCRIPTS.
	Bug #1924245. Thanks to makeinu!!!

2008-03-24  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-factory-builder.c: Removed
	cut_factory_builder_has_builder() test.
	cut_factory_builder_has_builder() will be moved to CutContractor.
	Added cut_factory_builder_get_type_name() test.
	* cutter/cut-contractor.[c|h], cutter/cut-factory-builder.[c|h],
	cutter/cut-module-factory.[c|h], cutter/cut-main.c: Some functions
	were moved to CutContractor.

2008-03-21  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: 0.6.0 -> 0.7.0.

	* README{,.ja}: added --xml-report.

	* NEWS{,.ja}: updated.

2008-03-20  Kouhei Sutou  <kou@cozmixng.org>

	* test/run-test.sh: removed needless arguments.

	* cutter/cut-main.c: don't handle --help in the first path.

	* cutter/cut-report-factory-builder.c,
	cutter/cut-ui-factory-builder.c: added option group.

	* configure.ac, cutter/cut-report-factory-builder.c: fixed
	a bug that installed report can't be found.

	* cutter/cut-test-result.c (cut_test_result_status_to_signal_name),
	cutter/cut-runner.c (cut_runner_sort_test_cases): suppressed warnings.

	* sample/Makefile.am (stack_test_SCRIPTS): moved test/run-test.sh
	to here to added executable permission.

	* sample/Makefile.am (stack_config_DATA): added a dummy rule to
	create config/ directory.

	* sample/Makefile.am: used SCRIPTS instead of DATA for autogen.sh.

	* test/test-cut-test-case.c: don't use static variables for counting
	called count.

	* test/test-cut-test-case.c (test_error_signal, test_pending_signal,
	test_notification_signal): added.

	* cutter/cut-test-container.c: referenced an added test.

	* cutter/cut-loader.c, cutter/cut-repository.c: unreferenced an added
	test.

	* test/test-cut-test-case.c (test_failure_signal): added.

	* test/test-cut-test-case.c, test/test-cut-test-suite.c: used
	#include <...> not #include "...".

	* test/test-cut-test-case.c (add_test): moved to ...
	* test/cuttest-utils.[ch] (cuttest_add_test): ... here.

	* test/test-cut-test-case.c (test_success_signal): added a test
	for confirming test case emits "success" signal.

	* cutter/cut-test-case.c: emitted a signal that is corresponding
	to test result status.

	* cutter/cut-test-result.[ch] (cut_test_result_status_to_signal_name):
	moved from ...
	* cutter/cut-test-context.c: ... here.

	* cutter/cut-test-context.c (cut_test_context_register_result):
	removed dangerous message construction.

	* cutter/cut-public.h (cut_test_context_take_printf): added.
	* cutter/cut-assertions-helper.h (cut_take_printf): added.

	* cutter/cut-assertions.h, cutter/cut-gassertions.h: used
	cut_take_printf().

2008-03-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-runner.[ch]: emitted signal STATUS_test_case for test
	case not STATUS_test.
	* cutter/module/ui/cut-ui-console.c: removed needless check.

	* cutter/cut-test.c: fixed indentation.

	* README, README.ja: updated options.

	* cutter/cut-main.c: added --version.

2008-03-19  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test.c: Set elapsed time to CutTestResult.

2008-03-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-report-factory-builder.c: --output-files -> --xml-report.

	* cutter/cut-ui-factory-builder.c: constructed --ui argument
	description dynamically.
	* cutter/cut-main.c: removed --show-all-uis.

2008-03-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c, README, README.ja: added --test-case-order
	option.
	* cutter/cut-test-suite.c: supported test case sort by name.
	[#1912459]

	* cutter/cut-test-container.[ch], cutter/cut-test-suite.c: removed
	const from GList * return value.

	* test/test-cut-runner.c, cutter/cut-runner.[ch]
	(cut_runner_sort_test_cases): added.

	* cutter/module/ui/Makefile.am, cutter/module/report/Makefile.am:
	removed needless -rpath.

2008-03-15  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-module-factory.c: searched ".libs" too.

	* test/Makefile.am, test/test-cut-module.c,
	test/test-cut-module-factory.c: used cuttest_get_base_dir().

	* test/test-cut-module.c: should not free a module in
	modules. It's reused in the test case.

2008-03-12  Kouhei Sutou  <kou@cozmixng.org>

	* test/run-test.sh: cleanup.

	* cutter/cut-test-suite.c: ill_be_back_handler -> i_will_be_back_handler.

2008-03-12  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-report-xml.c: Use same callback function for "success"
	and "failure" signals.
	* cutter/cut-ui-factory-builder.c: Use UI_FACTORY_MODULEDIR if
	CUT_UI_FACTORY_MODULE_DIR environment value is not defined.

2008-03-11  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: added --disable-bfd option.
	Bug #1910988. Thanks to makeinu!!!

2008-03-11  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-factory-builder.[c|h]: Added get_type_name().
	* cutter/cut-factory-builder.[c|h], cutter/cut-module-factory.c,
	test/test-cut-factory-builder.c, test/runtests.sh: Create
	CutUIFactoryBuilder and CutReportFactoryBuilder by default for loading
	each factories in build directory.
	* cutter/cut-report-factory-builder.c,
	cutter/module/report/cut-report-factory-xml.c: Set filename to the
	property of CutReport.
	* cutter/cut-report-factory-builder.c: +1. report type is "xml" not
	".xml".
	* cutter/module/report/cut-report-xml.c: Do not output result entry if
	CutTest is NULL.
	* cutter/cut-report.[c|h]: Added cut_report_get_filename(). Cleanup.
	* cutter/cut-runner.h: "ready-test-suite" signal is accompanied with
	CutTestSuite not CutTestCase.
	* cutter/module/cut-report-xml.c: Output to the file.
	* test/test-cut-report-xml.c: To invoke cut_report_load() is not
	needed.

2008-03-10  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test.[c|h]: "success" signal is accompanied with
	CutTestContext.
	* cutter/cut-runner.[c|h]: "success-test" is accompanied with
	CutTestResult.
	* cutter/cut-test-case.c, cutter/cut-test-suite.c,
	cutter/module/ui/cut-ui-console.c, cutter/module/ui/cut-ui-gtk.c,
	cutter/module/report/cut-report-xml.c, test/test-cut-report-xml.c:
	Follow the above changes.
	* cutter/cut-module-factory.c: (cut_module_factory_new): Return NULL
	if the module does not exist.
	* test/test-cut-factory-builde.c: Added.
	* cutter/cut-factory-builder.[c|h]: Added get_module_dir() interface.
	cleanup.
	* cutter/cut-module-factory.c: Create CutFactoryBuilder when loading
	modules. this change causes 2 test failures.
	* cutter/cut-factory-builder.[c|h], cutter/cut-ui-factory-builder.c,
	cutter/cut-report-factory-builder.c:
	cut_factory_builder_get_module_dir() for getting own directory.

2008-03-10  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: 0.5.0 -> 0.6.0.

2008-03-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* curter/cut-runner.[c|h]: Append "-test" suffix to signal name. Ex. "success" ->
	"success-test". But I prefer "test-success".
	* cutter/module/report/cut-report-xml.c,
	cutter/module/ui/cut-ui-console.c: Follow the above change.

2008-03-07  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/Makefile.am (noinst_headers): gbsearcharray.h is needed!
	Bug #1909448. Thanks to makeinu!

2008-03-06  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/report/cut-report-factory-xml.c: CutReportFactoryXML
	parent is CutModuleFactory.
	* cutter/cut-module-factory.[c|h]: Added
	cut_module_factory_exist_module().
	* cutter/cut-listener-factory.[c|h]: Added CutListenerFactory.
	* cutter/cut-report-factory.[c|h]: CutReportFactory is now a child of
	CutListenerFactory and a singleton. It is a factory(i.e. generator) of
	report module factories. For example, it generates
	CutReportFactoryXML, CutReportFactoryPDF, etc.
	* cutter/cut-listener-factory.[c|h] ->
	cutter/cut-factory-builder.[c|h]: Renamed. CutListenerFactory ->
	CutFactoryBuilder.
	* cutter/cut-report-factory.[c|h] ->
	cutter/cut-report-factory-builder.[c|h]: CutReportFactory ->
	CutReportFactoryBuilder.
	* cutter/cut-factory-builder.[c|h],
	cutter/cut-report-factory-builder.c: build() returns CutModuleFactory
	list.
	* cutter/cut-main.c: Do not invoke cut_module_factory_load().
	* cutter/cut-module-factory.[c|h]: Added
	cut_module_factory_set_option_context() for obtaining selector options
	of module factory like "-u, --ui=[console|gtk]".
	* cutter/cut-module-factory.c: (cut_module_factory_init): Invoke
	cut_factory_builde_register_builder().
	* cutter/cut-factory-builder.[c|h]: Added
	cut_factory_builder_get_child_type_from_name() and
	cut_factory_builder_register_builder().
	* cutter/cut-main.c: (cut_init): Invoke
	cut_module_factory_set_option_context().
	* cutter/cut-factory-builder.[c|h]: cut_factory_builder_build()
	returns list of CutModuleFactory.
	* cutter/cut-module-factory.[c|h]: Added
	cut_module_factory_build_factories().
	* cutter/cut-ui-factory.[c|h]: Removed.
	* cutter/cut-ui-factory-builder.[c|h]: Added.
	* cutter/cut-main.c, cutter/cut-module-factory.c: Create listeners
	from factory which is generated by
	cut_module_factory_build_factories().

2008-03-05  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-runner.[c|h]: Reverted rev. 1198.
	* cutter/cut-listener.[c|h]: CutListener has now just two interfaces,
	attach_to_runner() and detach_from_runner().
	* cutter/cut-report.[c|h], module/report/cut-report-xml.c: CutReport
	is now a child of CutListener.
	* test/test-cut-report-xml.c: Follow the above change.
	* cutter/cut-ui.[c|h]: CutUI is now a child of CutListener.
	* cutter/cut-runner.[c|h]: Added cut_runner_add_listener() and
	cut_runner_remove_listener().
	* cutter/module/ui/cut-ui-console.c: Link to attach_to_runner() and
	detach_from_runner().
	* cutter/module/ui/cut-ui-gtk.c: Link to attach_to_runner() and
	detach_from_runner().
	* cutter/cut-ui.[c|h]: Remove cut_ui_run().
	* cutter/module/ui/cut-ui-console.c, cutter/module/ui/cut-ui-gtk.c:
	Remove run() method.
	* cutter/cut-main.c: Use cut_runner_run() instead of cut_ui_run().
	* cutter/cut-runner.c: Attach listers and detach listers around
	running test case.
	* cutter/module/report/cut-report-xml.c: Change element name.
	"test_case" -> "test-case".
	* cutter/module/report/cut-report-xml.c: Output attribute. But this
	code is very ugly. sigh.
	* test/test-cut-report-xml.c: Change the order of option element since
	hash table does not care it. We need a XML parser.
	* cutter/cut-report.c: Added "filename" property.
	* cutter/cut-report-factory.[c|h]: Added cut_report_factory_create().
	* cutter/cut-runner.c: Increment reference count of CutListener in
	CutRunner.

2008-03-04  Kouhei Sutou  <kou@cozmixng.org>

	* doc/sample_log.xml: improved XML format.

2008-03-04  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-module.c: Added a test for cut_module_collect_names().
	* cutter/cut-test.[c|h]: Rename "function-name" property to "name".
	* cutter/cut-test-case.c, test/test-cut-module-factory.c,
	test/factory_test_dir/type1/factory-module1.c: Follow the above
	change.
	* cutter/cut-test.[c|h]: cut_test_new() does not need description
	anymore. Description is now set by invoking cut_test_set_attribute().
	* cutter/cut-loader.c, test/test-cut-test-case.c,
	test/test-cut-assertions.c, test/test-cut-test-suite.c,
	test/test-cut-report-xml.c, test/test-cut-test.c,
	test/test-cut-test-attribute.c, test/test-cut-gassertions.c: Follow
	the above change.
	* test/test-cut-test-attribute.c,
	test/attribute_test_dir/dummy-test-functions.c: Added a test for
	setting description.
	* cutter/cut-module-factory.[c|h]: Added cut_module_factory_newv().
	* cutter/cut-report-factory.[c|h]: Added.
	* configure.ac: Remove cutter/module/ui-factory/Makefile. Define
	report_factory_moduledir.
	* cutter/module/report/cut-report-factory-xml.c: Added.
	* cutter/cut-module.[c|h], cutter/cut-report-factory.c:
	cut_module_factory_newv() -> cut_module_factory_new_valist().
	* cutter/cut-listener.[c|h]: Added an interface for listening runner
	status. CutRunner, CutReport, etc. should use this interface.
	* cutter/cut-runner.[c|h]: Use CutListener interface.

2008-03-03  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui/Makefile.am: created symbolic links for test.

2008-03-03  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-module-factory.c, test/factory_test_dir/: Added tests
	for CutModuleFactory.
	* cutter/cut-module-factory.c: Stores modules in each directory into
	hash table.
	* test/test-cut-module.c, test/module_test_dir: Added tests for
	CutModule.
	* tets/factory_test_dir/type1: Create symbolic link to .libs/*.so.
	* test/factory_test_dir/type1/factory-module[1-3].c: Update.
	* cutter/cut-module-factory.[c|h]: cut_module_factory_create() should
	return GObject*.
	* test/factory_test_dir/type1/factory-module1.c: create() returnr
	CutTest object.
	* test/factory_test_dir/type1/factory-module1.c: Do not invoke parent
	set_option_group().
	* test/test-cut-module-factory.c: Parsing options and creating object
	tests.
	* cutter/cut-module-factory.[c|h]: Added
	cut_module_factory_get_names().
	* configure.ac: Install UI factory modules in cutter/module/factory
	instead of cutter/module/ui-factory.
	* configure.ac: Install UI factory modules in cutter/module/factory/ui
	instead of cutter/module/factory.
	* cutter/cut-module-factory.[c|h]: cut_module_factory_get_names()
	returns name list instead of module list.
	* cutter/cut-module-factory.c: (cut_module_factory_get_names): Chomp
	"_factory" from module names.
	* cutter/cut-module-factory.c: Append "_factory" suffix to loading
	module name.
	* test/test-cut-module-factory.c: cut_module_factory_new() does not
	needs "_factory" suffix.
	* test/factory_test_dir/Makefile.am: Factory modules needs "_factory"
	suffix.
	* cutter/module/ui/facotyr/*.so: Symbolic links to factories.
	* cutter/cut-main.c, cutter/module/ui-factory/*.c: Use
	CutModuleFactory instead of CutUIFactory.
	* cutter/module/ui-factory/Makefile.am: Module names need "_factory"
	suffic since the module source will be moved into the same directory
	of CutUIConsole or so.
	* cutter/module/ui-factory/*.c -> cutter/module/ui/*.c: Moved factory
	source into cutter/module/ui.

2008-02-29  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-report-xml.c: Adapt to new format.
	* module/report/cut-report-xml.c: Adapt to new format.
	* test/report-test-dir: Removed.
	* module/report/cut-report-xml.c: Output message in detail element.
	* module/report/cut-report-xml.c, test/test-report-xml.c: Output test
	description.
	* cutter/cut-test-result.[c|h]: Added cut_test_result_get_test_case().
	* module/report/cut-report-xml.c: Use cut_test_result_get_test_case().
	Cleanup.
	* cutter/cut-runner.[c|h]: Added cut_runner_build_source_filename().
	* module/ui/cut-ui-console.c, module/ui/cut-ui-gtk.c: Use
	cut_runner_build_source_filename().
	* module/report/cut-report-xml.c, test/test-report-xml.c: Output
	backtrace.
	* cutter/cut-module-factory.[c|h]: Added. Not used yet.

2008-02-28  Kouhei Sutou  <kou@cozmixng.org>

	* doc/sample_log.xml: updated.

2008-02-28  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-case.[c|h], cutter/cut-loader.c,
	test/cut-test-case.c, test/test-cut-test-suite.c,
	test/test-cut-report-xml.c: cut_test_case_new() needs now
	initialization and finalization functions.
	* cutter/cut-loader.c, test/test-cut-loader.c,
	test/loader_test_dir/dummy-test-functions.c: Load initialize() and
	finalize() symbols. 
	* cutter/cut-test-case.c: Invoke initialize() and finalize() functions
	at the beggining and the ending of TestCase respectively. These are
	not barriered by setjmp() yet.
	* cutter/cutter.h: Define prototype of initialize() and finalize().
	* test/cut-test-report-xml.c: Load report module in initialize().
	* cutter/moculle/report/cut-report-xml.c: register "CutReportXML" type
	many many times.
	* cutter/cut-test.c: Set test_case to CutTestResult.

2008-02-28  Kouhei Sutou  <kou@cozmixng.org>

	* Makefile.am, configure.ac: fixed Subversion user name
	specification.

	* configure.ac: 0.4.0 -> 0.5.0.

	* cutter/Makefile.am: removed needless header file.

	* README*, NEWS*: updated.

2008-02-28  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test.[c|h], cutter/cut-experimental.h,
	cutter/cut-loader.c, cutter/module/ui/cut-ui-console.c,
	test/*: metadata -> attribute.

2008-02-28  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/test-cut-report-xml.c: Set elapsed time explicitly.
	* test/test-cut-report-xml.c: Set independent test context.
	* test/test-cut-metadata.c,
	test/metadata_test_dir/dummy-test-functions.c: Added data replacing
	test.
	* cutter/cut-loader.c: Use g_list_append() instead of g_list_prepend()
	since metadata order should be preserved.
	* cutter/module/report/cut-report-xml.c: Use %g instead of %f for
	output elapsed time.
	* cutter/module/report/cut-report-xml.c: Do not register type twice.

2008-02-27  Kouhei Sutou  <kou@cozmixng.org>

	* doc/sample_log.xml: added a comment.

2008-02-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/report/cut-report-xml.c: Added some utility functions.
	* cutter/cut-test-result.[c|h]; Added a property of elapsed time.
	* cutter/cut-test.[c|h]: Added cut_test_stop_timer().
	* cutter/cut-test.[c|h]: "success" signal is accompanied with
	CutTestResult.
	* cutter/cut-test-case.c, cutter/cut-test-suite.c,
	cutter/cut-runner.c, cutter/module/ui/cut-ui-console.c: Receive
	CutTestResult from "success" signal.
	* cutter/cut-test-result.c: CutTestResult has CutTest, CutTestCase and
	CutTestSuite as its property.
	* cutter/cut-test-result.[c|h], cutter/cut-test.[c|h],
	cutter/cut-test-context.c, cutter/cut-test-case.c,
	cutter/cut-test-suite.c, cutter/cut-runner.c: cut_test_result_new()
	need now CutTest, CutTestCase and CutTestSuite objects instead of
	their name.
	* test/test-cut-test-result.c: NULL.
	* cutter/cut-test-result.[c|h]: Added cut_test_result_get_test().
	* cutter/cut-test.[c|h]: Added cut_test_get_all_metadata().
	* cutter/module/ui/cut-ui-console.c: Show each metadata if the test
	failed.
	* cutter/module/report/cut-report-xml.c: Output elapsed time.
	* cutter/cut-test-result.c: Set elapsed time to CutTestResult.

2008-02-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-loader.c: Define TEST_NAME_PREFIX and METADATA_PREFIX.
	* cutter/cut-test-result.[c|h]: Added cut_test_result_to_xml().
	* test/test-cut-log.c: Added.
	* cutter/cut-test.c: Remove "_SIGNAL" suffix from signal id.
	* cutter/cut-report.[c|h]: Added.
	* cutter/module/report: Added.
	* cutter/cut-report.[c|h]: cut_report_new() needs now CutRunner
	object.
	* test/test-cut-log.c -> test/test-cut-report-xml.c: Renamed.
	* test/report_test_dir:Added.
	* cutter/cut-report.[c|h]: Added some functions.
	* cutter/module/report/cut-report-xml.c: Added skeltons.
	* test/test-cut-report-xml.c: Switch test context. Added failure test.
	* cutter/module/report/cut-report-xml.c: Impelement get_XX_results().

2008-02-25  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-loader.c (collect_symbols): implemented.

2008-02-25  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* configure.ac: Remove sample/gio.
	* sample/glib/properties.c: Removed.
	* test/test-cut-metadata.c: Added BUG id sample.
	* test/metadata_test_dir: Added for metada tests.
	* test/test-cut-metadata.c: Added a test for getting BUG id.
	* cutter/cut-experimental.h: Added CutTestMetadata struct.
	* test/test-cut-metadata.c,
	test/metadata_test_dir/dummy-test-functions.c: Added a test for
	getting metadata.
	* cutter/cut-loader.c: Extract metadata from .so file. Not worked
	yet.
	* cutter/cut-loader.c: Set metadata.
	* test/metadata_test_dir/dummy-test-functions.c: CutTestMetadata data
	should be NULL terminate.

2008-02-21  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/, test/: don't set tab width because we don't use tab.

2008-02-20  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-loader.c: cleanup.

	* cutter/module/ui/cut-ui-console.c: changed colors:
	- error: magenta -> yellow.
	- pending: yellow -> magenta.

2008-02-19  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui-factory/cut-ui-factory-console.c
	(guess_color_usability): accepted EMACS=t as escape sequence available
	environment.

2008-02-18  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test.[ch]: added cut_test_set_metadata.

	* test/test-cut-metadata.c, test/Makefile.am: added a test for metadata.

2008-02-14  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, Makefile.am: added PACKAGE_TITLE.

2008-02-13  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions.h, test/test-cut-assertions.c,
	test/test-cut-test.c: cut_pending() -> cut_pend(). cut_pending()
	is deprecated.

2008-02-05  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui-factory/cut-ui-factory-console.c
	(guess_color_usability): supported screen as colorable terminal type.

2007-12-17  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-value-equal.[ch]: added const.

	* doc/reference/tmpl/: removed.

	* cutter/cut-gassertions.h: improved document.

	* doc/reference/Makefile.am, doc/reference/cutter-docs.sgml: added
	cut-gassertions.h documents.

	* doc/reference/Makefile.am: always generate cutter-sections.txt.

	* cutter/cut-assertions.h: added Since 0.3 mark.

	* test/test-cut-assertions.c, cutter/cut-assertions.h: added a
	test for cut_assert_equal_string_with_free().

2007-12-14  Kouhei Sutou  <kou@cozmixng.org>

	* test/test-cut-value-equal.c, cutter/cut-value-equal.c: added a
	test for fundamental types.

	* test/test-cut-value-equal.c, cutter/cut-value-equal.c: added a
	test for uninitialized value equality.

	* test/test-cut-gassertions.c, cutter/cut-gassertions.h: added a
	test for cut_assert_equal_g_value().

	* test/cuttest-assertions.h: added.
	* test/test-cut-assersions.c, test/test-cut-gassertions.c: used
	cuttest-assertions.h.

	* test/test-cut-gassertions.c: added a test for
	cut_assert_equal_g_type().

	* cutter/cut-value-equal.[ch], test/cut-value-equal.c,
	cutter/gbseracharray.h: implemented g_value_equal().

	* cutter/Makefile.am, cutter/gcutter.h: added.

	* gcutter.pc.in, cutter/cut-gassertions.h: added gcutter.

	* cutter/cut-test-context.c, cutter/cut-public.h
	(cut_test_context_take_string): added.

	* configure.ac: 0.3.0 -> 0.4.0.

2007-12-14  Kouhei Sutou  <kou@cozmixng.org>

	* ./: released 0.3.0.

	* misc/release.rb: fixed typos.

	* Makefile.am: fixed typos.

	* html/index.html: updated.

2007-12-13  Kouhei Sutou  <kou@cozmixng.org>

	* **/Makefile.am: added missing include path.

	* misc/Makefile.am: updated-files.rb -> release.rb.

	* misc/release.rb: supported News post.
	* configure.ac, Makefile.am: followed the above changes.

	* NEWS, NEWS.ja: updated.

	* doc/reference/tmpl/cut-ui.sgml,
	doc/reference/tmpl/cut-ui-factory.sgml: added.

	* misc/upload-files.rb: removed.
	* misc/release.rb: added automated release script.

2007-12-12  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c (cut_init): avoided CutTestContextClass
	initialization is done in multi threads.

	* cutter/cutter.h, cutter/cut-experimental.h, cutter/Makefile.am:
	moved cut_user_data to cut-experimental.h.
	* doc/reference/Makefile.am: ignored cut-experimental.h.

2007-12-11  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.h, sample/gtk+/cutter-gtk.c,
	sample/cairo/cutter-cairo.c: don't use cutter.h with cut-main.h.

2007-12-10  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions.h, test/test-cut-assertions.c,
	doc/reference/ja.po: added cut_assert_null_string().

	* cutter/cut-assertions.h, doc/reference/Makefile.am,
	doc/reference/cutter-docs.sgml, doc/reference/ja.po: marked
	cut_assert_equal_string_or_null() as deprecated. Use
	cut_assert_equal() instead.

	* cutter/cut-test.c: fixed a typo.

2007-12-07  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac: cleanup.

2007-12-03  Kouhei Sutou  <kou@cozmixng.org>

	* TUTORIAL, TUTORIAL.ja, cutter/sample/stack/test/test-stack.c:
	added missing test_pop().

2007-11-30  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui-factory/cut-ui-factory-console.c (pre_parse):
	returned TRUE.

2007-11-29  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui/cut-ui-gtk.c: ensured free row info even if
	crashed.

	* cutter/module/ui/cut-ui-gtk.c: finished test pulse if test suite
	is finished.

	* cutter/module/ui-factory/cut-ui-factory-console.c: set default
	--color value is auto.

	* Makefile.am (upload-file), misc/upload-files.rb: added for easy
	uploading.

	* ./: released 0.0.2.

	* Makefile.am (tag): added.

	* test/run-test.sh: fixed indentation.

	* sample/glib/Makefile.am (EXTRA_DIST): added a missing file.

2007-11-28  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/: cut_run_test_suite() -> cut_run_runner().

	* sample/glib/option.c (setup): reset callback_test2_int.

	* cutter/cut-runner.[ch]: added cut_runner_copy().
	* cutter/module/ui/cut-ui-gtk.c: supported redo.

	* cutter/cut-main.[ch]: removed cut_create_test_suite().
	* cutter/cut-runner.[ch]: added cut_runner_create_test_suite().

	* ./: CutContext -> CutRunner.

	* cutter/cut-context.[ch], cutter/cut-test-suite.c,
	cutter/cut-test-case.c, cutter/module/ui/cut-ui/gtk.c: supported stop.

	* cutter/module/ui/cut-ui-gtk.c: set title.

	* README*: updated options.

	* cutter/module/ui/cut-ui-gtk.c: colorized again.

	* cutter/module/ui/cut-ui-gtk.c: packed.

	* cutter/module/ui/cut-ui-gtk.c: showed icon in test result row.

	* cutter/module/ui/cut-ui-gtk.c: always expand running test case row.

	* sample/glib/keyfile.c: ensured reverting locale set.

	* cutter/module/ui/cut-ui-gtk.c: set status icon to test case row.

	* configure.ac: 1.0.0 -> 0.2.0.

	* cutter/module/ui/cut-ui-gtk.c: i18ned.

	* cutter/module/ui/cut-ui-gtk.c: showed running test.

	* Makefile.am: added update-po.
	* po/: updated.

2007-11-28  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/ui/cut-ui-gtk.c: Added pixbuf column.
	* cutter/module/ui/cut-ui-gtk.c: Show icon.
	* cutter/module/ui/cut-ui-gtk.c: Show progress in test name field.
	* cutter/module/ui/cut-ui-gtk.c: Remove PROGRESS_VISIBLE column.
	* cutter/module/ui/cut-ui-gtk.c: Test name is shown at the left edge of
	progress.
	* cutter/module/ui/cut-ui-gtk.c: Show progress bar at the right of
	test name.
	* cutter/module/ui/cut-ui-gtk.c: Show icon for test case.

2007-11-27  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui/cut-ui-gtk.c: showed summary but slow for many
	assertions.

	* cutter/module/ui/cut-ui-gtk.c: set default focus to tree view.

	* cutter/module/ui/cut-ui-gtk.c: removed text buffer.

	* cutter/module/ui/cut-ui-gtk.c: showed running test information
	in statusbar.

	* cutter/module/ui/cut-ui-gtk.c: showed summary in statusbar.

	* cutter/module/ui/cut-ui-gtk.c: used Monospace font for
	description to be easy to read.

	* cutter/module/ui/cut-ui-gtk.c: supported crash log.

	* cutter/module/ui/cut-ui-gtk.c: used ready-test-suite instead of
	start-test-suite.

	* cutter/cut-context.[ch], cutter/cut-test-suite.[ch]: emitted
	ready signal.

	* cutter/cut-test-case.[ch]: cut_test_get_test_count() ->
	cut_test_get_n_tests().
	* test/test-cut-test-case.c, test/test-cut-loader.c: followed the
	above changes.

	* cutter/cut-test-case.c: used cut_context_get_target_test_names()
	as default test_names.

	* test/test-cut-test-case.c: set target_test_names.

	* cutter/module/ui/cut-ui-gtk.c: showed test result.

	* cutter/module/ui/cut-ui-gtk.c: showed elapsed time.

	* cutter/cut-test.c: cut_test_get_elapsed() works fine anytime.

	* cutter/module/ui/cut-ui-gtk.c: showed non-success path.

	* cutter/module/ui/cut-ui-gtk.c: expanded non-success path.

	* cutter/module/ui/cut-ui-gtk.c: improved color.

	* cutter/module/ui/cut-ui-gtk.c: worked progress for test case.

	* cutter/module/ui/cut-ui-gtk.c: updated pulse for each test.

	* cutter/module/ui/cut-ui-gtk.c: removed needless variable.

	* cutter/module/ui/cut-ui-gtk.c: updated progress color.

2007-11-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/ui/cut-ui-gtk.c: Show status with
	GtkCellRenderProgress.
	* cutter/module/ui/cut-ui-gtk.c: Set sortable by test name.
	* cutter/module/ui/cut-ui-gtk.c: Change the progress bar's color.

2007-11-27  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/ui/cut-ui-gtk.c: kept a status.

	* cutter/cut-public.h: ordered for easy comparison.

	* cutter/module/ui/cut-ui-gtk.c: showed tests on progress bar.

	* cutter/module/ui/cut-ui-gtk.c (cb_success_test): don't override
	existing notify information.

	* cutter/cut-main.c: -r/--runner -> -u/--ui.

2007-11-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-runner-factory.[hc] -> cutter/cut-ui-factory.[hc]: Rename
	filename.
	* /: CutRunnerFactory -> CutUIFactory.

2007-11-27  Kouhei Sutou  <kou@cozmixng.org>

	* /: runner -> ui.

	* cutter/module/runner/cut-runner-gtk.c: showed progress.

	* cutter/cut-marshalers.list (VOID:OBJECT,UINT): added.

	* cutter/cut-test-case.[ch]: added ready signal.

	* cutter/cut-context.[ch]: added ready-test-case signal.

	* cutter/module/runner/cut-runner-gtk.c: fixed wrong signatures.

	* cutter/module/runner/cut-runner-gtk.c: pulse!

	* cutter/module/runner/cut-runner-gtk.c: stop!

	* cutter/module/runner/cut-runner-gtk.c: fixed broken display.

	* cutter/module/runner/cut-runner-gtk.c: supported test case.

	* cutter/module/runner/cut-runner-gtk.c: supported color.

	* cutter/module/runner/cut-runner-gtk.c: supported status update.

	* cutter/module/runner/cut-runner-gtk.c: showed test info.

2007-11-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* sample/gio/*: Added GIO sample.

2007-11-26  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/runner/cut-runner-gtk.c:
	- cleanup.
	- removed thread.
	- supported C-q.
	- used thread again.

	* cutter/module/runner-factory/cut-runner-factory-gtk.c: added.

	* cutter/: supported --show-all-runners option.

	* sample/*/run-test.sh: set CUT_RUNNER_FACTORY_MODULE_DIR.

	* cutter/Makefile.am (enum_sources_h): don't include
	cut-hidden-definitions.h.

	* configure.ac, cutter/, test/run-test.sh: supported runner factory.
	You will get SEGV!

	* cutter/cut-runner.[ch]: moved verbose_level to ...
	* cutter/module/runner/cut-runner-console.c: ... here.

2007-11-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/Makefile.am: Install headers for libcutter.
	* cutter/cut-runner.[c|h]: Declare cut_runner_load_module() as static.

2007-11-26  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-module.c: cleanup.

	* configure.ac: removed needless lines.

	* configure.ac, NEWS, NEWS.ja: 0.1.0 -> 1.0.0.

	* sample/Makefile.am: fixed distributed files configuration for
	stack sample.

	* doc/reference/Makefile.am: added html-build.stamp to distributed
	files.

2007-11-25  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/Makefile.am, doc/reference/sf-logo.html: supported
	SF.net logo embedded.

	* doc/reference/ja.po: updated.

	* NEWS, NEWS.ja: added.
	* Makefile.am, configure.ac, html/index.html, doc/reference/:
	supported NEWS.

	* Makefile.am, configure.ac, html/, doc/reference/Makefile.am:
	supported auto documentation updating.

	* misc/Makefile.am: added.

	* misc/rd2refentry-lib.rb, doc/reference/cutter-docs.sgml:
	included README into gtkdoc documentation.

	* README, README.ja: updated.

	* misc/rd2refentry-lib.rb: added to distributed files.

	* Makefile.am (EXTRA_DIST): added missing distributed files.

	* doc/reference/Makefile.am: added missing distributed file.

	* doc/reference/cutter.types: created a needed file.

2007-11-23  Kouhei Sutou  <kou@cozmixng.org>

	* gtk-doc.make: fixed index.sgml links.

2007-11-22  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: removed needless codes.

2007-11-21  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/ja.po: updated messages.

	* doc/reference/tmpl/cut-assertions.sgml: updated.

	* doc/reference/Makefile.am: updated DIST files.

	* cutter/cutter.h, cutter/cut-assertions.h: added documentations.

	* cutter/cut-assertions.h: added documentations.

	* TUTORIAL, misc/rd2refentry-lib.rb, gtk-doc.make, doc/reference/:
	supported tutorial XML build.

	* doc/reference/: used tutorial.xml.

	* misc/rd2refentry-lib.rb, TUTORIAL.ja: supported title and purpose.

2007-11-21  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/runner/cut-runner-gtk.c: Run test suite with thread.

2007-11-21  Kouhei Sutou  <kou@cozmixng.org>

	* misc/rd2refentry-lib.rb: added.

2007-11-21  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-runner.h: Cleanup.
	* cutter/module/runner/cut-runner-gtk.c: Reenablded CutRunnerGtk.
	* cutter/module/runner/cut-runner-gtk.c: Show window.

2007-11-20  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/module/runner/cut-runner-console.c: fixed callback arguments.

	* cutter/module/runner/cut-runner-console.c: used
	cut_context_get_source_directory() not
	cut_runner_get_source_directory().

	* cutter/module/runner/cut-runner-console.c (cb_success): only
	show "." for CutTest.

	* test/test-cut-test-result.c (test_get_line): fixed test case.

	* cutter/cut-assertions.h (cut_assert_equal_uint): added.

	* cutter/cut-assertions.h (cut_assert_equal_int): don't evaluate
	twice.

	* configure.ac: exported cutter program path for internal test.
	* test/run-test.s, test/Makefile.am: used CUTTER.

	* cutter.pc.in: exported cutter program.

	* libcutter.pc.in (Requires): added gmodule-2.0 and removed glib-2.0.
	* cutter.pc.in: don't need -lcutter.

	* cutter/Makefile.am: installed libcutter.so into $(libdir).

2007-11-20  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* sample/glib/thread.c: Code cleanup. remove main(). Set
	g_thread_default_impl FALSE, the change fixes a crash
	test_g_static_private() but test_g_static_rec_mutex() is locked!?

2007-11-19  Kouhei Sutou  <kou@cozmixng.org>

	* Tutorial.ja: started updating to stack from calc .
	* sample/stack/: added.

2007-11-19  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-context.c: (cut_test_context_inspect_string_array):
	Return "" if strings is NULL.

2007-11-19  Kouhei Sutou  <kou@cozmixng.org>

	* configure.ac, sample/Makefile.am: removed calc.

	* sample/calc/: removed.

	* sample/glib/run-test.sh: supported easy gdb invoking.

2007-11-18  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c: added --runner option but console backend is
	only available for now.

	* cutter/module/runner/cut-runner-console.c: cleanup.

	* Cutter/module/runner/cut-runner-console.c: used test_case_name
	if test_name isn't available.

	* cutter/cut-test-result.[ch]: exported test_case_name and
	test_suite_name.

	* cutter/cut-context.c, cutter/module/runner/cut-runner-console.c:
	cleanup.

	* cutter/cut-context.c: cleanup.

	* cutter/cut-test-case.c, cutter/cut-test-suite.c: cleanup.

	* test/test-cut-test-suite.c: expected value should be at the left
	most position.

	* cutter/cut-test-suite.c: used /^test_/ for default test case
	name filter.
	* test/test-cut-test-suite.c: added a test for default test filter.

	* **/run-test.sh: output -> runner.

	* cutter/cut-context.c: removed too much signal emitting.

	* cutter/, test/: output -> runner. worked again.

	* cutter/: output -> runner.

	* cutter/cut-runner.[ch]: removed.

	* cutter/cut-test-container.c: implemented intuitive test refinement.

	* cutter/cut-assertions.h: readded 'format' parameter name.

	* cutter/: added const to gchar **.

	* cutter/: run tests whose name is started with 'test_' by default.
	* test/test-cut-test-suite.c (run_test_case): passed '/.*/' to run
	all tests.

2007-11-16  Kouhei Sutou  <kou@cozmixng.org>

	* doc/reference/Makefile.am: checked cutter.h.

	* cutter/cutter.h (cut_user_data): moved from cut-assertions.h

	* doc/reference/ja.po: updated.
	* doc/reference/cutter-docs.sgml: improved structure.

	* cutter/cutter.h, cutter/cut-hidden-definitions.h,
	doc/reference/Makefile.am: hide [sg]et_current_test_context() from
	user.

	* cutter/cut-assertions-helper.h, cutter/cut-assertions.h,
	doc/reference/: hid helper macros from user.

	* doc/reference/Makefile.am (update-po): fixed a typo.
	* doc/reference/ja.po: updated.

	* doc/reference/: hide non-public functions.

	* cutter/cut-assertions.h: cleanup.

	* doc/reference/ja.po: updated.

	* cutter/cut-assertions.h (cut_assert_not_null): added.

	* autogen.sh: don't use gtkdocize because we have customoized
	gtk-doc.make.

	* doc/reference/ja.po: updated.

	* gtk-doc.make: supported install.

	* gtk-doc.make, doc/references/: supported multi po.

	* doc/reference/: supported reference manual for Japanese. (but dirty)

	* ./: supported gettext.

2007-11-16  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* configure.ac: Use gtk-doc.

2007-11-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-public.h: removed CRASH result.
	* cutter/module/output/cut-output-console.c: printed test case name
	with color.

2007-11-16  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-repository.c: Load only so file which has "test" prefix.

2007-11-16  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/: fixed setjmp() usage.

2007-11-16  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-utils.[hc], cutter/cut-test-suite.c: union ->
	intersection.
	* cutter/cut-test-case.c: Use cut_utils_list_intersection() instead of
	g_list_concat().
	* cutter/cut-utils.c: NULL check barrier.
	* cutter/cut-test-container.h: The second argument of
	cut_test_container_filter_children() is gchar **.
	* cutter/cut-test-container.c: Use cut_utils_list_intersection().
	* cutter/cut-test-case.c, cutter/cut-test-suite.c: Use
	cut_test_container_filter_children() directly.
	* cutter/cut-test-case.h: Remove cut_test_case_has_children().
	* test/test-cut-test-case.c: Remove a test for
	cut_test_case_has_children().
	* cutter/cut-utils.[hc]: Remove cut_utils_list_intersection().
	* cutter/cut-test-container.c: Do not use
	cut_utils_list_intersection().

2007-11-15  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c: cleanup.

	* configure.ac: removed runner.

	* cutter/Makefile.am: fixed dependencies.

	* cutter/cut-main.c:
	- -t/--test -> -n/--name
	- -n/--name -> -t/--test-case
	* README, test/run-test.sh: followed the above changes.

	* cutter/Makefile.am: don't use variable.

	* cutter/: implemented user data in test case.
	* sample/cairo/: used the above feature.

	* cutter/module/output/cut-output-console.c: supported tab stop.

	* cutter/cut-main.[ch]: split functions.

	* cutter/cut-main.c: added initialized check.

	* cutter/cut-main.c: CutContext is not static.

2007-11-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-utils.[hc]: Added cut_utils_list_union().
	* cutter/cut-test-suite.c: (cut_test_suite_run_with_filter): shorten test
	cases.

2007-11-15  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-main.c: cleanup.

	* cutter/cut-loader.c: closed module on test case is completed.

	* cutter/cut-loader.c: creanup.

	* cutter/: showed stack trace on SEGV.

2007-11-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* sample/cairo/*: Added sample test for cairo.

2007-11-15  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-test-suite.c: supported interrupting.

	* cutter/: supported showing summary on SEGV.

	* cutter/cut-test-context.c, cutter/cut-assertions.h,
	cutter/cut-public.h: supported inspecting string array.

2007-11-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* sample/glib/test-keyfile.c: Restore original log function.
	* sample/glib/test-properties.c: Do not use g_log_set_always_fatal()
	since it causes crash.

2007-11-15  Kouhei Sutou  <kou@cozmixng.org>

	* sample/glib/test-regex.c: cutterlized.
	* sample/glib/test-regex.c: cleanup.

2007-11-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* sample/gtk+/test-builder.c: (test_connect_signals): Check GTK+
	version.

2007-11-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* test/Makefile.am: Remove "lib" prefix.
	* test/loader_test_dir/Makefile.am,
	test/repository_test_dir/Makefile.am: Remove "lib" prefix.
	* test/test-cut-loader.c, test/test-cut-test-suite.c: Follow the above
	change.

2007-11-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-public.h, cutter/cut-utils.h: Moved
	cut_utils_compare_string_array into cut-public.h.
	* cutter/cut-utils.c: include "cut-public.h".

2007-11-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-public.h: Append __attribute__((__noreturn__)) to
	cut_text_context_long_jump().

2007-11-14  Kouhei Sutou  <kou@cozmixng.org>

	* cutter/cut-assertions.h (cut_assert_operator_int): fixed a
	string literal bug.

	* cutter/cut-assertions.h (cut_assert_equal_string_or_null): added.
	* test/test-cut-assertions.c: cleanup.

	* test/test-cut-assertions.c (test_failure_from_nested_function):
	added a test for setjmp/longjmp for CutTest.

	* test/test-cut-assertions.c (test_assert_equal_function):
	improved test.

	* sample/glib/test-regex.c (test_match): used function instead of macro.

	* cutter/: used setjmp/longjmp to terminate test by failure.
	* test/: followed the above changes.

	* test/run-test.sh: cleanup.

	* cutter/cut-output.c, cutter/module/output/cut-output-console.c:
	worked use_color again.

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-result.[c|h]: Added cut_test_result_get_test_name().
	* cutter/module/output/cut-output-console.c: Show test name if the
	test fails.

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-test-result.[c|h]: cut_test_result_new() needs test and
	test case and test suite name.
	* cutter/cut-test-context.c, test/test-cut-test-result.c: Follow the
	change.

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* module/runner/cut-ruuner-gtk.c: Call gtk_main().

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-runner.[c|h]: Added.
	* cutter/module/runner/*: Added.

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-main.c: Remove main() function.
	* cutter/main.c: cleanup.

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/module/output/cut-output-gtk.c: Added skelton.

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-output.[c|h], cutter/cut-context.c,cutter/cut-main.c:
	Modularization of CutOutput.
	* cutter/module/output/cut-output-console.c: "use-color" property.

2007-11-14  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/cut-module.[c|h], cutter/cut-module-impl.h: Added files for
	modularization of CutOutput, but not used yet.
	* cutter/cut-output.[c|h]: Added cut_output_get_verbose_level().
	* cutter/cut-output.[c|h]: Added cut_output_get_source_directory().
	* cutter/module/*: Added a CutOutput module for console, but not used
	yet.

2007-11-13  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* cutter/main.c: Added.
	* cutter/Makefile.am: Create cutter library.
	* sample/gtk+/cutter-gtk.c: Added a program for running tests of GTK+.
	* cutter/main.c: Plugged memory leak.
	* cutter/cut-main.c (cut-run): Return success.

2007-11-13  Hiroyuki Ikezoe  <poincare@ikezoe.net>

